/*      Compiler: ECL 16.0.0                                          */
/*      Source: EXT:CL-SIMD;ECL-SSE-CORE.LISP                         */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-core.eclh"
/*      local function SSE-PACK                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1sse_pack(cl_object v1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3item;
   v2 = v1;
   if (Null(v2)) { goto L3; }
   {
    cl_object v4;
    v4 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3item = v4;
    goto L2;
   }
L3:;
   v3item = ECL_SYM("*",18);
L2:;
   if (Null(v2)) { goto L8; }
   si_dm_too_many_arguments(v1);
L8:;
   if (!((v3item)==(ECL_SYM("*",18)))) { goto L10; }
   value0 = ECL_SYM("SSE-PACK",1797);
   cl_env_copy->nvalues = 1;
   return value0;
L10:;
   if (!((v3item)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L17; }
   goto L14;
   goto L15;
L17:;
   goto L15;
L15:;
   if (!((v3item)==(ECL_SYM("FLOAT",374)))) { goto L12; }
   goto L13;
L14:;
L13:;
   value0 = ECL_SYM("FLOAT-SSE-PACK",1803);
   cl_env_copy->nvalues = 1;
   return value0;
L12:;
   if (!((v3item)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L20; }
   value0 = ECL_SYM("DOUBLE-SSE-PACK",1804);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   if (!((v3item)==(ECL_SYM("INTEGER",437)))) { goto L22; }
   value0 = ECL_SYM("INT-SSE-PACK",1802);
   cl_env_copy->nvalues = 1;
   return value0;
L22:;
   value0 = si_ecase_error(v3item, VV[3]);
   return value0;
  }
 }
}
/*      local function TYPENAME-CASE                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3typename_case(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 cl_object env0 = ECL_NIL;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object env1 = env0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L2; }
   si_dm_too_few_arguments(v1);
L2:;
   {
    cl_object v4;
    v4 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v4;
   }
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  VALUE           */
   {
    cl_object v4;
    {
     cl_object v5;
     v5 = ecl_make_cclosure_va((cl_objectfn)LC2__g20,env1,Cblock);
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ECL_NIL;
     {
      cl_object v7;
      v7 = v3;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      v6 = v7;
     }
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
L16:;
      if (!(ecl_endp(v6))) { goto L18; }
      goto L17;
L18:;
      v5 = _ecl_car(v6);
      {
       cl_object v9;
       v9 = _ecl_cdr(v6);
       if (ecl_unlikely(!ECL_LISTP(v9))) FEtype_error_list(v9);
       v6 = v9;
      }
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T1 = v9;
      }
      T2 = ecl_function_dispatch(cl_env_copy,v4)(1, v5);
      v8 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=v8,T1);
      goto L16;
L17:;
      T0 = ecl_cdr(v7);
      goto L8;
     }
    }
   }
L8:;
   T1 = cl_list(3, ECL_SYM("ERROR",337), VV[4], ECL_CONS_CAR(CLV0));
   T2 = cl_list(2, ECL_T, T1);
   T3 = ecl_list1(T2);
   T4 = ecl_append(T0,T3);
   value0 = CONS(ECL_SYM("COND",247),T4);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      closure G20                                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2__g20(cl_narg narg, cl_object v1clause, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object CLV0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV0 = env0;                                     /*  VALUE           */
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_car(v1clause);
  T1 = cl_list(2, ECL_SYM("QUOTE",679), T0);
  T2 = cl_list(3, ECL_SYM("SUBTYPEP",837), ECL_CONS_CAR(CLV0), T1);
  T3 = ecl_cdr(v1clause);
  value0 = CONS(T2,T3);
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for FOREIGN-TYPE-OF                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4foreign_type_of(cl_object v1lt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, v1lt, ECL_NIL))) { goto L1; }
  value0 = ECL_SYM("OBJECT",1281);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("INT-SSE-PACK",1802)))) { goto L3; }
  value0 = VV[6];
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("FLOAT-SSE-PACK",1803)))) { goto L5; }
  value0 = VV[7];
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("DOUBLE-SSE-PACK",1804)))) { goto L7; }
  value0 = VV[8];
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("BOOLEAN",155)))) { goto L9; }
  value0 = VV[9];
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("SINGLE-FLOAT",778)))) { goto L11; }
  value0 = ECL_SYM("FLOAT",1372);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("DOUBLE-FLOAT",315)))) { goto L13; }
  value0 = ECL_SYM("DOUBLE",1370);
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("FIXNUM",372)))) { goto L15; }
  value0 = ECL_SYM("FIXNUM",1371);
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("INTEGER32",1340)))) { goto L17; }
  value0 = ECL_SYM("INT32-T",1376);
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("BYTE32",1335)))) { goto L19; }
  value0 = ECL_SYM("UINT32-T",1388);
  cl_env_copy->nvalues = 1;
  return value0;
L19:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("INTEGER64",1341)))) { goto L21; }
  value0 = ECL_SYM("INT64-T",1377);
  cl_env_copy->nvalues = 1;
  return value0;
L21:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("BYTE64",1336)))) { goto L23; }
  value0 = ECL_SYM("UINT64-T",1389);
  cl_env_copy->nvalues = 1;
  return value0;
L23:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("INTEGER",437)))) { goto L25; }
  value0 = ECL_SYM("FIXNUM",1371);
  cl_env_copy->nvalues = 1;
  return value0;
L25:;
  value0 = cl_error(2, VV[4], v1lt);
  return value0;
 }
}
/*      function definition for POINTER-C-TYPE-OF                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5pointer_c_type_of(cl_object v1lt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, v1lt, ECL_NIL))) { goto L1; }
  value0 = VV[11];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("INT-SSE-PACK",1802)))) { goto L3; }
  value0 = VV[12];
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("FLOAT-SSE-PACK",1803)))) { goto L5; }
  value0 = VV[13];
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("DOUBLE-SSE-PACK",1804)))) { goto L7; }
  value0 = VV[14];
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = cl_error(2, VV[4], v1lt);
  return value0;
 }
}
/*      function definition for DECLAIM-ARG-TYPE-OF                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6declaim_arg_type_of(cl_object v1lt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, v1lt, VV[16]))) { goto L1; }
  value0 = ECL_SYM("REAL",703);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("SSE-PACK",1797)))) { goto L3; }
  value0 = ECL_SYM("SSE-PACK",1797);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("FIXNUM",372)))) { goto L5; }
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, v1lt, ECL_T))) { goto L7; }
  value0 = v1lt;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = cl_error(2, VV[4], v1lt);
  return value0;
 }
}
/*      function definition for INLINE-ARG-TYPE-OF                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7inline_arg_type_of(cl_object v1lt)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, v1lt, VV[16]))) { goto L1; }
  value0 = VV[18];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, v1lt, ECL_SYM("FIXNUM",372)))) { goto L3; }
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, v1lt, ECL_T))) { goto L5; }
  value0 = v1lt;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = cl_error(2, VV[4], v1lt);
  return value0;
 }
}
/*      function definition for EXPAND-CONSTANT                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8expand_constant(cl_narg narg, cl_object v1form, cl_object v2env, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3chgp;
  va_list args; va_start(args,v2env);
  {
   int i = 2;
   if (i >= narg) {
    v3chgp = ECL_NIL;
   } else {
    i++;
    v3chgp = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4mform;
   cl_object v5cform;
   v4mform = cl_macroexpand(2, v1form, v2env);
   if (!(ECL_SYMBOLP(v4mform))) { goto L4; }
   if (Null(cl_constantp(1, v4mform))) { goto L4; }
   v5cform = cl_symbol_value(v4mform);
   goto L3;
L4:;
   v5cform = v4mform;
L3:;
   value0 = v3chgp;
   if ((value0)!=ECL_NIL) { goto L9; }
   {
    bool v6;
    v6 = ecl_eql(v5cform,v1form);
    T0 = (v6)?ECL_NIL:ECL_T;
    goto L7;
   }
L9:;
   T0 = value0;
   goto L7;
L7:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T0;
   cl_env_copy->values[0] = v5cform;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for MAKE-ARG-NAME                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9make_arg_name(cl_object v1index)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_format(3, ECL_NIL, VV[21], v1index);
  value0 = cl_intern(1, T0);
  return value0;
 }
}
/*      function definition for MAKE-ARG-NUMS                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10make_arg_nums(cl_object v1lst)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum v2;
   cl_object v3i;
   v2 = ecl_length(v1lst);
   v3i = ecl_make_fixnum(0);
   {
    cl_object v4;
    cl_object v5;
    v4 = ecl_list1(ECL_NIL);
    v5 = v4;
L5:;
    if (!(ecl_number_compare(v3i,ecl_make_fixnum(v2))>=0)) { goto L7; }
    goto L6;
L7:;
    {
     cl_object v6;
     v6 = v5;
     if (ecl_unlikely(ECL_ATOM(v6))) FEtype_error_cons(v6);
     T0 = v6;
    }
    v5 = ecl_list1(v3i);
    (ECL_CONS_CDR(T0)=v5,T0);
    v3i = ecl_one_plus(v3i);
    goto L5;
L6:;
    value0 = ecl_cdr(v4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for WRAP-RET-ARG                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11wrap_ret_arg(cl_narg narg, cl_object v1core, cl_object v2ret_type, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3ret_arg;
  va_list args; va_start(args,v2ret_type);
  {
   int i = 2;
   if (i >= narg) {
    v3ret_arg = ECL_NIL;
   } else {
    i++;
    v3ret_arg = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((v2ret_type)==(ECL_NIL))) { goto L2; }
  value0 = cl_format(3, ECL_NIL, VV[24], v1core);
  return value0;
L2:;
  if (Null(v3ret_arg)) { goto L4; }
  value0 = cl_format(5, ECL_NIL, VV[25], v3ret_arg, v1core, v3ret_arg);
  return value0;
L4:;
  value0 = v1core;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE-PACK-OF-BIN                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12make_pack_of_bin(cl_narg narg, cl_object v1bin_value, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2as;
  ecl_va_list args; ecl_va_start(args,v1bin_value,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L12make_pack_of_binkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    v2as = ECL_SYM("INT-SSE-PACK",1802);
   } else {
    v2as = keyvars[0];
   }
  }
  {
   cl_object v3all;
   cl_object v4pack;
   {
    cl_fixnum v5i;
    v5i = 0;
    {
     cl_object v6v;
     v6v = ECL_NIL;
     {
      cl_object v7;
      cl_object v8;
      v7 = ecl_list1(ECL_NIL);
      v8 = v7;
      v6v = v1bin_value;
L7:;
      {
       cl_object v9;
       v9 = v8;
       if (ecl_unlikely(ECL_ATOM(v9))) FEtype_error_cons(v9);
       T0 = v9;
      }
      T1 = ecl_boole(ECL_BOOLAND,(v6v),(ecl_make_fixnum(255)));
      v8 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=v8,T0);
      v5i = (v5i)+1;
      if (!((v5i)>(15))) { goto L18; }
      goto L8;
L18:;
      v6v = cl_ash(v6v, ecl_make_fixnum(-8));
      goto L7;
L8:;
      v3all = ecl_cdr(v7);
      goto L2;
     }
    }
   }
L2:;
   T0 = cl_make_array(5, ecl_make_fixnum(16), ECL_SYM("ELEMENT-TYPE",1227), VV[27], ECL_SYM("INITIAL-CONTENTS",1255), v3all);
   v4pack = si_vector_to_sse_pack(T0);
   if (!((v2as)==(ECL_SYM("INT-SSE-PACK",1802)))) { goto L25; }
   value0 = v4pack;
   cl_env_copy->nvalues = 1;
   return value0;
L25:;
   if (!((v2as)==(ECL_SYM("FLOAT-SSE-PACK",1803)))) { goto L28; }
   T0 = ECL_SYM("SINGLE-FLOAT",778);
   goto L27;
L28:;
   if (!((v2as)==(ECL_SYM("DOUBLE-SSE-PACK",1804)))) { goto L30; }
   T0 = ECL_SYM("DOUBLE-FLOAT",315);
   goto L27;
L30:;
   T0 = si_ecase_error(v2as, VV[28]);
L27:;
   T1 = si_sse_pack_as_elt_type(v4pack, T0);
   value0 = cl_list(3, ECL_SYM("THE",856), v2as, T1);
   return value0;
  }
 }
}
/*      local function DEF-INLINE                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13def_inline(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5mode;
   cl_object v6arg_types;
   cl_object v7ret_type;
   cl_object v8call_str;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v9;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5mode = v9;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg_types = v9;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7ret_type = v9;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8call_str = v9;
   }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), v5mode);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), v6arg_types);
   T3 = cl_list(2, ECL_SYM("QUOTE",679), v7ret_type);
   T4 = cl_listX(7, VV[31], T0, T1, T2, T3, v8call_str, v3);
   value0 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[30], T4);
   return value0;
  }
 }
}
/*      local function DEF-INTRINSIC                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14def_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5arg_types;
   cl_object v6ret_type;
   cl_object v7c_name;
   cl_object v8;
   cl_object v9export;
   cl_object v10;
   cl_object v11ret_arg;
   cl_object v12;
   cl_object v13reorder_args;
   cl_object v14;
   cl_object v15immediate_args;
   cl_object v16;
   cl_object v17defun_body;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v18;
    v18 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v18;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v18;
    v18 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg_types = v18;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v18;
    v18 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6ret_type = v18;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v18;
    v18 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7c_name = v18;
   }
   v8 = si_search_keyword(2, v3, ECL_SYM("EXPORT",1236));
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v9export = ECL_T;
   goto L27;
L28:;
   v9export = v8;
L27:;
   v10 = si_search_keyword(2, v3, VV[33]);
   if (!((v10)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L32; }
   v11ret_arg = ECL_NIL;
   goto L31;
L32:;
   v11ret_arg = v10;
L31:;
   v12 = si_search_keyword(2, v3, VV[34]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L36; }
   v13reorder_args = ECL_NIL;
   goto L35;
L36:;
   v13reorder_args = v12;
L35:;
   v14 = si_search_keyword(2, v3, VV[35]);
   if (!((v14)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L40; }
   v15immediate_args = ECL_NIL;
   goto L39;
L40:;
   v15immediate_args = v14;
L39:;
   v16 = si_search_keyword(2, v3, VV[36]);
   if (!((v16)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L44; }
   v17defun_body = ECL_NIL;
   goto L43;
L44:;
   v17defun_body = v16;
L43:;
   si_check_keyword(2, v3, VV[37]);
   {
    cl_object v18anums;
    cl_object v19asyms;
    cl_object v20aftypes;
    cl_object v21rftype;
    cl_object v22call_anums;
    cl_object v23call_str;
    v18anums = L10make_arg_nums(v5arg_types);
    {
     cl_object v24;
     v24 = ecl_fdefinition(VV[22]);
     {
      cl_object v25;
      cl_object v26;
      v25 = ECL_NIL;
      {
       cl_object v27;
       v27 = v18anums;
       if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
       v26 = v27;
      }
      {
       cl_object v27;
       cl_object v28;
       v27 = ecl_list1(ECL_NIL);
       v28 = v27;
L56:;
       if (!(ecl_endp(v26))) { goto L58; }
       goto L57;
L58:;
       v25 = _ecl_car(v26);
       {
        cl_object v29;
        v29 = _ecl_cdr(v26);
        if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
        v26 = v29;
       }
       {
        cl_object v29;
        v29 = v28;
        if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
        T0 = v29;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v24)(1, v25);
       v28 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v28,T0);
       goto L56;
L57:;
       v19asyms = ecl_cdr(v27);
       goto L48;
      }
     }
    }
L48:;
    {
     cl_object v24;
     v24 = ecl_fdefinition(VV[10]);
     {
      cl_object v25;
      cl_object v26;
      v25 = ECL_NIL;
      {
       cl_object v27;
       v27 = v5arg_types;
       if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
       v26 = v27;
      }
      {
       cl_object v27;
       cl_object v28;
       v27 = ecl_list1(ECL_NIL);
       v28 = v27;
L82:;
       if (!(ecl_endp(v26))) { goto L84; }
       goto L83;
L84:;
       v25 = _ecl_car(v26);
       {
        cl_object v29;
        v29 = _ecl_cdr(v26);
        if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
        v26 = v29;
       }
       {
        cl_object v29;
        v29 = v28;
        if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
        T0 = v29;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v24)(1, v25);
       v28 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v28,T0);
       goto L82;
L83:;
       v20aftypes = ecl_cdr(v27);
       goto L74;
      }
     }
    }
L74:;
    v21rftype = L4foreign_type_of(v6ret_type);
    if (Null(v13reorder_args)) { goto L102; }
    v22call_anums = cl_reverse(v18anums);
    goto L101;
L102:;
    v22call_anums = v18anums;
L101:;
    T0 = cl_format(4, ECL_NIL, VV[38], v7c_name, v22call_anums);
    v23call_str = L11wrap_ret_arg(3, T0, v6ret_type, v11ret_arg);
    if (Null(v9export)) { goto L106; }
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T0 = cl_list(2, ECL_SYM("EXPORT",344), T1);
    goto L105;
L106:;
    T0 = ECL_NIL;
L105:;
    if (Null(v15immediate_args)) { goto L109; }
    T2 = ecl_append(v19asyms,VV[41]);
    T3 = cl_listX(5, ECL_SYM("&WHOLE",13), VV[39], ECL_SYM("&ENVIRONMENT",9), VV[40], T2);
    {
     cl_object v24arg;
     cl_object v25type;
     cl_object v26;
     v24arg = ECL_NIL;
     v25type = ECL_NIL;
     {
      cl_object v27;
      v27 = v15immediate_args;
      if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
      v26 = v27;
     }
     {
      cl_object v27;
      cl_object v28;
      v27 = ecl_list1(ECL_NIL);
      v28 = v27;
L119:;
      if (!(ecl_endp(v26))) { goto L121; }
      goto L120;
L121:;
      {
       cl_object v29;
       v29 = _ecl_car(v26);
       v24arg = ecl_car(v29);
       v29 = ecl_cdr(v29);
       v25type = ecl_car(v29);
      }
      {
       cl_object v29;
       v29 = _ecl_cdr(v26);
       if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
       v26 = v29;
      }
      {
       cl_object v29;
       v29 = v28;
       if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
       T5 = v29;
      }
      T6 = cl_list(2, VV[42], v24arg);
      T7 = ecl_list1(T6);
      T8 = cl_list(2, v24arg, VV[43]);
      T9 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-SETQ",576), T8, VV[44]);
      T10 = cl_list(2, ECL_SYM("QUOTE",679), v25type);
      T11 = cl_list(3, ECL_SYM("TYPEP",875), v24arg, T10);
      T12 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
      T13 = cl_list(3, ECL_SYM("EQL",334), VV[42], v24arg);
      T14 = cl_list(3, ECL_SYM("UNLESS",883), T13, v24arg);
      T15 = cl_list(2, ECL_SYM("QUOTE",679), v25type);
      T16 = cl_list(6, VV[45], VV[46], T12, VV[42], T14, T15);
      T17 = cl_list(3, ECL_SYM("UNLESS",883), T11, T16);
      T18 = cl_list(4, ECL_SYM("LET",477), T7, T9, T17);
      v28 = ecl_list1(T18);
      (ECL_CONS_CDR(T5)=v28,T5);
      goto L119;
L120:;
      T4 = ecl_cdr(v27);
      goto L111;
     }
    }
L111:;
    T5 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T6 = cl_listX(3, ECL_SYM("LIST",481), T5, v19asyms);
    T7 = cl_list(4, ECL_SYM("IF",946), VV[43], T6, VV[39]);
    T8 = ecl_list1(T7);
    T9 = ecl_append(T4,T8);
    T10 = cl_listX(4, ECL_SYM("DEFINE-COMPILER-MACRO",279), v4name, T3, T9);
    T1 = ecl_list1(T10);
    goto L108;
L109:;
    T1 = ECL_NIL;
L108:;
    {
     cl_object v24;
     v24 = ecl_fdefinition(VV[17]);
     {
      cl_object v25;
      cl_object v26;
      v25 = ECL_NIL;
      {
       cl_object v27;
       v27 = v5arg_types;
       if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
       v26 = v27;
      }
      {
       cl_object v27;
       cl_object v28;
       v27 = ecl_list1(ECL_NIL);
       v28 = v27;
L149:;
       if (!(ecl_endp(v26))) { goto L151; }
       goto L150;
L151:;
       v25 = _ecl_car(v26);
       {
        cl_object v29;
        v29 = _ecl_cdr(v26);
        if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
        v26 = v29;
       }
       {
        cl_object v29;
        v29 = v28;
        if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
        T3 = v29;
       }
       T4 = ecl_function_dispatch(cl_env_copy,v24)(1, v25);
       v28 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=v28,T3);
       goto L149;
L150:;
       T2 = ecl_cdr(v27);
       goto L141;
      }
     }
    }
L141:;
    value0 = v6ret_type;
    if ((value0)!=ECL_NIL) { goto L169; }
    T3 = ECL_SYM("NULL",605);
    goto L167;
L169:;
    T3 = value0;
    goto L167;
L167:;
    T4 = cl_list(3, ECL_SYM("FUNCTION",396), T2, T3);
    T5 = cl_list(3, ECL_SYM("FTYPE",393), T4, v4name);
    T6 = cl_list(2, ECL_SYM("QUOTE",679), T5);
    T7 = cl_list(2, ECL_SYM("PROCLAIM",666), T6);
    if (!(v15immediate_args==ECL_NIL)) { goto L172; }
    value0 = v17defun_body;
    if ((value0)!=ECL_NIL) { goto L176; }
    T9 = v23call_str;
    goto L174;
L176:;
    T9 = value0;
    goto L174;
L174:;
    T10 = cl_listX(6, ECL_SYM("C-INLINE",1980), v19asyms, v20aftypes, v21rftype, T9, VV[48]);
    T11 = cl_list(5, ECL_SYM("DEFUN",289), v4name, v19asyms, VV[47], T10);
    T8 = ecl_list1(T11);
    goto L171;
L172:;
    T8 = ECL_NIL;
L171:;
    {
     cl_object v24;
     v24 = ecl_fdefinition(VV[19]);
     {
      cl_object v25;
      cl_object v26;
      v25 = ECL_NIL;
      {
       cl_object v27;
       v27 = v5arg_types;
       if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
       v26 = v27;
      }
      {
       cl_object v27;
       cl_object v28;
       v27 = ecl_list1(ECL_NIL);
       v28 = v27;
L186:;
       if (!(ecl_endp(v26))) { goto L188; }
       goto L187;
L188:;
       v25 = _ecl_car(v26);
       {
        cl_object v29;
        v29 = _ecl_cdr(v26);
        if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
        v26 = v29;
       }
       {
        cl_object v29;
        v29 = v28;
        if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
        T10 = v29;
       }
       T11 = ecl_function_dispatch(cl_env_copy,v24)(1, v25);
       v28 = ecl_list1(T11);
       (ECL_CONS_CDR(T10)=v28,T10);
       goto L186;
L187:;
       T9 = ecl_cdr(v27);
       goto L178;
      }
     }
    }
L178:;
    T10 = cl_listX(7, VV[32], v4name, VV[49], T9, v21rftype, v23call_str, VV[50]);
    T11 = ecl_list1(T10);
    T12 = ecl_append(T8,T11);
    T13 = CONS(T7,T12);
    T14 = ecl_append(T1,T13);
    value0 = cl_listX(3, ECL_SYM("PROGN",671), T0, T14);
    return value0;
   }
  }
 }
}
/*      local function DEF-UNARY-INTRINSIC                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15def_unary_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5ret_type;
   cl_object v6insn;
   cl_object v7cost;
   cl_object v8c_name;
   cl_object v9;
   cl_object v10arg_type;
   cl_object v11;
   cl_object v12;
   cl_object v13;
   cl_object v14immediate_arg;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v15;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5ret_type = v15;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v15;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7cost = v15;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8c_name = v15;
   }
   v9 = si_search_keyword(2, v3, VV[52]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L34; }
   v10arg_type = v5ret_type;
   goto L33;
L34:;
   v10arg_type = v9;
L33:;
   v11 = si_search_keyword(2, v3, VV[53]);
   v12 = si_search_keyword(2, v3, VV[54]);
   v13 = si_search_keyword(2, v3, VV[55]);
   if (!((v13)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L40; }
   v14immediate_arg = ECL_NIL;
   goto L39;
L40:;
   v14immediate_arg = v13;
L39:;
   si_check_keyword(2, v3, VV[56]);
   if (Null(v14immediate_arg)) { goto L44; }
   T0 = ecl_list1(v14immediate_arg);
   goto L43;
L44:;
   T0 = ECL_NIL;
L43:;
   T1 = CONS(v10arg_type,T0);
   if (Null(v14immediate_arg)) { goto L47; }
   T3 = cl_list(2, VV[57], v14immediate_arg);
   T2 = ecl_list1(T3);
   goto L46;
L47:;
   T2 = ECL_NIL;
L46:;
   value0 = cl_list(7, VV[51], v4name, T1, v5ret_type, v8c_name, VV[35], T2);
   return value0;
  }
 }
}
/*      local function DEF-CVT-TO-INT32-INTRINSIC                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16def_cvt_to_int32_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5ret_type;
   cl_object v6insn;
   cl_object v7cost;
   cl_object v8c_name;
   cl_object v9;
   cl_object v10arg_type;
   cl_object v11;
   cl_object v12;
   cl_object v13immediate_arg;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v14;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5ret_type = v14;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v14;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7cost = v14;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8c_name = v14;
   }
   v9 = si_search_keyword(2, v3, VV[52]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L34; }
   v10arg_type = v5ret_type;
   goto L33;
L34:;
   v10arg_type = v9;
L33:;
   v11 = si_search_keyword(2, v3, VV[53]);
   v12 = si_search_keyword(2, v3, VV[55]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L39; }
   v13immediate_arg = ECL_NIL;
   goto L38;
L39:;
   v13immediate_arg = v12;
L38:;
   si_check_keyword(2, v3, VV[59]);
   goto L44;
L43:;
   si_assert_failure(1, VV[60]);
L44:;
   if ((cl_subtypep(2, v5ret_type, VV[61]))!=ECL_NIL) { goto L47; }
   goto L43;
L47:;
   if (Null(v13immediate_arg)) { goto L50; }
   T0 = ecl_list1(v13immediate_arg);
   goto L49;
L50:;
   T0 = ECL_NIL;
L49:;
   T1 = CONS(v10arg_type,T0);
   if (Null(v13immediate_arg)) { goto L53; }
   T3 = cl_list(2, VV[57], v13immediate_arg);
   T2 = ecl_list1(T3);
   goto L52;
L53:;
   T2 = ECL_NIL;
L52:;
   value0 = cl_list(7, VV[51], v4name, T1, v5ret_type, v8c_name, VV[35], T2);
   return value0;
  }
 }
}
/*      local function DEF-BINARY-INTRINSIC                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17def_binary_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5ret_type;
   cl_object v6insn;
   cl_object v7cost;
   cl_object v8c_name;
   cl_object v9;
   cl_object v10x_type;
   cl_object v11;
   cl_object v12y_type;
   cl_object v13;
   cl_object v14;
   cl_object v15;
   cl_object v16immediate_arg;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v17;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5ret_type = v17;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v17;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7cost = v17;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8c_name = v17;
   }
   v9 = si_search_keyword(2, v3, VV[63]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L34; }
   v10x_type = v5ret_type;
   goto L33;
L34:;
   v10x_type = v9;
L33:;
   v11 = si_search_keyword(2, v3, VV[64]);
   if (!((v11)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L38; }
   v12y_type = v5ret_type;
   goto L37;
L38:;
   v12y_type = v11;
L37:;
   v13 = si_search_keyword(2, v3, VV[65]);
   v14 = si_search_keyword(2, v3, VV[66]);
   v15 = si_search_keyword(2, v3, VV[55]);
   if (!((v15)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L44; }
   v16immediate_arg = ECL_NIL;
   goto L43;
L44:;
   v16immediate_arg = v15;
L43:;
   si_check_keyword(2, v3, VV[67]);
   if (Null(v16immediate_arg)) { goto L48; }
   T0 = ecl_list1(v16immediate_arg);
   goto L47;
L48:;
   T0 = ECL_NIL;
L47:;
   T1 = cl_listX(3, v10x_type, v12y_type, T0);
   if (Null(v16immediate_arg)) { goto L51; }
   T3 = cl_list(2, VV[68], v16immediate_arg);
   T2 = ecl_list1(T3);
   goto L50;
L51:;
   T2 = ECL_NIL;
L50:;
   value0 = cl_list(7, VV[51], v4name, T1, v5ret_type, v8c_name, VV[35], T2);
   return value0;
  }
 }
}
/*      local function DEF-SSE-INT-INTRINSIC                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18def_sse_int_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5int_type;
   cl_object v6ret_type;
   cl_object v7insn;
   cl_object v8cost;
   cl_object v9c_name;
   cl_object v10;
   cl_object v11arg_type;
   cl_object v12;
   cl_object v13immediate_arg;
   cl_object v14;
   cl_object v15;
   cl_object v16defun_body;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v17;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5int_type = v17;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6ret_type = v17;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7insn = v17;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8cost = v17;
   }
   if (!(v3==ECL_NIL)) { goto L33; }
   si_dm_too_few_arguments(v1);
L33:;
   {
    cl_object v17;
    v17 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v9c_name = v17;
   }
   v10 = si_search_keyword(2, v3, VV[52]);
   if (!((v10)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L40; }
   v11arg_type = v6ret_type;
   goto L39;
L40:;
   v11arg_type = v10;
L39:;
   v12 = si_search_keyword(2, v3, VV[55]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L44; }
   v13immediate_arg = ECL_NIL;
   goto L43;
L44:;
   v13immediate_arg = v12;
L43:;
   v14 = si_search_keyword(2, v3, VV[70]);
   v15 = si_search_keyword(2, v3, VV[36]);
   if (!((v15)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L49; }
   v16defun_body = ECL_NIL;
   goto L48;
L49:;
   v16defun_body = v15;
L48:;
   si_check_keyword(2, v3, VV[71]);
   if (Null(v13immediate_arg)) { goto L53; }
   T0 = ecl_list1(v13immediate_arg);
   goto L52;
L53:;
   T0 = ECL_NIL;
L52:;
   T1 = cl_listX(3, v11arg_type, v5int_type, T0);
   if (Null(v13immediate_arg)) { goto L56; }
   T3 = cl_list(2, VV[68], v13immediate_arg);
   T2 = ecl_list1(T3);
   goto L55;
L56:;
   T2 = ECL_NIL;
L55:;
   value0 = cl_list(9, VV[51], v4name, T1, v6ret_type, v9c_name, VV[35], T2, VV[36], v16defun_body);
   return value0;
  }
 }
}
/*      local function DEF-COMPARISON-INTRINSIC                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19def_comparison_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5arg_type;
   cl_object v6insn;
   cl_object v7cost;
   cl_object v8c_name;
   cl_object v9;
   cl_object v10;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v11;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg_type = v11;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v11;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7cost = v11;
   }
   if (!(v3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(v1);
L27:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v8c_name = v11;
   }
   v9 = si_search_keyword(2, v3, VV[65]);
   v10 = si_search_keyword(2, v3, VV[66]);
   si_check_keyword(2, v3, VV[73]);
   T0 = cl_list(2, v5arg_type, v5arg_type);
   value0 = cl_list(5, VV[51], v4name, T0, ECL_SYM("BOOLEAN",155), v8c_name);
   return value0;
  }
 }
}
/*      local function %DEF-AREF-INTRINSIC                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24_def_aref_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50;
 cl_object env0 = ECL_NIL;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4tag;
   cl_object v5;
   cl_object v6;
   cl_object v7bsize;
   cl_object env1 = env0;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4tag = v8;
   }
   if (!(v3==ECL_NIL)) { goto L8; }
   si_dm_too_few_arguments(v1);
L8:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v8;
   }
   env1 = ECL_NIL;
   CLV0 = env1 = CONS(T0,env1);                   /*  VAL-TYPE        */
   if (!(v3==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(v1);
L14:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v8;
   }
   CLV1 = env1 = CONS(T0,env1);                   /*  C-TYPE          */
   if (!(v3==ECL_NIL)) { goto L20; }
   si_dm_too_few_arguments(v1);
L20:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v8;
   }
   CLV2 = env1 = CONS(T0,env1);                   /*  READER          */
   if (!(v3==ECL_NIL)) { goto L26; }
   si_dm_too_few_arguments(v1);
L26:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v8;
   }
   CLV3 = env1 = CONS(T0,env1);                   /*  WRITER          */
   v5 = si_search_keyword(2, v3, VV[75]);
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L34; }
   T0 = VV[76];
   goto L33;
L34:;
   T0 = v5;
L33:;
   CLV4 = env1 = CONS(T0,env1);                   /*  AUX-ARGS        */
   v6 = si_search_keyword(2, v3, VV[77]);
   if (!((v6)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L38; }
   v7bsize = ecl_make_fixnum(16);
   goto L37;
L38:;
   v7bsize = v6;
L37:;
   si_check_keyword(2, v3, VV[78]);
   {
    cl_object v8aref_name;
    cl_object env2 = env1;
    T0 = L4foreign_type_of(ECL_CONS_CAR(CLV0));
    CLV5 = env2 = CONS(T0,env2);                  /*  RFTYPE          */
    T0 = cl_format(3, ECL_NIL, VV[79], v4tag);
    v8aref_name = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    T0 = cl_format(3, ECL_NIL, VV[80], v4tag);
    T1 = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    CLV6 = env2 = CONS(T1,env2);                  /*  RM-AREF-NAME    */
    T0 = cl_format(3, ECL_NIL, VV[81], v4tag);
    T1 = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    CLV7 = env2 = CONS(T1,env2);                  /*  RM-ASET-NAME    */
    T0 = cl_list(2, ECL_SYM("QUOTE",679), v8aref_name);
    T1 = cl_list(2, ECL_SYM("EXPORT",344), T0);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV6));
    T3 = cl_list(2, ECL_SYM("EXPORT",344), T2);
    T4 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV6));
    T5 = cl_listX(3, ECL_SYM("LIST",481), T4, VV[90]);
    T6 = cl_list(5, ECL_SYM("LIST",481), VV[87], VV[88], VV[89], T5);
    T7 = cl_list(3, ECL_SYM("LET",477), VV[86], T6);
    T8 = cl_list(4, ECL_SYM("DEFMACRO",283), v8aref_name, VV[85], T7);
    value0 = ECL_CONS_CAR(CLV0);
    if ((value0)!=ECL_NIL) { goto L44; }
    T9 = ECL_SYM("NULL",605);
    goto L42;
L44:;
    T9 = value0;
    goto L42;
L42:;
    T10 = cl_list(3, ECL_SYM("FUNCTION",396), VV[91], T9);
    T11 = cl_list(3, ECL_SYM("FTYPE",393), T10, ECL_CONS_CAR(CLV6));
    T12 = cl_list(2, ECL_SYM("QUOTE",679), T11);
    T13 = cl_list(2, ECL_SYM("PROCLAIM",666), T12);
    T14 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC20fmtr(2, VV[95], v7bsize));
    T15 = cl_listX(6, ECL_SYM("C-INLINE",1980), VV[92], VV[94], ECL_CONS_CAR(CLV5), T14, VV[48]);
    T16 = cl_list(5, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV6), VV[92], VV[93], T15);
    T17 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC20fmtr(2, VV[97], v7bsize));
    T18 = cl_listX(7, VV[32], ECL_CONS_CAR(CLV6), VV[49], VV[96], ECL_CONS_CAR(CLV5), T17, VV[50]);
    T19 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC20fmtr(2, VV[95], v7bsize));
    T20 = cl_list(6, VV[32], ECL_CONS_CAR(CLV6), VV[49], VV[98], ECL_CONS_CAR(CLV5), T19);
    {
     cl_object v9;
     {
      cl_object v10;
      v10 = ecl_make_cclosure_va((cl_objectfn)LC22__g223,env2,Cblock);
      v9 = v10;
     }
     {
      cl_object v10;
      cl_object v11;
      v10 = ECL_NIL;
      {
       cl_object v12;
       v12 = VV[82];
       if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
       v11 = v12;
      }
      {
       cl_object v12;
       cl_object v13;
       v12 = ecl_list1(ECL_NIL);
       v13 = v12;
L57:;
       if (!(ecl_endp(v11))) { goto L59; }
       goto L58;
L59:;
       v10 = _ecl_car(v11);
       {
        cl_object v14;
        v14 = _ecl_cdr(v11);
        if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
        v11 = v14;
       }
       {
        cl_object v14;
        v14 = v13;
        if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
        T22 = v14;
       }
       T23 = ecl_function_dispatch(cl_env_copy,v9)(1, v10);
       v13 = ecl_list1(T23);
       (ECL_CONS_CDR(T22)=v13,T22);
       goto L57;
L58:;
       T21 = ecl_cdr(v12);
       goto L49;
      }
     }
    }
L49:;
    if (Null(ECL_CONS_CAR(CLV3))) { goto L76; }
    T23 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV7));
    T24 = cl_listX(3, ECL_SYM("LIST",481), T23, VV[105]);
    T25 = cl_list(2, ECL_SYM("QUOTE",679), ECL_CONS_CAR(CLV6));
    T26 = cl_listX(3, ECL_SYM("LIST",481), T25, VV[106]);
    T27 = cl_list(6, ECL_SYM("VALUES",895), VV[102], VV[103], VV[104], T24, T26);
    T28 = cl_list(3, ECL_SYM("LET",477), VV[101], T27);
    T29 = cl_list(4, ECL_SYM("DEFINE-SETF-EXPANDER",281), v8aref_name, VV[85], T28);
    T30 = L6declaim_arg_type_of(ECL_CONS_CAR(CLV0));
    T31 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("FIXNUM",372), T30);
    T32 = cl_list(3, ECL_SYM("FUNCTION",396), T31, ECL_CONS_CAR(CLV0));
    T33 = cl_list(3, ECL_SYM("FTYPE",393), T32, ECL_CONS_CAR(CLV7));
    T34 = cl_list(2, ECL_SYM("QUOTE",679), T33);
    T35 = cl_list(2, ECL_SYM("PROCLAIM",666), T34);
    T36 = cl_list(3, ECL_SYM("OBJECT",1281), ECL_SYM("INT",1373), ECL_CONS_CAR(CLV5));
    T37 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC21fmtw(2, VV[95], v7bsize));
    T38 = cl_listX(6, ECL_SYM("C-INLINE",1980), VV[107], T36, ECL_SYM("VOID",1385), T37, VV[48]);
    T39 = cl_list(3, ECL_SYM("PROG1",669), VV[108], T38);
    T40 = cl_list(5, ECL_SYM("DEFUN",289), ECL_CONS_CAR(CLV7), VV[107], VV[93], T39);
    T41 = cl_list(3, ECL_SYM("DEFSETF",286), ECL_CONS_CAR(CLV6), ECL_CONS_CAR(CLV7));
    T42 = cl_list(3, ECL_T, ECL_T, ECL_CONS_CAR(CLV0));
    T43 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC21fmtw(2, VV[97], v7bsize));
    T44 = cl_listX(7, VV[32], ECL_CONS_CAR(CLV7), VV[49], T42, ECL_CONS_CAR(CLV5), T43, VV[50]);
    T45 = cl_list(3, ECL_T, ECL_SYM("FIXNUM",372), ECL_CONS_CAR(CLV0));
    T46 = (aux_closure.env=env2,cl_env_copy->function=(cl_object)&aux_closure,LC21fmtw(2, VV[95], v7bsize));
    T47 = cl_list(6, VV[32], ECL_CONS_CAR(CLV7), VV[49], T45, ECL_CONS_CAR(CLV5), T46);
    {
     cl_object v9;
     {
      cl_object v10;
      v10 = ecl_make_cclosure_va((cl_objectfn)LC23__g231,env2,Cblock);
      v9 = v10;
     }
     {
      cl_object v10;
      cl_object v11;
      v10 = ECL_NIL;
      {
       cl_object v12;
       v12 = VV[82];
       if (ecl_unlikely(!ECL_LISTP(v12))) FEtype_error_list(v12);
       v11 = v12;
      }
      {
       cl_object v12;
       cl_object v13;
       v12 = ecl_list1(ECL_NIL);
       v13 = v12;
L89:;
       if (!(ecl_endp(v11))) { goto L91; }
       goto L90;
L91:;
       v10 = _ecl_car(v11);
       {
        cl_object v14;
        v14 = _ecl_cdr(v11);
        if (ecl_unlikely(!ECL_LISTP(v14))) FEtype_error_list(v14);
        v11 = v14;
       }
       {
        cl_object v14;
        v14 = v13;
        if (ecl_unlikely(ECL_ATOM(v14))) FEtype_error_cons(v14);
        T49 = v14;
       }
       T50 = ecl_function_dispatch(cl_env_copy,v9)(1, v10);
       v13 = ecl_list1(T50);
       (ECL_CONS_CDR(T49)=v13,T49);
       goto L89;
L90:;
       T48 = ecl_cdr(v12);
       goto L81;
      }
     }
    }
L81:;
    T22 = cl_listX(7, T29, T35, T40, T41, T44, T47, T48);
    goto L75;
L76:;
    T22 = ECL_NIL;
L75:;
    T23 = ecl_append(T21,T22);
    value0 = cl_listX(9, ECL_SYM("PROGN",671), T1, T3, T8, T13, T16, T18, T20, T23);
    return value0;
   }
  }
 }
}
/*      closure FMTW                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21fmtw(cl_narg narg, cl_object v1ptr_fmt, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);                           /*  WRITER          */
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2ptr_args;
  ecl_va_list args; ecl_va_start(args,v1ptr_fmt,narg,1);
  v2ptr_args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_format(6, ECL_NIL, VV[84], ECL_CONS_CAR(CLV3), ECL_CONS_CAR(CLV1), v1ptr_fmt, v2ptr_args);
  value0 = L11wrap_ret_arg(3, T0, ECL_CONS_CAR(CLV0), ecl_make_fixnum(2));
  return value0;
 }
 }
}
/*      closure FMTR                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20fmtr(cl_narg narg, cl_object v1ptr_fmt, ...)
{
 cl_object T0;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);                           /*  AUX-ARGS        */
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2ptr_args;
  ecl_va_list args; ecl_va_start(args,v1ptr_fmt,narg,1);
  v2ptr_args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_format(7, ECL_NIL, VV[83], ECL_CONS_CAR(CLV2), ECL_CONS_CAR(CLV1), v1ptr_fmt, v2ptr_args, ECL_CONS_CAR(CLV4));
  value0 = L11wrap_ret_arg(2, T0, ECL_CONS_CAR(CLV0));
  return value0;
 }
 }
}
/*      closure G223                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22__g223(cl_narg narg, cl_object v1spec, ...)
{
 cl_object T0, T1, T2, T3, T4;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;
 CLV6 = _ecl_cdr(CLV7);                           /*  RM-AREF-NAME    */
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_car(v1spec);
  T1 = cl_list(2, ECL_SYM("ARRAY",96), T0);
  T2 = cl_list(2, T1, ECL_SYM("FIXNUM",372));
  T4 = ecl_cadr(v1spec);
  T3 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC20fmtr(2, VV[100], T4));
  value0 = cl_list(6, VV[32], ECL_CONS_CAR(CLV6), VV[99], T2, ECL_CONS_CAR(CLV5), T3);
  return value0;
 }
 }
}
/*      closure G231                                                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g231(cl_narg narg, cl_object v1spec, ...)
{
 cl_object T0, T1, T2, T3, T4;
 volatile struct ecl_cclosure aux_closure;
 cl_object CLV0, CLV1, CLV2, CLV3, CLV4, CLV5, CLV6, CLV7;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV7 = env0;                                     /*  RM-ASET-NAME    */
 CLV6 = _ecl_cdr(CLV7);
 CLV5 = _ecl_cdr(CLV6);
 CLV4 = _ecl_cdr(CLV5);
 CLV3 = _ecl_cdr(CLV4);
 CLV2 = _ecl_cdr(CLV3);
 CLV1 = _ecl_cdr(CLV2);
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_car(v1spec);
  T1 = cl_list(2, ECL_SYM("ARRAY",96), T0);
  T2 = cl_list(3, T1, ECL_SYM("FIXNUM",372), ECL_CONS_CAR(CLV0));
  T4 = ecl_cadr(v1spec);
  T3 = (aux_closure.env=env0,cl_env_copy->function=(cl_object)&aux_closure,LC21fmtw(2, VV[100], T4));
  value0 = cl_list(6, VV[32], ECL_CONS_CAR(CLV7), VV[99], T2, ECL_CONS_CAR(CLV5), T3);
  return value0;
 }
 }
}
/*      local function DEF-AREF-INTRINSIC                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25def_aref_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4tag;
   cl_object v5val_type;
   cl_object v6reader_fun;
   cl_object v7writer_fun;
   cl_object v8;
   cl_object v9ref_size;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4tag = v10;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5val_type = v10;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6reader_fun = v10;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7writer_fun = v10;
   }
   v8 = si_search_keyword(2, v3, VV[110]);
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v9ref_size = ecl_make_fixnum(16);
   goto L27;
L28:;
   v9ref_size = v8;
L27:;
   si_check_keyword(2, v3, VV[111]);
   T0 = L5pointer_c_type_of(v5val_type);
   T1 = ecl_get(v6reader_fun,VV[112],ECL_NIL);
   T2 = ecl_get(v7writer_fun,VV[112],ECL_NIL);
   T3 = ecl_get(v6reader_fun,VV[113],ECL_NIL);
   value0 = cl_list(10, VV[109], v4tag, v5val_type, T0, T1, T2, VV[77], v9ref_size, VV[75], T3);
   return value0;
  }
 }
}
/*      local function DEF-MEM-INTRINSIC                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27def_mem_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50, T51, T52, T53, T54, T55, T56;
 volatile cl_object lex0[10];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5;
   cl_object v6public;
   cl_object v7;
   cl_object v8prefix_args;
   cl_object v9;
   cl_object v10;
   cl_object v11postfix_args;
   cl_object v12;
   cl_object v13pf_p;
   cl_object v14;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v15;
   }
   if (!(v3==ECL_NIL)) { goto L8; }
   si_dm_too_few_arguments(v1);
L8:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v15;
   }
   lex0[0] = T0;                                  /*  C-TYPE          */
   if (!(v3==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(v1);
L14:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v15;
   }
   lex0[1] = T0;                                  /*  RET-TYPE        */
   if (!(v3==ECL_NIL)) { goto L20; }
   si_dm_too_few_arguments(v1);
L20:;
   {
    cl_object v15;
    v15 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    T0 = v15;
   }
   lex0[2] = T0;                                  /*  C-NAME          */
   v5 = si_search_keyword(2, v3, VV[115]);
   if (!((v5)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v6public = ECL_T;
   goto L27;
L28:;
   v6public = v5;
L27:;
   v7 = si_search_keyword(2, v3, VV[116]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L32; }
   v8prefix_args = ECL_NIL;
   goto L31;
L32:;
   v8prefix_args = v7;
L31:;
   v9 = si_search_keyword(2, v3, VV[117]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L36; }
   T0 = VV[118];
   goto L35;
L36:;
   T0 = v9;
L35:;
   lex0[3] = T0;                                  /*  PREFIX-FMT      */
   v10 = si_search_keyword(2, v3, VV[119]);
   if (!((v10)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L40; }
   v11postfix_args = ECL_NIL;
   goto L39;
L40:;
   v11postfix_args = v10;
L39:;
   v12 = si_search_keyword(2, v3, VV[120]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L44; }
   T0 = VV[121];
   goto L43;
L44:;
   T0 = v12;
L43:;
   lex0[4] = T0;                                  /*  POSTFIX-FMT     */
   {
    bool v15;
    v15 = (v12)==(ECL_SYM("MISSING-KEYWORD",1936));
    v13pf_p = (v15)?ECL_NIL:ECL_T;
   }
   v14 = si_search_keyword(2, v3, VV[33]);
   if (!((v14)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L49; }
   T0 = ECL_NIL;
   goto L48;
L49:;
   T0 = v14;
L48:;
   lex0[5] = T0;                                  /*  RET-ARG         */
   si_check_keyword(2, v3, VV[122]);
   {
    cl_object v15anums;
    cl_object v16asyms;
    cl_object v17prefix_syms;
    cl_object v18postfix_syms;
    cl_object v19prefix_itypes;
    cl_object v20postfix_itypes;
    cl_object v21rftype;
    T0 = ecl_append(v8prefix_args,v11postfix_args);
    v15anums = L10make_arg_nums(T0);
    {
     cl_object v22;
     v22 = ecl_fdefinition(VV[22]);
     {
      cl_object v23;
      cl_object v24;
      v23 = ECL_NIL;
      {
       cl_object v25;
       v25 = v15anums;
       if (ecl_unlikely(!ECL_LISTP(v25))) FEtype_error_list(v25);
       v24 = v25;
      }
      {
       cl_object v25;
       cl_object v26;
       v25 = ecl_list1(ECL_NIL);
       v26 = v25;
L61:;
       if (!(ecl_endp(v24))) { goto L63; }
       goto L62;
L63:;
       v23 = _ecl_car(v24);
       {
        cl_object v27;
        v27 = _ecl_cdr(v24);
        if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
        v24 = v27;
       }
       {
        cl_object v27;
        v27 = v26;
        if (ecl_unlikely(ECL_ATOM(v27))) FEtype_error_cons(v27);
        T0 = v27;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v22)(1, v23);
       v26 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v26,T0);
       goto L61;
L62:;
       v16asyms = ecl_cdr(v25);
       goto L53;
      }
     }
    }
L53:;
    {
     cl_fixnum v22;
     v22 = ecl_length(v8prefix_args);
     T0 = cl_subseq(3, v15anums, ecl_make_fixnum(0), ecl_make_fixnum(v22));
     lex0[6] = T0;                                /*  PREFIX-NUMS     */
    }
    {
     cl_object v23;
     v23 = (ECL_SYM("1+",70)->symbol.gfdef);
     {
      cl_object v24;
      cl_object v25;
      cl_object v26;
      {
       cl_fixnum v27;
       v27 = ecl_length(v8prefix_args);
       v24 = cl_subseq(2, v15anums, ecl_make_fixnum(v27));
      }
      v25 = ECL_NIL;
      {
       cl_object v27;
       v27 = v24;
       if (ecl_unlikely(!ECL_LISTP(v27))) FEtype_error_list(v27);
       v26 = v27;
      }
      {
       cl_object v27;
       cl_object v28;
       v27 = ecl_list1(ECL_NIL);
       v28 = v27;
L88:;
       if (!(ecl_endp(v26))) { goto L90; }
       goto L89;
L90:;
       v25 = _ecl_car(v26);
       {
        cl_object v29;
        v29 = _ecl_cdr(v26);
        if (ecl_unlikely(!ECL_LISTP(v29))) FEtype_error_list(v29);
        v26 = v29;
       }
       {
        cl_object v29;
        v29 = v28;
        if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
        T1 = v29;
       }
       T2 = ecl_function_dispatch(cl_env_copy,v23)(1, v25);
       v28 = ecl_list1(T2);
       (ECL_CONS_CDR(T1)=v28,T1);
       goto L88;
L89:;
       T0 = ecl_cdr(v27);
       goto L79;
      }
     }
    }
L79:;
    lex0[7] = T0;                                 /*  POSTFIX-NUMS    */
    {
     cl_fixnum v23;
     v23 = ecl_length(v8prefix_args);
     v17prefix_syms = cl_subseq(3, v16asyms, ecl_make_fixnum(0), ecl_make_fixnum(v23));
    }
    {
     cl_fixnum v23;
     v23 = ecl_length(v8prefix_args);
     v18postfix_syms = cl_subseq(2, v16asyms, ecl_make_fixnum(v23));
    }
    {
     cl_object v23;
     v23 = ecl_fdefinition(VV[19]);
     {
      cl_object v24;
      cl_object v25;
      v24 = ECL_NIL;
      {
       cl_object v26;
       v26 = v8prefix_args;
       if (ecl_unlikely(!ECL_LISTP(v26))) FEtype_error_list(v26);
       v25 = v26;
      }
      {
       cl_object v26;
       cl_object v27;
       v26 = ecl_list1(ECL_NIL);
       v27 = v26;
L116:;
       if (!(ecl_endp(v25))) { goto L118; }
       goto L117;
L118:;
       v24 = _ecl_car(v25);
       {
        cl_object v28;
        v28 = _ecl_cdr(v25);
        if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
        v25 = v28;
       }
       {
        cl_object v28;
        v28 = v27;
        if (ecl_unlikely(ECL_ATOM(v28))) FEtype_error_cons(v28);
        T0 = v28;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v23)(1, v24);
       v27 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v27,T0);
       goto L116;
L117:;
       v19prefix_itypes = ecl_cdr(v26);
       goto L108;
      }
     }
    }
L108:;
    {
     cl_object v23;
     v23 = ecl_fdefinition(VV[19]);
     {
      cl_object v24;
      cl_object v25;
      v24 = ECL_NIL;
      {
       cl_object v26;
       v26 = v11postfix_args;
       if (ecl_unlikely(!ECL_LISTP(v26))) FEtype_error_list(v26);
       v25 = v26;
      }
      {
       cl_object v26;
       cl_object v27;
       v26 = ecl_list1(ECL_NIL);
       v27 = v26;
L142:;
       if (!(ecl_endp(v25))) { goto L144; }
       goto L143;
L144:;
       v24 = _ecl_car(v25);
       {
        cl_object v28;
        v28 = _ecl_cdr(v25);
        if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
        v25 = v28;
       }
       {
        cl_object v28;
        v28 = v27;
        if (ecl_unlikely(ECL_ATOM(v28))) FEtype_error_cons(v28);
        T0 = v28;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v23)(1, v24);
       v27 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v27,T0);
       goto L142;
L143:;
       v20postfix_itypes = ecl_cdr(v26);
       goto L134;
      }
     }
    }
L134:;
    v21rftype = L4foreign_type_of(lex0[1]);
    {
     cl_fixnum v23;
     v23 = ecl_length(v8prefix_args);
     lex0[8] = ecl_make_fixnum(v23);              /*  PTR-IDX         */
    }
    T0 = ecl_plus(lex0[8],ecl_make_fixnum(1));
    {
     cl_fixnum v24;
     v24 = ecl_length(v11postfix_args);
     T1 = ecl_plus(T0,ecl_make_fixnum(v24));
     lex0[9] = T1;                                /*  OFFSET-IDX      */
    }
    if (Null(v6public)) { goto L162; }
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T0 = cl_list(2, ECL_SYM("EXPORT",344), T1);
    goto L161;
L162:;
    T0 = ECL_NIL;
L161:;
    T1 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T2 = cl_list(3, ECL_SYM("GET",402), T1, VV[125]);
    T3 = cl_list(3, ECL_SYM("SETF",750), T2, lex0[2]);
    if (Null(v13pf_p)) { goto L165; }
    if (!(v11postfix_args==ECL_NIL)) { goto L165; }
    T5 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T6 = cl_list(3, ECL_SYM("GET",402), T5, VV[126]);
    T4 = cl_list(3, ECL_SYM("SETF",750), T6, lex0[4]);
    goto L164;
L165:;
    T4 = ECL_NIL;
L164:;
    T5 = cl_list(4, ECL_SYM("EVAL-WHEN",340), VV[124], T3, T4);
    {
     cl_object v25;
     v25 = ecl_fdefinition(VV[17]);
     {
      cl_object v26;
      cl_object v27;
      v26 = ECL_NIL;
      {
       cl_object v28;
       v28 = v8prefix_args;
       if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
       v27 = v28;
      }
      {
       cl_object v28;
       cl_object v29;
       v28 = ecl_list1(ECL_NIL);
       v29 = v28;
L176:;
       if (!(ecl_endp(v27))) { goto L178; }
       goto L177;
L178:;
       v26 = _ecl_car(v27);
       {
        cl_object v30;
        v30 = _ecl_cdr(v27);
        if (ecl_unlikely(!ECL_LISTP(v30))) FEtype_error_list(v30);
        v27 = v30;
       }
       {
        cl_object v30;
        v30 = v29;
        if (ecl_unlikely(ECL_ATOM(v30))) FEtype_error_cons(v30);
        T7 = v30;
       }
       T8 = ecl_function_dispatch(cl_env_copy,v25)(1, v26);
       v29 = ecl_list1(T8);
       (ECL_CONS_CDR(T7)=v29,T7);
       goto L176;
L177:;
       T6 = ecl_cdr(v28);
       goto L168;
      }
     }
    }
L168:;
    {
     cl_object v25;
     v25 = ecl_fdefinition(VV[17]);
     {
      cl_object v26;
      cl_object v27;
      v26 = ECL_NIL;
      {
       cl_object v28;
       v28 = v11postfix_args;
       if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
       v27 = v28;
      }
      {
       cl_object v28;
       cl_object v29;
       v28 = ecl_list1(ECL_NIL);
       v29 = v28;
L202:;
       if (!(ecl_endp(v27))) { goto L204; }
       goto L203;
L204:;
       v26 = _ecl_car(v27);
       {
        cl_object v30;
        v30 = _ecl_cdr(v27);
        if (ecl_unlikely(!ECL_LISTP(v30))) FEtype_error_list(v30);
        v27 = v30;
       }
       {
        cl_object v30;
        v30 = v29;
        if (ecl_unlikely(ECL_ATOM(v30))) FEtype_error_cons(v30);
        T8 = v30;
       }
       T9 = ecl_function_dispatch(cl_env_copy,v25)(1, v26);
       v29 = ecl_list1(T9);
       (ECL_CONS_CDR(T8)=v29,T8);
       goto L202;
L203:;
       T7 = ecl_cdr(v28);
       goto L194;
      }
     }
    }
L194:;
    T8 = ecl_append(T7,VV[127]);
    T9 = CONS(ECL_SYM("FOREIGN-DATA",1348),T8);
    T10 = ecl_append(T6,T9);
    T11 = cl_list(3, ECL_SYM("FUNCTION",396), T10, lex0[1]);
    T12 = cl_list(3, ECL_SYM("FTYPE",393), T11, v4name);
    T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
    T14 = cl_list(2, ECL_SYM("PROCLAIM",666), T13);
    T15 = ecl_append(v18postfix_syms,VV[129]);
    T16 = CONS(VV[128],T15);
    T17 = ecl_append(v17prefix_syms,T16);
    T18 = ecl_append(v18postfix_syms,VV[130]);
    T19 = CONS(VV[128],T18);
    T20 = ecl_append(v17prefix_syms,T19);
    {
     cl_object v25;
     v25 = ecl_fdefinition(VV[10]);
     {
      cl_object v26;
      cl_object v27;
      v26 = ECL_NIL;
      {
       cl_object v28;
       v28 = v8prefix_args;
       if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
       v27 = v28;
      }
      {
       cl_object v28;
       cl_object v29;
       v28 = ecl_list1(ECL_NIL);
       v29 = v28;
L228:;
       if (!(ecl_endp(v27))) { goto L230; }
       goto L229;
L230:;
       v26 = _ecl_car(v27);
       {
        cl_object v30;
        v30 = _ecl_cdr(v27);
        if (ecl_unlikely(!ECL_LISTP(v30))) FEtype_error_list(v30);
        v27 = v30;
       }
       {
        cl_object v30;
        v30 = v29;
        if (ecl_unlikely(ECL_ATOM(v30))) FEtype_error_cons(v30);
        T22 = v30;
       }
       T23 = ecl_function_dispatch(cl_env_copy,v25)(1, v26);
       v29 = ecl_list1(T23);
       (ECL_CONS_CDR(T22)=v29,T22);
       goto L228;
L229:;
       T21 = ecl_cdr(v28);
       goto L220;
      }
     }
    }
L220:;
    {
     cl_object v25;
     v25 = ecl_fdefinition(VV[10]);
     {
      cl_object v26;
      cl_object v27;
      v26 = ECL_NIL;
      {
       cl_object v28;
       v28 = v11postfix_args;
       if (ecl_unlikely(!ECL_LISTP(v28))) FEtype_error_list(v28);
       v27 = v28;
      }
      {
       cl_object v28;
       cl_object v29;
       v28 = ecl_list1(ECL_NIL);
       v29 = v28;
L254:;
       if (!(ecl_endp(v27))) { goto L256; }
       goto L255;
L256:;
       v26 = _ecl_car(v27);
       {
        cl_object v30;
        v30 = _ecl_cdr(v27);
        if (ecl_unlikely(!ECL_LISTP(v30))) FEtype_error_list(v30);
        v27 = v30;
       }
       {
        cl_object v30;
        v30 = v29;
        if (ecl_unlikely(ECL_ATOM(v30))) FEtype_error_cons(v30);
        T23 = v30;
       }
       T24 = ecl_function_dispatch(cl_env_copy,v25)(1, v26);
       v29 = ecl_list1(T24);
       (ECL_CONS_CDR(T23)=v29,T23);
       goto L254;
L255:;
       T22 = ecl_cdr(v28);
       goto L246;
      }
     }
    }
L246:;
    T23 = ecl_append(T22,VV[131]);
    T24 = CONS(ECL_SYM("POINTER-VOID",1381),T23);
    T25 = ecl_append(T21,T24);
    T26 = LC26fmt(lex0, VV[132]);
    T27 = cl_listX(6, ECL_SYM("C-INLINE",1980), T20, T25, v21rftype, T26, VV[48]);
    T28 = cl_list(5, ECL_SYM("DEFUN",289), v4name, T17, VV[47], T27);
    T29 = CONS(ECL_T,v20postfix_itypes);
    T30 = ecl_append(v19prefix_itypes,T29);
    T31 = LC26fmt(lex0, VV[133]);
    T32 = cl_listX(7, VV[32], v4name, VV[49], T30, v21rftype, T31, VV[50]);
    T33 = ecl_append(v20postfix_itypes,VV[134]);
    T34 = CONS(ECL_T,T33);
    T35 = ecl_append(v19prefix_itypes,T34);
    T36 = LC26fmt(lex0, VV[135]);
    T37 = cl_list(6, VV[32], v4name, VV[49], T35, v21rftype, T36);
    T38 = ecl_append(v20postfix_itypes,VV[136]);
    T39 = CONS(ECL_T,T38);
    T40 = ecl_append(v19prefix_itypes,T39);
    T41 = LC26fmt(lex0, VV[137]);
    T42 = cl_list(6, VV[32], v4name, VV[49], T40, v21rftype, T41);
    T43 = CONS(ECL_SYM("FOREIGN-DATA",1348),v20postfix_itypes);
    T44 = ecl_append(v19prefix_itypes,T43);
    T45 = LC26fmt(lex0, VV[138]);
    T46 = cl_list(6, VV[32], v4name, VV[99], T44, v21rftype, T45);
    T47 = ecl_append(v20postfix_itypes,VV[134]);
    T48 = CONS(ECL_SYM("FOREIGN-DATA",1348),T47);
    T49 = ecl_append(v19prefix_itypes,T48);
    T50 = LC26fmt(lex0, VV[139]);
    T51 = cl_list(6, VV[32], v4name, VV[99], T49, v21rftype, T50);
    T52 = ecl_append(v20postfix_itypes,VV[136]);
    T53 = CONS(ECL_SYM("FOREIGN-DATA",1348),T52);
    T54 = ecl_append(v19prefix_itypes,T53);
    T55 = LC26fmt(lex0, VV[140]);
    T56 = cl_list(6, VV[32], v4name, VV[99], T54, v21rftype, T55);
    value0 = cl_list(11, ECL_SYM("PROGN",671), T0, T5, T14, T28, T32, T37, T42, T46, T51, T56);
    return value0;
   }
  }
 }
}
/*      local function FMT                                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26fmt(volatile cl_object *lex0, cl_object v1ptr_text)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, lex0[8], lex0[9]);
  T1 = cl_format(10, ECL_NIL, VV[123], lex0[2], lex0[3], lex0[6], lex0[0], v1ptr_text, T0, lex0[4], lex0[7]);
  value0 = L11wrap_ret_arg(3, T1, lex0[1], lex0[5]);
  return value0;
 }
}
/*      local function DEF-LOAD-INTRINSIC                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28def_load_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5ret_type;
   cl_object v6insn;
   cl_object v7c_name;
   cl_object v8;
   cl_object v9register_arg;
   cl_object v10;
   cl_object v11;
   cl_object v12;
   cl_object v13postfix_fmt;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v14;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5ret_type = v14;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v14;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v14;
    v14 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7c_name = v14;
   }
   v8 = si_search_keyword(2, v3, VV[142]);
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v9register_arg = ECL_NIL;
   goto L27;
L28:;
   v9register_arg = v8;
L27:;
   v10 = si_search_keyword(2, v3, VV[66]);
   v11 = si_search_keyword(2, v3, ECL_SYM("SIZE",1311));
   v12 = si_search_keyword(2, v3, VV[120]);
   if (!((v12)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L34; }
   v13postfix_fmt = ECL_NIL;
   goto L33;
L34:;
   v13postfix_fmt = v12;
L33:;
   si_check_keyword(2, v3, VV[143]);
   T0 = L5pointer_c_type_of(v5ret_type);
   if (Null(v9register_arg)) { goto L38; }
   T1 = ecl_list1(v5ret_type);
   goto L37;
L38:;
   T1 = ECL_NIL;
L37:;
   value0 = v13postfix_fmt;
   if ((value0)!=ECL_NIL) { goto L42; }
   T2 = VV[76];
   goto L40;
L42:;
   T2 = value0;
   goto L40;
L40:;
   value0 = cl_list(9, VV[141], v4name, T0, v5ret_type, v7c_name, VV[116], T1, VV[120], T2);
   return value0;
  }
 }
}
/*      local function DEF-STORE-INTRINSIC                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29def_store_intrinsic(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5ret_type;
   cl_object v6insn;
   cl_object v7c_name;
   cl_object v8;
   cl_object v9setf_name;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v10;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5ret_type = v10;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6insn = v10;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v10;
    v10 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7c_name = v10;
   }
   v8 = si_search_keyword(2, v3, VV[145]);
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v9setf_name = ECL_NIL;
   goto L27;
L28:;
   v9setf_name = v8;
L27:;
   si_check_keyword(2, v3, VV[146]);
   T0 = L5pointer_c_type_of(v5ret_type);
   T1 = Null(v9setf_name)?ECL_T:ECL_NIL;
   T2 = ecl_list1(v5ret_type);
   T3 = cl_listX(10, VV[141], v4name, T0, v5ret_type, v7c_name, VV[115], T1, VV[119], T2, VV[147]);
   if (Null(v9setf_name)) { goto L33; }
   T5 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
   T6 = cl_listX(3, ECL_SYM("LIST",481), T5, VV[150]);
   T4 = cl_list(5, ECL_SYM("DEFSETF",286), v9setf_name, VV[148], VV[149], T6);
   goto L32;
L33:;
   T4 = ECL_NIL;
L32:;
   value0 = cl_list(3, ECL_SYM("PROGN",671), T3, T4);
   return value0;
  }
 }
}

#include "ext/ecl-sse-core.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclaGjh8A3fvMhn9_p4CwJJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-CORE.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclaGjh8A3fvMhn9_p4CwJJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC1sse_pack,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[0], VVtemp[0], T0);
 }
  ecl_cmp_defmacro(VV[152]);                      /*  TYPENAME-CASE   */
  ecl_cmp_defun(VV[153]);                         /*  FOREIGN-TYPE-OF */
  ecl_cmp_defun(VV[154]);                         /*  POINTER-C-TYPE-OF */
  ecl_cmp_defun(VV[155]);                         /*  DECLAIM-ARG-TYPE-OF */
  ecl_cmp_defun(VV[156]);                         /*  INLINE-ARG-TYPE-OF */
  ecl_cmp_defun(VV[157]);                         /*  EXPAND-CONSTANT */
  ecl_cmp_defun(VV[158]);                         /*  MAKE-ARG-NAME   */
  ecl_cmp_defun(VV[159]);                         /*  MAKE-ARG-NUMS   */
  ecl_cmp_defun(VV[160]);                         /*  WRAP-RET-ARG    */
  ecl_cmp_defun(VV[161]);                         /*  MAKE-PACK-OF-BIN */
  ecl_cmp_defmacro(VV[163]);                      /*  DEF-INLINE      */
  ecl_cmp_defmacro(VV[164]);                      /*  DEF-INTRINSIC   */
  ecl_cmp_defmacro(VV[165]);                      /*  DEF-UNARY-INTRINSIC */
  ecl_cmp_defmacro(VV[166]);                      /*  DEF-CVT-TO-INT32-INTRINSIC */
  ecl_cmp_defmacro(VV[167]);                      /*  DEF-BINARY-INTRINSIC */
  ecl_cmp_defmacro(VV[168]);                      /*  DEF-SSE-INT-INTRINSIC */
  ecl_cmp_defmacro(VV[169]);                      /*  DEF-COMPARISON-INTRINSIC */
  ecl_cmp_defmacro(VV[170]);                      /*  %DEF-AREF-INTRINSIC */
  ecl_cmp_defmacro(VV[171]);                      /*  DEF-AREF-INTRINSIC */
  ecl_cmp_defmacro(VV[172]);                      /*  DEF-MEM-INTRINSIC */
  ecl_cmp_defmacro(VV[173]);                      /*  DEF-LOAD-INTRINSIC */
  ecl_cmp_defmacro(VV[174]);                      /*  DEF-STORE-INTRINSIC */
}
