/*      Compiler: ECL 16.0.0                                          */
/*      Source: EXT:CL-SIMD;ECL-SSE-UTILS.LISP                        */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-utils.eclh"
/*      function definition for LOOKUP-FLIP                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1lookup_flip(cl_narg narg, cl_object v1arg, cl_object v2pairs, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3no_reverse;
  ecl_va_list args; ecl_va_start(args,v2pairs,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L1lookup_flipkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v3no_reverse = keyvars[0];
  }
  if (!(ECL_CONSP(v1arg))) { goto L2; }
  {
   cl_object v4fix;
   T1 = ecl_car(v1arg);
   T0 = ecl_assql(T1,v2pairs);
   value0 = ecl_cdr(T0);
   if ((value0)!=ECL_NIL) { goto L6; }
   if ((v3no_reverse)!=ECL_NIL) { goto L9; }
   T0 = ecl_car(v1arg);
   T1 = cl_rassoc(2, T0, v2pairs);
   v4fix = ecl_car(T1);
   goto L4;
L9:;
   v4fix = ECL_NIL;
   goto L4;
L6:;
   v4fix = value0;
   goto L4;
L4:;
   if (!((v4fix)==(VV[0]))) { goto L11; }
   goto L15;
L14:;
   si_assert_failure(1, VV[1]);
L15:;
   T0 = ecl_cddr(v1arg);
   if (T0==ECL_NIL) { goto L18; }
   goto L14;
L18:;
   value0 = ecl_cadr(v1arg);
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   if (Null(v4fix)) { goto L20; }
   T0 = ecl_cdr(v1arg);
   value0 = CONS(v4fix,T0);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for EXPAND-CONDITION                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2expand_condition(cl_object v1form, cl_object v2env)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  v1form = cl_macroexpand(2, v1form, v2env);
L4:;
  if (!(ECL_CONSP(v1form))) { goto L9; }
  T0 = ecl_car(v1form);
  if (!(ECL_SYMBOLP(T0))) { goto L9; }
  T0 = ecl_car(v1form);
  if ((ecl_get(T0,VV[3],ECL_NIL))!=ECL_NIL) { goto L6; }
  goto L7;
L9:;
  goto L7;
L7:;
  goto L5;
L6:;
  T0 = ecl_car(v1form);
  T1 = (cl_env_copy->function=(ECL_SYM("COMPILER-MACRO-FUNCTION",239)->symbol.gfdef))->cfun.entry(1, T0) /*  COMPILER-MACRO-FUNCTION */;
  v1form = ecl_function_dispatch(cl_env_copy,VV[148])(3, T1, v1form, v2env) /*  CMP-EXPAND-MACRO */;
  goto L4;
L5:;
  value0 = v1form;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for IS-UNARY?                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3is_unary_(cl_object v1form, cl_object v2op)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(v1form))) { goto L2; }
  T0 = ecl_car(v1form);
  if (!((T0)==(v2op))) { goto L2; }
  T0 = ecl_cddr(v1form);
  value0 = ecl_make_bool(T0==ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for EXPAND-IF-MACRO                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_if_macro(cl_narg narg, cl_object v1condition, cl_object v2then_value, cl_object v3else_value, cl_object v4env, cl_object v5if_f, cl_object v6not_f, cl_object v7or_f, cl_object v8and_f, cl_object v9andnot_f, cl_object v10type_name, cl_object v11zero_val, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<11)) FEwrong_num_arguments_anonym();
 {
  cl_object v12flip;
  ecl_va_list args; ecl_va_start(args,v11zero_val,narg,11);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L4expand_if_macrokeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v12flip = keyvars[0];
  }
  {
   cl_object v13condition;
   cl_object v14then_value;
   cl_object v15else_value;
   cl_object v16then_zero_;
   cl_object v17else_zero_;
   v13condition = L2expand_condition(v1condition, v4env);
   v14then_value = cl_macroexpand(2, v2then_value, v4env);
   v15else_value = cl_macroexpand(2, v3else_value, v4env);
   v16then_zero_ = ecl_make_bool(ecl_equal(v14then_value,v11zero_val));
   v17else_zero_ = ecl_make_bool(ecl_equal(v15else_value,v11zero_val));
   if (Null(L3is_unary_(v13condition, v6not_f))) { goto L6; }
   T0 = ecl_cadr(v13condition);
   T1 = Null(v12flip)?ECL_T:ECL_NIL;
   value0 = L4expand_if_macro(13, T0, v15else_value, v14then_value, v4env, v5if_f, v6not_f, v7or_f, v8and_f, v9andnot_f, v10type_name, v11zero_val, VV[6], T1);
   return value0;
L6:;
   if (Null(v16then_zero_)) { goto L9; }
   if (Null(v17else_zero_)) { goto L9; }
   value0 = v11zero_val;
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   if (Null(v16then_zero_)) { goto L12; }
   value0 = cl_list(3, v9andnot_f, v13condition, v15else_value);
   return value0;
L12:;
   if (Null(v17else_zero_)) { goto L14; }
   value0 = cl_list(3, v8and_f, v13condition, v14then_value);
   return value0;
L14:;
   {
    cl_object v18csym;
    cl_object v19args;
    v18csym = cl_gensym(0);
    T0 = cl_list(3, v8and_f, v18csym, v14then_value);
    T1 = cl_list(3, v9andnot_f, v18csym, v15else_value);
    v19args = cl_list(2, T0, T1);
    T0 = cl_list(2, v18csym, v13condition);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), v10type_name, v18csym);
    T3 = cl_list(2, VV[7], v18csym);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T2, T3);
    if (Null(v12flip)) { goto L19; }
    T5 = cl_reverse(v19args);
    goto L18;
L19:;
    T5 = v19args;
L18:;
    T6 = CONS(v7or_f,T5);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T4, T6);
    return value0;
   }
  }
 }
}
/*      local function DEF-UTILITY                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5def_utility(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5arg_types;
   cl_object v6ret_type;
   cl_object v7expansion;
   cl_object v8;
   cl_object v9expand_args;
   cl_object v10;
   cl_object v11expand_in_condition;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v12;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg_types = v12;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6ret_type = v12;
   }
   if (!(v3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(v1);
L21:;
   {
    cl_object v12;
    v12 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7expansion = v12;
   }
   v8 = si_search_keyword(2, v3, VV[9]);
   if (!((v8)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L28; }
   v9expand_args = ECL_NIL;
   goto L27;
L28:;
   v9expand_args = v8;
L27:;
   v10 = si_search_keyword(2, v3, VV[10]);
   if (!((v10)==(ECL_SYM("MISSING-KEYWORD",1936)))) { goto L32; }
   v11expand_in_condition = ECL_NIL;
   goto L31;
L32:;
   v11expand_in_condition = v10;
L31:;
   si_check_keyword(2, v3, VV[11]);
   {
    cl_object v12anames;
    {
     cl_object v13;
     v13 = ecl_fdefinition(VV[150]);
     {
      cl_object v14;
      cl_object v15;
      cl_object v16;
      v14 = ecl_function_dispatch(cl_env_copy,VV[151])(1, v5arg_types) /*  MAKE-ARG-NUMS */;
      v15 = ECL_NIL;
      {
       cl_object v17;
       v17 = v14;
       if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
       v16 = v17;
      }
      {
       cl_object v17;
       cl_object v18;
       v17 = ecl_list1(ECL_NIL);
       v18 = v17;
L44:;
       if (!(ecl_endp(v16))) { goto L46; }
       goto L45;
L46:;
       v15 = _ecl_car(v16);
       {
        cl_object v19;
        v19 = _ecl_cdr(v16);
        if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
        v16 = v19;
       }
       {
        cl_object v19;
        v19 = v18;
        if (ecl_unlikely(ECL_ATOM(v19))) FEtype_error_cons(v19);
        T0 = v19;
       }
       T1 = ecl_function_dispatch(cl_env_copy,v13)(1, v15);
       v18 = ecl_list1(T1);
       (ECL_CONS_CDR(T0)=v18,T0);
       goto L44;
L45:;
       v12anames = ecl_cdr(v17);
       goto L35;
      }
     }
    }
L35:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T1 = cl_list(2, ECL_SYM("EXPORT",344), T0);
    if (Null(v11expand_in_condition)) { goto L63; }
    T3 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
    T4 = cl_list(3, ECL_SYM("GET",402), T3, VV[13]);
    T5 = cl_list(3, ECL_SYM("SETF",750), T4, ECL_T);
    T2 = ecl_list1(T5);
    goto L62;
L63:;
    T2 = ECL_NIL;
L62:;
    T3 = cl_listX(3, ECL_SYM("&ENVIRONMENT",9), VV[14], v12anames);
    {
     cl_object v13;
     cl_object v14arg;
     cl_object v15;
     if (!((v9expand_args)==(ECL_T))) { goto L67; }
     v13 = v12anames;
     goto L66;
L67:;
     v13 = v9expand_args;
L66:;
     v14arg = ECL_NIL;
     {
      cl_object v16;
      v16 = v13;
      if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
      v15 = v16;
     }
     {
      cl_object v16;
      cl_object v17;
      v16 = ecl_list1(ECL_NIL);
      v17 = v16;
L75:;
      if (!(ecl_endp(v15))) { goto L77; }
      goto L76;
L77:;
      v14arg = _ecl_car(v15);
      {
       cl_object v18;
       v18 = _ecl_cdr(v15);
       if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
       v15 = v18;
      }
      {
       cl_object v18;
       v18 = v17;
       if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
       T5 = v18;
      }
      T6 = cl_list(3, ECL_SYM("MACROEXPAND",519), v14arg, VV[14]);
      T7 = cl_list(3, ECL_SYM("SETQ",751), v14arg, T6);
      v17 = ecl_list1(T7);
      (ECL_CONS_CDR(T5)=v17,T5);
      goto L75;
L76:;
      T4 = ecl_cdr(v16);
      goto L65;
     }
    }
L65:;
    T5 = ecl_list1(v7expansion);
    T6 = ecl_append(T4,T5);
    T7 = cl_listX(5, ECL_SYM("DEFINE-COMPILER-MACRO",279), v4name, T3, VV[15], T6);
    T8 = ecl_list1(T7);
    T9 = ecl_append(T2,T8);
    T10 = cl_listX(3, ECL_SYM("EVAL-WHEN",340), VV[12], T9);
    {
     cl_object v13;
     v13 = ecl_fdefinition(VV[152]);
     {
      cl_object v14;
      cl_object v15;
      v14 = ECL_NIL;
      {
       cl_object v16;
       v16 = v5arg_types;
       if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
       v15 = v16;
      }
      {
       cl_object v16;
       cl_object v17;
       v16 = ecl_list1(ECL_NIL);
       v17 = v16;
L100:;
       if (!(ecl_endp(v15))) { goto L102; }
       goto L101;
L102:;
       v14 = _ecl_car(v15);
       {
        cl_object v18;
        v18 = _ecl_cdr(v15);
        if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        v15 = v18;
       }
       {
        cl_object v18;
        v18 = v17;
        if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
        T12 = v18;
       }
       T13 = ecl_function_dispatch(cl_env_copy,v13)(1, v14);
       v17 = ecl_list1(T13);
       (ECL_CONS_CDR(T12)=v17,T12);
       goto L100;
L101:;
       T11 = ecl_cdr(v16);
       goto L92;
      }
     }
    }
L92:;
    T12 = cl_list(3, ECL_SYM("FUNCTION",396), T11, v6ret_type);
    T13 = cl_list(3, ECL_SYM("FTYPE",393), T12, v4name);
    T14 = cl_list(2, ECL_SYM("QUOTE",679), T13);
    T15 = cl_list(2, ECL_SYM("PROCLAIM",666), T14);
    {
     cl_object v13;
     v13 = (ECL_SYM("LIST",481)->symbol.gfdef);
     {
      cl_object v14;
      cl_object v15;
      v14 = ECL_NIL;
      {
       cl_object v16;
       v16 = v12anames;
       if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
       v15 = v16;
      }
      {
       cl_object v16;
       cl_object v17;
       v16 = ECL_NIL;
       {
        cl_object v18;
        v18 = v12anames;
        if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
        v17 = v18;
       }
       {
        cl_object v18;
        cl_object v19;
        v18 = ecl_list1(ECL_NIL);
        v19 = v18;
L130:;
        if (!(ecl_endp(v15))) { goto L132; }
        goto L131;
L132:;
        v14 = _ecl_car(v15);
        {
         cl_object v20;
         v20 = _ecl_cdr(v15);
         if (ecl_unlikely(!ECL_LISTP(v20))) FEtype_error_list(v20);
         v15 = v20;
        }
        if (!(ecl_endp(v17))) { goto L140; }
        goto L131;
L140:;
        v16 = _ecl_car(v17);
        {
         cl_object v20;
         v20 = _ecl_cdr(v17);
         if (ecl_unlikely(!ECL_LISTP(v20))) FEtype_error_list(v20);
         v17 = v20;
        }
        {
         cl_object v20;
         v20 = v19;
         if (ecl_unlikely(ECL_ATOM(v20))) FEtype_error_cons(v20);
         T17 = v20;
        }
        T18 = ecl_function_dispatch(cl_env_copy,v13)(2, v14, v16);
        v19 = ecl_list1(T18);
        (ECL_CONS_CDR(T17)=v19,T17);
        goto L130;
L131:;
        T16 = ecl_cdr(v18);
        goto L118;
       }
      }
     }
    }
L118:;
    {
     cl_object v13an;
     cl_object v14;
     cl_object v15at;
     cl_object v16;
     v13an = ECL_NIL;
     {
      cl_object v17;
      v17 = v12anames;
      if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
      v14 = v17;
     }
     v15at = ECL_NIL;
     {
      cl_object v17;
      v17 = v5arg_types;
      if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
      v16 = v17;
     }
     {
      cl_object v17;
      cl_object v18;
      v17 = ecl_list1(ECL_NIL);
      v18 = v17;
L167:;
      if (ecl_endp(v14)) { goto L171; }
      if (!(ecl_endp(v16))) { goto L169; }
      goto L170;
L171:;
L170:;
      goto L168;
L169:;
      {
       cl_object v19;
       v19 = _ecl_car(v14);
       v15at = _ecl_car(v16);
       v13an = v19;
      }
      {
       cl_object v19;
       v19 = _ecl_cdr(v14);
       if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
       v14 = v19;
      }
      {
       cl_object v19;
       v19 = _ecl_cdr(v16);
       if (ecl_unlikely(!ECL_LISTP(v19))) FEtype_error_list(v19);
       v16 = v19;
      }
      {
       cl_object v19;
       v19 = v18;
       if (ecl_unlikely(ECL_ATOM(v19))) FEtype_error_cons(v19);
       T18 = v19;
      }
      T19 = cl_list(3, ECL_SYM("TYPE",869), v15at, v13an);
      v18 = ecl_list1(T19);
      (ECL_CONS_CDR(T18)=v18,T18);
      goto L167;
L168:;
      T17 = ecl_cdr(v17);
      goto L156;
     }
    }
L156:;
    T18 = CONS(ECL_SYM("DECLARE",274),T17);
    T19 = CONS(v4name,v12anames);
    T20 = cl_list(4, ECL_SYM("LET",477), T16, T18, T19);
    T21 = cl_list(5, ECL_SYM("DEFUN",289), v4name, v12anames, VV[16], T20);
    value0 = cl_list(5, ECL_SYM("PROGN",671), T1, T10, T15, T21);
    return value0;
   }
  }
 }
}
/*      local function DEF-IF-FUNCTION                                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6def_if_function(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   cl_object v5type_name;
   cl_object v6postfix;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5type_name = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6postfix = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = cl_list(3, v5type_name, v5type_name, v5type_name);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), v4name);
   T2 = cl_format(3, ECL_NIL, VV[21], v6postfix);
   T3 = cl_intern(1, T2);
   T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
   T5 = cl_format(3, ECL_NIL, VV[22], v6postfix);
   T6 = cl_intern(1, T5);
   T7 = cl_list(2, ECL_SYM("QUOTE",679), T6);
   T8 = cl_format(3, ECL_NIL, VV[23], v6postfix);
   T9 = cl_intern(1, T8);
   T10 = cl_list(2, ECL_SYM("QUOTE",679), T9);
   T11 = cl_format(3, ECL_NIL, VV[24], v6postfix);
   T12 = cl_intern(1, T11);
   T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
   T14 = cl_list(2, ECL_SYM("QUOTE",679), v5type_name);
   T15 = cl_format(3, ECL_NIL, VV[25], v6postfix);
   T16 = cl_intern(1, T15);
   T17 = ecl_list1(T16);
   T18 = cl_list(2, ECL_SYM("QUOTE",679), T17);
   T19 = cl_list(12, VV[8], VV[18], VV[19], VV[20], VV[14], T1, T4, T7, T10, T13, T14, T18);
   value0 = cl_list(5, VV[17], v4name, T0, v5type_name, T19);
   return value0;
  }
 }
}
/*      local function SSE-ARRAY                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7sse_array(cl_object v1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3elt_type;
   cl_object v4dims;
   v2 = v1;
   if (!(v2==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3elt_type = v5;
   }
   if (Null(v2)) { goto L9; }
   {
    cl_object v5;
    v5 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v4dims = v5;
    goto L8;
   }
L9:;
   v4dims = ECL_SYM("*",18);
L8:;
   if (Null(v2)) { goto L14; }
   si_dm_too_many_arguments(v1);
L14:;
   if (!((v3elt_type)==(ECL_SYM("*",18)))) { goto L16; }
   ecl_function_dispatch(cl_env_copy,VV[154])(1, VV[28]) /*  CMPERR   */;
L16:;
   {
    cl_object v5upgraded;
    v5upgraded = cl_upgraded_array_element_type(1, v3elt_type);
    if (!((v5upgraded)==(ECL_T))) { goto L24; }
    goto L21;
    goto L22;
L24:;
    goto L22;
L22:;
    if (!((v5upgraded)==(ECL_SYM("BIT",123)))) { goto L19; }
    goto L20;
L21:;
L20:;
    ecl_function_dispatch(cl_env_copy,VV[154])(2, VV[31], v3elt_type) /*  CMPERR */;
L19:;
    if ((cl_subtypep(2, v5upgraded, v3elt_type))!=ECL_NIL) { goto L27; }
    ecl_function_dispatch(cl_env_copy,VV[155])(3, VV[32], v3elt_type, v5upgraded) /*  CMPWARN */;
L27:;
    value0 = cl_list(3, ECL_SYM("ARRAY",96), v5upgraded, v4dims);
    return value0;
   }
  }
 }
}
/*      function definition for MAKE-SSE-ARRAY                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_sse_array(cl_narg narg, cl_object v1dimensions, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2args;
  cl_object v3element_type;
  cl_object v4displaced_to;
  ecl_va_list args; ecl_va_start(args,v1dimensions,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L8make_sse_arraykeys,keyvars,(cl_object*)&v2args,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    v3element_type = VV[33];
   } else {
    v3element_type = keyvars[0];
   }
   v4displaced_to = keyvars[1];
  }
  if (Null(v4displaced_to)) { goto L2; }
  T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
  value0 = cl_apply(3, T0, v1dimensions, v2args);
  return value0;
L2:;
  {
   cl_object v6;                                  /*  ELT-SIZE        */
   cl_object v7;                                  /*  ADJ-TYPE        */
   value0 = si_array_element_type_byte_size(v3element_type);
   v6 = value0;
   {
    const int v8 = cl_env_copy->nvalues;
    cl_object v9;
    v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
    v7 = v9;
   }
   if (!((v7)==(ECL_T))) { goto L6; }
   cl_error(1, VV[34]);
L6:;
   {
    cl_object v9;
    cl_object v10;                                /*  FLAG            */
    value0 = si_rem_f(v2args, ECL_SYM("ELEMENT-TYPE",1227));
    v9 = value0;
    v10 = cl_env_copy->values[1];
    v2args = v9;
   }
   {
    cl_object v8full_size;
    cl_object v9padded_size;
    cl_object v10array;
    cl_fixnum v11misalign;
    cl_object v12offset;
    if (!(ecl_numberp(v1dimensions))) { goto L13; }
    v8full_size = v1dimensions;
    goto L12;
L13:;
    T0 = (ECL_SYM("*",18)->symbol.gfdef);
    v8full_size = cl_reduce(2, T0, v1dimensions);
L12:;
    T0 = ecl_ceiling2(ecl_make_fixnum(15),v6);
    v9padded_size = ecl_plus(v8full_size,T0);
    T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
    v10array = cl_apply(5, T0, v9padded_size, ECL_SYM("ELEMENT-TYPE",1227), v7, v2args);
    v11misalign = (cl_fixnum)((((unsigned long)(v10array)->array.self.b8) & 15));
    if (!((v11misalign)>(0))) { goto L22; }
    T0 = ecl_minus(ecl_make_fixnum(16),ecl_make_fixnum(v11misalign));
    goto L21;
L22:;
    T0 = ecl_make_fixnum(0);
L21:;
    v12offset = ecl_divide(T0,v6);
    value0 = si_make_pure_array(v3element_type, v1dimensions, ECL_NIL, ECL_NIL, v10array, v12offset);
    return value0;
   }
  }
 }
}
/*      local function SET-TRUE-SS                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9set_true_ss(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[36];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function SET-TRUE-PS                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10set_true_ps(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[39];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G111                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g111(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[42];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G112                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12__g112(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[44];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G113                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g113(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[42];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G114                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g114(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[47];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G115                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g115(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[42];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function IF-PS                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16if_ps(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L23; }
   si_dm_too_many_arguments(v1);
L23:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[49], VV[50], VV[51], VV[52], VV[53], ECL_SYM("FLOAT-SSE-PACK",1803), VV[42]);
   return value0;
  }
 }
}
/*      function definition for IF-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17if_ps(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v4arg0;
   __m128 v5arg1;
   __m128 v6arg2;
   {
    cl_object v7;
    v7 = v1arg0;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v4arg0 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v2arg1;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v5arg1 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v3arg2;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v6arg2 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[52])(2, ecl_make_float_sse_pack(v4arg0), ecl_make_float_sse_pack(v5arg1)) /*  AND-PS */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[53])(2, ecl_make_float_sse_pack(v4arg0), ecl_make_float_sse_pack(v6arg2)) /*  ANDNOT-PS */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[51])(2, T0, T1) /*  OR-PS */;
   return value0;
  }
 }
}
/*      local function NEG-SS                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18neg_ss(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[55], v4arg0, VV[56]);
   return value0;
  }
 }
}
/*      function definition for NEG-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19neg_ss(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v3);
    v2arg0 = ecl_unbox_float_sse_pack_unsafe(v3);
   }
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0));
    value0 = ecl_function_dispatch(cl_env_copy,VV[55])(2, ecl_make_float_sse_pack(v2arg0), ecl_make_float_sse_pack(v3)) /*  XOR-PS */;
    return value0;
   }
  }
 }
}
/*      local function NEG-PS                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20neg_ps(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[55], v4arg0, VV[58]);
   return value0;
  }
 }
}
/*      function definition for NEG-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L21neg_ps(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v3);
    v2arg0 = ecl_unbox_float_sse_pack_unsafe(v3);
   }
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,128,0,0,0,128,0,0,0,128));
    value0 = ecl_function_dispatch(cl_env_copy,VV[55])(2, ecl_make_float_sse_pack(v2arg0), ecl_make_float_sse_pack(v3)) /*  XOR-PS */;
    return value0;
   }
  }
 }
}
/*      local function NOT-PS                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22not_ps(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(2, v4arg0, VV[60]);
   if ((value0)!=ECL_NIL) { goto L16; }
   value0 = cl_list(3, VV[55], v4arg0, VV[46]);
   return value0;
L16:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for NOT-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L23not_ps(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v3);
    v2arg0 = ecl_unbox_float_sse_pack_unsafe(v3);
   }
   {
    __m128 v3;
    v3 = _mm_castsi128_ps(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[55])(2, ecl_make_float_sse_pack(v2arg0), ecl_make_float_sse_pack(v3)) /*  XOR-PS */;
    return value0;
   }
  }
 }
}
/*      function definition for SHUFFLE-PS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24shuffle_ps(cl_object v1x, cl_object v2y, cl_object v3mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v4;
   v4 = v2y;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L8; }
   v2y = si_do_check_type(v4, VV[61], ECL_NIL, VV[63]);
L8:;
  }
  {
   cl_object v4;
   v4 = v3mask;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L17; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(255))) { goto L22; }
    if ((v5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   v3mask = si_do_check_type(v4, VV[33], ECL_NIL, VV[64]);
L13:;
  }
  value0 = ecl_make_float_sse_pack(_mm_setr_ps(
       (v1x)->sse.data.sf[(ecl_to_int(v3mask))&3],
       (v1x)->sse.data.sf[((ecl_to_int(v3mask))>>2)&3],
       (v2y)->sse.data.sf[((ecl_to_int(v3mask))>>4)&3],
       (v2y)->sse.data.sf[((ecl_to_int(v3mask))>>6)&3]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SET-TRUE-SD                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25set_true_sd(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[66];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function SET-TRUE-PD                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26set_true_pd(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[69];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G157                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g157(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[72];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G158                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g158(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[74];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G159                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g159(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[72];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G160                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g160(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[77];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G161                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g161(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[72];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function IF-PD                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32if_pd(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L23; }
   si_dm_too_many_arguments(v1);
L23:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[79], VV[80], VV[81], VV[82], VV[83], ECL_SYM("DOUBLE-SSE-PACK",1804), VV[72]);
   return value0;
  }
 }
}
/*      function definition for IF-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33if_pd(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v4arg0;
   __m128d v5arg1;
   __m128d v6arg2;
   {
    cl_object v7;
    v7 = v1arg0;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v7);
    v4arg0 = ecl_unbox_double_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v2arg1;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v7);
    v5arg1 = ecl_unbox_double_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v3arg2;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v7);
    v6arg2 = ecl_unbox_double_sse_pack_unsafe(v7);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(2, ecl_make_double_sse_pack(v4arg0), ecl_make_double_sse_pack(v5arg1)) /*  AND-PD */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[83])(2, ecl_make_double_sse_pack(v4arg0), ecl_make_double_sse_pack(v6arg2)) /*  ANDNOT-PD */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[81])(2, T0, T1) /*  OR-PD */;
   return value0;
  }
 }
}
/*      local function NEG-SD                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34neg_sd(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[85], v4arg0, VV[86]);
   return value0;
  }
 }
}
/*      function definition for NEG-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35neg_sd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v3);
    v2arg0 = ecl_unbox_double_sse_pack_unsafe(v3);
   }
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0));
    value0 = ecl_function_dispatch(cl_env_copy,VV[85])(2, ecl_make_double_sse_pack(v2arg0), ecl_make_double_sse_pack(v3)) /*  XOR-PD */;
    return value0;
   }
  }
 }
}
/*      local function NEG-PD                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36neg_pd(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[85], v4arg0, VV[89]);
   return value0;
  }
 }
}
/*      function definition for NEG-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37neg_pd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v3);
    v2arg0 = ecl_unbox_double_sse_pack_unsafe(v3);
   }
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,128));
    value0 = ecl_function_dispatch(cl_env_copy,VV[85])(2, ecl_make_double_sse_pack(v2arg0), ecl_make_double_sse_pack(v3)) /*  XOR-PD */;
    return value0;
   }
  }
 }
}
/*      local function NOT-PD                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38not_pd(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(2, v4arg0, VV[91]);
   if ((value0)!=ECL_NIL) { goto L16; }
   value0 = cl_list(3, VV[85], v4arg0, VV[76]);
   return value0;
L16:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for NOT-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39not_pd(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1804),v3);
    v2arg0 = ecl_unbox_double_sse_pack_unsafe(v3);
   }
   {
    __m128d v3;
    v3 = _mm_castsi128_pd(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[85])(2, ecl_make_double_sse_pack(v2arg0), ecl_make_double_sse_pack(v3)) /*  XOR-PD */;
    return value0;
   }
  }
 }
}
/*      function definition for SHUFFLE-PD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40shuffle_pd(cl_object v1x, cl_object v2y, cl_object v3mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v4;
   v4 = v2y;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L8; }
   v2y = si_do_check_type(v4, VV[61], ECL_NIL, VV[63]);
L8:;
  }
  {
   cl_object v4;
   v4 = v3mask;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L17; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(3))) { goto L22; }
    if ((v5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   v3mask = si_do_check_type(v4, VV[92], ECL_NIL, VV[64]);
L13:;
  }
  value0 = ecl_make_double_sse_pack(_mm_setr_pd(
       (v1x)->sse.data.df[(ecl_to_int(v3mask))&1],
       (v2y)->sse.data.df[((ecl_to_int(v3mask))>>1)&1]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SET-TRUE-PI                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41set_true_pi(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = ecl_cdr(v1);
   if (Null(v3)) { goto L2; }
   si_dm_too_many_arguments(v1);
L2:;
   value0 = VV[94];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function G197                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g197(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[97];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G198                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g198(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[99];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function G199                                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g199(cl_object v1si__form, cl_object v2si__env)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[97];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function IF-PI                                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45if_pi(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v7;
   }
   if (Null(v3)) { goto L23; }
   si_dm_too_many_arguments(v1);
L23:;
   value0 = L4expand_if_macro(11, v4arg0, v5arg1, v6arg2, v2env, VV[101], VV[102], VV[103], VV[104], VV[105], ECL_SYM("FLOAT-SSE-PACK",1803), VV[97]);
   return value0;
  }
 }
}
/*      function definition for IF-PI                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46if_pi(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 v4arg0;
   __m128 v5arg1;
   __m128 v6arg2;
   {
    cl_object v7;
    v7 = v1arg0;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v4arg0 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v2arg1;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v5arg1 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   {
    cl_object v7;
    v7 = v3arg2;
    T0 = si_sse_pack_p(v7);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1803),v7);
    v6arg2 = ecl_unbox_float_sse_pack_unsafe(v7);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[104])(2, ecl_make_float_sse_pack(v4arg0), ecl_make_float_sse_pack(v5arg1)) /*  AND-PI */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[105])(2, ecl_make_float_sse_pack(v4arg0), ecl_make_float_sse_pack(v6arg2)) /*  ANDNOT-PI */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[103])(2, T0, T1) /*  OR-PI */;
   return value0;
  }
 }
}
/*      local function NEG-PI8                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47neg_pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[107], VV[97], v4arg0);
   return value0;
  }
 }
}
/*      function definition for NEG-PI8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48neg_pi8(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v3);
    v2arg0 = ecl_unbox_int_sse_pack_unsafe(v3);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[180])(0) /*  SETZERO-PI  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[107])(2, T0, ecl_make_int_sse_pack(v2arg0)) /*  SUB-PI8 */;
   return value0;
  }
 }
}
/*      local function NEG-PI16                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49neg_pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[109], VV[97], v4arg0);
   return value0;
  }
 }
}
/*      function definition for NEG-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50neg_pi16(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v3);
    v2arg0 = ecl_unbox_int_sse_pack_unsafe(v3);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[180])(0) /*  SETZERO-PI  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[109])(2, T0, ecl_make_int_sse_pack(v2arg0)) /*  SUB-PI16 */;
   return value0;
  }
 }
}
/*      local function NEG-PI32                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51neg_pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[111], VV[97], v4arg0);
   return value0;
  }
 }
}
/*      function definition for NEG-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52neg_pi32(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v3);
    v2arg0 = ecl_unbox_int_sse_pack_unsafe(v3);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[180])(0) /*  SETZERO-PI  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[111])(2, T0, ecl_make_int_sse_pack(v2arg0)) /*  SUB-PI32 */;
   return value0;
  }
 }
}
/*      local function NEG-PI64                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53neg_pi64(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   value0 = cl_list(3, VV[113], VV[97], v4arg0);
   return value0;
  }
 }
}
/*      function definition for NEG-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54neg_pi64(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v3);
    v2arg0 = ecl_unbox_int_sse_pack_unsafe(v3);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[180])(0) /*  SETZERO-PI  */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[113])(2, T0, ecl_make_int_sse_pack(v2arg0)) /*  SUB-PI64 */;
   return value0;
  }
 }
}
/*      local function NOT-PI                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55not_pi(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v5;
   }
   if (Null(v3)) { goto L11; }
   si_dm_too_many_arguments(v1);
L11:;
   v4arg0 = cl_macroexpand(2, v4arg0, v2env);
   value0 = L1lookup_flip(4, v4arg0, VV[114], VV[115], ECL_T);
   if ((value0)!=ECL_NIL) { goto L16; }
   value0 = cl_list(3, VV[116], v4arg0, VV[98]);
   return value0;
L16:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for NOT-PI                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56not_pi(cl_object v1arg0)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v2arg0;
   {
    cl_object v3;
    v3 = v1arg0;
    T0 = si_sse_pack_p(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v3);
    v2arg0 = ecl_unbox_int_sse_pack_unsafe(v3);
   }
   {
    __m128i v3;
    v3 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, ecl_make_int_sse_pack(v2arg0), ecl_make_int_sse_pack(v3)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function <=-PI8                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[118], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for <=-PI8                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[118])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  >-PI8 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function <=-PI16                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[120], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for <=-PI16                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[120])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  >-PI16 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function <=-PI32                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[122], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for <=-PI32                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[122])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  >-PI32 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function >=-PI8                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[124], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for >=-PI8                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[124])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  <-PI8 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function >=-PI16                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[126], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for >=-PI16                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[126])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  <-PI16 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function >=-PI32                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[128], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for >=-PI32                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[128])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  <-PI32 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function /=-PI8                                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69___pi8(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[130], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for /=-PI8                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70___pi8(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[130])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  =-PI8 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function /=-PI16                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71___pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[132], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for /=-PI16                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72___pi16(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[132])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  =-PI16 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      local function /=-PI32                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73___pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v6;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v6;
    v6 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v6;
   }
   if (Null(v3)) { goto L17; }
   si_dm_too_many_arguments(v1);
L17:;
   T0 = cl_list(3, VV[134], v4arg0, v5arg1);
   value0 = cl_list(2, VV[102], T0);
   return value0;
  }
 }
}
/*      function definition for /=-PI32                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74___pi32(cl_object v1arg0, cl_object v2arg1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i v3arg0;
   __m128i v4arg1;
   {
    cl_object v5;
    v5 = v1arg0;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v3arg0 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   {
    cl_object v5;
    v5 = v2arg1;
    T0 = si_sse_pack_p(v5);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1802),v5);
    v4arg1 = ecl_unbox_int_sse_pack_unsafe(v5);
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[134])(2, ecl_make_int_sse_pack(v3arg0), ecl_make_int_sse_pack(v4arg1)) /*  =-PI32 */;
   {
    __m128i v5;
    v5 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_function_dispatch(cl_env_copy,VV[116])(2, T0, ecl_make_int_sse_pack(v5)) /*  XOR-PI */;
    return value0;
   }
  }
 }
}
/*      function definition for SLLI-PI                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75slli_pi(cl_object v1x, cl_object v2shift)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2shift;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2shift = si_do_check_type(v3, VV[33], ECL_NIL, VV[135]);
L8:;
  }
  {
   cl_object v3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     unsigned bshift=(ecl_to_int(v2shift)), i;
     for (i = 0; i + bshift < 16; i++)
       rv->sse.data.b8[i+bshift] = (v1x)->sse.data.b8[i];
     v3= rv;
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SRLI-PI                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76srli_pi(cl_object v1x, cl_object v2shift)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2shift;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2shift = si_do_check_type(v3, VV[33], ECL_NIL, VV[135]);
L8:;
  }
  {
   cl_object v3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     int bshift=(ecl_to_int(v2shift)), i;
     for (i = 16 - bshift - 1; i >= 0; i--)
       rv->sse.data.b8[i] = (v1x)->sse.data.b8[i+bshift];
     v3= rv;
   value0 = v3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for EXTRACT-PI16                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77extract_pi16(cl_object v1x, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2index;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2index = si_do_check_type(v3, VV[33], ECL_NIL, VV[138]);
L8:;
  }
  value0 = ecl_make_fixnum(*((unsigned short*)&(v1x)->sse.data.b8[((ecl_to_int(v2index))&3)*2]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for INSERT-PI16                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78insert_pi16(cl_object v1x, cl_object v2ival, cl_object v3index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v4;
   v4 = v1x;
   if ((si_sse_pack_p(v4))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v4, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v4;
   v4 = v3index;
   {
    cl_fixnum v5;
    v5 = 0;
    if (!(ECL_FIXNUMP(v4))) { goto L12; }
    v5 = ecl_fixnum(v4);
    if (!((v5)<=(255))) { goto L17; }
    if ((v5)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v3index = si_do_check_type(v4, VV[33], ECL_NIL, VV[138]);
L8:;
  }
  {
   cl_object v4;
   cl_object rv = ecl_make_int_sse_pack(ecl_unbox_int_sse_pack(v1x));
     *((unsigned short*)&rv->sse.data.b8[((ecl_to_int(v3index))&3)*2]) = (unsigned short)(ecl_to_int(v2ival));
     v4= rv;
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SHUFFLE-PI32                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79shuffle_pi32(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[33], ECL_NIL, VV[64]);
L8:;
  }
  {
   __m128i v3;
   unsigned *pd = (unsigned*)(v1x)->sse.data.b8;
     v3= _mm_setr_epi32(pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[((ecl_to_int(v2mask))>>6)&3]);
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SHUFFLELO-PI16                        */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80shufflelo_pi16(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[33], ECL_NIL, VV[64]);
L8:;
  }
  {
   __m128i v3;
   unsigned short *pd = (unsigned short*)(v1x)->sse.data.b8;
     v3= _mm_setr_epi16(
       pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[(((ecl_to_int(v2mask))>>6)&3)],
       pd[4], pd[5], pd[6], pd[7]
     );
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SHUFFLEHI-PI16                        */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81shufflehi_pi16(cl_object v1x, cl_object v2mask)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object v3;
   v3 = v1x;
   if ((si_sse_pack_p(v3))!=ECL_NIL) { goto L3; }
   v1x = si_do_check_type(v3, VV[61], ECL_NIL, VV[62]);
L3:;
  }
  {
   cl_object v3;
   v3 = v2mask;
   {
    cl_fixnum v4;
    v4 = 0;
    if (!(ECL_FIXNUMP(v3))) { goto L12; }
    v4 = ecl_fixnum(v3);
    if (!((v4)<=(255))) { goto L17; }
    if ((v4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   v2mask = si_do_check_type(v3, VV[33], ECL_NIL, VV[64]);
L8:;
  }
  {
   __m128i v3;
   unsigned short *pb = (unsigned short*)(v1x)->sse.data.b8, *pd = pb+4;
     v3= _mm_setr_epi16(
       pb[0], pb[1], pb[2], pb[3],
       pd[(ecl_to_int(v2mask))&3],pd[((ecl_to_int(v2mask))>>2)&3],pd[((ecl_to_int(v2mask))>>4)&3],pd[(((ecl_to_int(v2mask))>>6)&3)]
     );
   value0 = ecl_make_int_sse_pack(v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/ecl-sse-utils.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclmQxOAGSNxlIj9_M3FwJJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-UTILS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclmQxOAGSNxlIj9_M3FwJJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[144]);                         /*  LOOKUP-FLIP     */
  ecl_cmp_defun(VV[145]);                         /*  EXPAND-CONDITION */
  ecl_cmp_defun(VV[146]);                         /*  IS-UNARY?       */
  ecl_cmp_defun(VV[147]);                         /*  EXPAND-IF-MACRO */
  ecl_cmp_defmacro(VV[149]);                      /*  DEF-UTILITY     */
  ecl_cmp_defmacro(VV[153]);                      /*  DEF-IF-FUNCTION */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC7sse_array,ECL_NIL,Cblock,1);
   T0 = v1;
  }
  si_do_deftype(3, VV[27], VVtemp[0], T0);
 }
  ecl_cmp_defun(VV[156]);                         /*  MAKE-SSE-ARRAY  */
  VV[36]= ecl_function_dispatch(cl_env_copy,VV[159])(3, ecl_make_fixnum(4294967295), VV[37], ECL_SYM("FLOAT-SSE-PACK",1803)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[160]);                      /*  SET-TRUE-SS     */
  VV[39]= ecl_function_dispatch(cl_env_copy,VV[159])(3, ecl_make_fixnum(-1), VV[37], ECL_SYM("FLOAT-SSE-PACK",1803)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[161]);                      /*  SET-TRUE-PS     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC11__g111,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[41], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC12__g112,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[43], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC13__g113,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[45], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC14__g114,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[46], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC15__g115,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[48], ECL_SYM("SYMBOL-MACRO",1161), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[49]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC16if_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[49], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[1]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[162]);                         /*  IF-PS           */
 }
 {
  cl_object T0;
  cl_export(1, VV[54]);
  VV[56]= ecl_function_dispatch(cl_env_copy,VV[159])(3, ecl_make_fixnum(2147483648), VV[37], ECL_SYM("FLOAT-SSE-PACK",1803)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC18neg_ss,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[54], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[2]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[163]);                         /*  NEG-SS          */
 }
 {
  cl_object T0;
  cl_export(1, VV[57]);
  VV[58]= ecl_function_dispatch(cl_env_copy,VV[159])(3, VV[59], VV[37], ECL_SYM("FLOAT-SSE-PACK",1803)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC20neg_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[57], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[3]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[164]);                         /*  NEG-PS          */
 }
 {
  cl_object T0;
  cl_export(1, VV[50]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC22not_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[50], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[4]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[165]);                         /*  NOT-PS          */
 }
  ecl_cmp_defun(VV[166]);                         /*  SHUFFLE-PS      */
  VV[66]= ecl_function_dispatch(cl_env_copy,VV[159])(3, VV[67], VV[37], ECL_SYM("DOUBLE-SSE-PACK",1804)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[167]);                      /*  SET-TRUE-SD     */
  VV[69]= ecl_function_dispatch(cl_env_copy,VV[159])(3, ecl_make_fixnum(-1), VV[37], ECL_SYM("DOUBLE-SSE-PACK",1804)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[168]);                      /*  SET-TRUE-PD     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC27__g157,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[71], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC28__g158,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[73], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC29__g159,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[75], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC30__g160,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[76], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC31__g161,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[78], ECL_SYM("SYMBOL-MACRO",1161), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[79]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC32if_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[79], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[5]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[169]);                         /*  IF-PD           */
 }
 {
  cl_object T0;
  cl_export(1, VV[84]);
  VV[86]= ecl_function_dispatch(cl_env_copy,VV[159])(3, VV[87], VV[37], ECL_SYM("DOUBLE-SSE-PACK",1804)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC34neg_sd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[84], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[6]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[170]);                         /*  NEG-SD          */
 }
 {
  cl_object T0;
  cl_export(1, VV[88]);
  VV[89]= ecl_function_dispatch(cl_env_copy,VV[159])(3, VV[90], VV[37], ECL_SYM("DOUBLE-SSE-PACK",1804)) /*  MAKE-PACK-OF-BIN */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC36neg_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[88], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[7]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[171]);                         /*  NEG-PD          */
 }
 {
  cl_object T0;
  cl_export(1, VV[80]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC38not_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[80], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[8]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[172]);                         /*  NOT-PD          */
 }
  ecl_cmp_defun(VV[173]);                         /*  SHUFFLE-PD      */
  VV[94]= ecl_function_dispatch(cl_env_copy,VV[159])(3, ecl_make_fixnum(-1), VV[37], ECL_SYM("INT-SSE-PACK",1802)) /*  MAKE-PACK-OF-BIN */;
  ecl_cmp_defmacro(VV[174]);                      /*  SET-TRUE-PI     */
 {
  cl_object T0;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC42__g197,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[96], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC43__g198,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[98], ECL_SYM("SYMBOL-MACRO",1161), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC44__g199,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[100], ECL_SYM("SYMBOL-MACRO",1161), T0);
 }
 {
  cl_object T0;
  cl_export(1, VV[101]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC45if_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[101], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[9]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[175]);                         /*  IF-PI           */
 }
 {
  cl_object T0;
  cl_export(1, VV[106]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC47neg_pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[106], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[10]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[176]);                         /*  NEG-PI8         */
  cl_export(1, VV[108]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC49neg_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[108], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[11]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[177]);                         /*  NEG-PI16        */
  cl_export(1, VV[110]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC51neg_pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[110], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[12]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[178]);                         /*  NEG-PI32        */
  cl_export(1, VV[112]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC53neg_pi64,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[112], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[13]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[179]);                         /*  NEG-PI64        */
 }
 {
  cl_object T0;
  cl_export(1, VV[102]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC55not_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[102], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[14]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[181]);                         /*  NOT-PI          */
 }
 {
  cl_object T0;
  cl_export(1, VV[117]);
  si_putprop(VV[117], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC57___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[117], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[15]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[182]);                         /*  <=-PI8          */
  cl_export(1, VV[119]);
  si_putprop(VV[119], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC59___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[119], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[16]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[183]);                         /*  <=-PI16         */
  cl_export(1, VV[121]);
  si_putprop(VV[121], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC61___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[121], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[17]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[184]);                         /*  <=-PI32         */
  cl_export(1, VV[123]);
  si_putprop(VV[123], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC63___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[123], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[18]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[185]);                         /*  >=-PI8          */
  cl_export(1, VV[125]);
  si_putprop(VV[125], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC65___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[125], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[19]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[186]);                         /*  >=-PI16         */
  cl_export(1, VV[127]);
  si_putprop(VV[127], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC67___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[127], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[20]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[187]);                         /*  >=-PI32         */
  cl_export(1, VV[129]);
  si_putprop(VV[129], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC69___pi8,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[129], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[21]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[188]);                         /*  /=-PI8          */
  cl_export(1, VV[131]);
  si_putprop(VV[131], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC71___pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[131], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[22]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[189]);                         /*  /=-PI16         */
  cl_export(1, VV[133]);
  si_putprop(VV[133], ECL_T, VV[3]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC73___pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[133], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[23]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[190]);                         /*  /=-PI32         */
 }
  ecl_cmp_defun(VV[191]);                         /*  SLLI-PI         */
  ecl_cmp_defun(VV[192]);                         /*  SRLI-PI         */
  ecl_cmp_defun(VV[193]);                         /*  EXTRACT-PI16    */
  ecl_cmp_defun(VV[194]);                         /*  INSERT-PI16     */
  ecl_cmp_defun(VV[195]);                         /*  SHUFFLE-PI32    */
  ecl_cmp_defun(VV[196]);                         /*  SHUFFLELO-PI16  */
  ecl_cmp_defun(VV[197]);                         /*  SHUFFLEHI-PI16  */
}
