/*      Compiler: ECL 16.0.0                                          */
/*      Source: EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-array-defs.eclh"
/*      local function AREF-PREFETCH-T0                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1aref_prefetch_t0(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[1], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PREFETCH-T0            */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L2row_major_aref_prefetch_t0(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),0),_MM_HINT_T0),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PREFETCH-T1                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3aref_prefetch_t1(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[8], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PREFETCH-T1            */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L4row_major_aref_prefetch_t1(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),0),_MM_HINT_T1),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PREFETCH-T2                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5aref_prefetch_t2(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[10], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PREFETCH-T2            */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L6row_major_aref_prefetch_t2(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),0),_MM_HINT_T2),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PREFETCH-NTA                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7aref_prefetch_nta(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[12], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PREFETCH-NTA           */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L8row_major_aref_prefetch_nta(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),0),_MM_HINT_NTA),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-CLFLUSH                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9aref_clflush(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[14], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-CLFLUSH                */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L10row_major_aref_clflush(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_clflush((void*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),1)),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SS                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11aref_ss(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[16], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SS                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L12row_major_aref_ss(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ss((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),4)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SS                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13aref_ss(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[18], v4, v5, v6);
   T5 = cl_list(3, VV[16], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SS                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L14row_major_aset_ss(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_store_ss((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),4),ecl_unbox_float_sse_pack(v3value)),ecl_unbox_float_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-PS                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15aref_ps(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[20], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PS                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L16row_major_aref_ps(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_loadu_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PS                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17aref_ps(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[21], v4, v5, v6);
   T5 = cl_list(3, VV[20], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-PS                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L18row_major_aset_ps(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_storeu_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_float_sse_pack(v3value)),ecl_unbox_float_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-APS                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19aref_aps(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[23], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-APS                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L20row_major_aref_aps(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-APS                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21aref_aps(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[24], v4, v5, v6);
   T5 = cl_list(3, VV[23], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-APS                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L22row_major_aset_aps(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_store_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_float_sse_pack(v3value)),ecl_unbox_float_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-SPS                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_sps(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[26], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SPS                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L24row_major_aref_sps(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SPS                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_sps(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[27], v4, v5, v6);
   T5 = cl_list(3, VV[26], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SPS                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L26row_major_aset_sps(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_stream_ps((float*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_float_sse_pack(v3value)),ecl_unbox_float_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-SD                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_sd(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[29], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SD                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L28row_major_aref_sd(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_sd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),8)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SD                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_sd(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[31], v4, v5, v6);
   T5 = cl_list(3, VV[29], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SD                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L30row_major_aset_sd(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_store_sd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),8),ecl_unbox_double_sse_pack(v3value)),ecl_unbox_double_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-PD                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31aref_pd(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[33], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PD                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L32row_major_aref_pd(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_loadu_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PD                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33aref_pd(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[34], v4, v5, v6);
   T5 = cl_list(3, VV[33], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-PD                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L34row_major_aset_pd(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_storeu_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_double_sse_pack(v3value)),ecl_unbox_double_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-APD                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35aref_apd(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[36], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-APD                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L36row_major_aref_apd(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-APD                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37aref_apd(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[37], v4, v5, v6);
   T5 = cl_list(3, VV[36], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-APD                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L38row_major_aset_apd(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_store_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_double_sse_pack(v3value)),ecl_unbox_double_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-SPD                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39aref_spd(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[39], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SPD                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L40row_major_aref_spd(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SPD                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41aref_spd(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[40], v4, v5, v6);
   T5 = cl_list(3, VV[39], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SPD                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L42row_major_aset_spd(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_stream_pd((double*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_double_sse_pack(v3value)),ecl_unbox_double_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-SI64                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43aref_si64(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[42], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SI64                   */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L44row_major_aref_si64(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),8)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SI64                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45aref_si64(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[44], v4, v5, v6);
   T5 = cl_list(3, VV[42], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SI64                   */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L46row_major_aset_si64(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_storel_epi64((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),8),ecl_unbox_int_sse_pack(v3value)),ecl_unbox_int_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-PI                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47aref_pi(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[46], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-PI                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L48row_major_aref_pi(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-PI                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49aref_pi(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[47], v4, v5, v6);
   T5 = cl_list(3, VV[46], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-PI                     */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L50row_major_aset_pi(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_storeu_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_int_sse_pack(v3value)),ecl_unbox_int_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-API                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51aref_api(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[49], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-API                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L52row_major_aref_api(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-API                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53aref_api(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[50], v4, v5, v6);
   T5 = cl_list(3, VV[49], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-API                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L54row_major_aset_api(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_store_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_int_sse_pack(v3value)),ecl_unbox_int_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function AREF-SPI                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55aref_spi(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4array;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4array = v5;
   }
   {
    cl_object v5varr;
    v5varr = cl_gensym(1, VV[2]);
    T0 = cl_list(2, v5varr, v4array);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[3], v5varr);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v5varr, v3);
    T5 = cl_list(3, VV[52], v5varr, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*      function definition for ROW-MAJOR-AREF-SPI                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L56row_major_aref_spi(cl_object v1array, cl_object v2index)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function AREF-SPI                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57aref_spi(cl_narg narg, cl_object v1, cl_object v2array, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3indexes;
  ecl_va_list args; ecl_va_start(args,v2array,narg,2);
  v3indexes = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v4;
   cl_object v5;
   cl_object v6;
   v4 = cl_gensym(0);
   v5 = cl_gensym(0);
   v6 = cl_gensym(0);
   T0 = cl_list(2, v4, v5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), v4, v3indexes);
   T2 = cl_list(2, v2array, T1);
   T3 = ecl_list1(v6);
   T4 = cl_list(4, VV[53], v4, v5, v6);
   T5 = cl_list(3, VV[52], v4, v5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*      function definition for ROW-MAJOR-ASET-SPI                    */
/*      optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L58row_major_aset_spi(cl_object v1array, cl_object v2index, cl_object v3value)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = v3value;
   (_mm_stream_si128((__m128i*)ecl_row_major_ptr(v1array,ecl_to_int(v2index),16),ecl_unbox_int_sse_pack(v3value)),ecl_unbox_int_sse_pack(v3value));
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/sse-array-defs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4e6uxycPj0Sn9_kUEwJJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecl4e6uxycPj0Sn9_kUEwJJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  cl_export(1, VV[0]);
  cl_export(1, VV[1]);
  ecl_cmp_defmacro(VV[54]);                       /*  AREF-PREFETCH-T0 */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[0]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[55]);                          /*  ROW-MAJOR-AREF-PREFETCH-T0 */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[1], VV[4], VVtemp[1], ECL_SYM("OBJECT",1281), VVtemp[2], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[4], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[4]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[6]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[8]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[10]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[12]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[14]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[15], ECL_SYM("OBJECT",1281), VVtemp[16]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[17], ECL_SYM("OBJECT",1281), VVtemp[18]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[19], ECL_SYM("OBJECT",1281), VVtemp[20]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[21], ECL_SYM("OBJECT",1281), VVtemp[22]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[1], VV[6], VVtemp[23], ECL_SYM("OBJECT",1281), VVtemp[24]) /*  DEF-INLINE */;
  cl_export(1, VV[7]);
  cl_export(1, VV[8]);
  ecl_cmp_defmacro(VV[57]);                       /*  AREF-PREFETCH-T1 */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[25]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[58]);                          /*  ROW-MAJOR-AREF-PREFETCH-T1 */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[8], VV[4], VVtemp[1], ECL_SYM("OBJECT",1281), VVtemp[26], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[4], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[27]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[28]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[29]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[30]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[31]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[32]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[15], ECL_SYM("OBJECT",1281), VVtemp[33]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[17], ECL_SYM("OBJECT",1281), VVtemp[34]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[19], ECL_SYM("OBJECT",1281), VVtemp[35]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[21], ECL_SYM("OBJECT",1281), VVtemp[36]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[8], VV[6], VVtemp[23], ECL_SYM("OBJECT",1281), VVtemp[37]) /*  DEF-INLINE */;
  cl_export(1, VV[9]);
  cl_export(1, VV[10]);
  ecl_cmp_defmacro(VV[59]);                       /*  AREF-PREFETCH-T2 */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[38]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[60]);                          /*  ROW-MAJOR-AREF-PREFETCH-T2 */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[10], VV[4], VVtemp[1], ECL_SYM("OBJECT",1281), VVtemp[39], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[4], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[40]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[41]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[42]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[43]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[44]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[45]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[15], ECL_SYM("OBJECT",1281), VVtemp[46]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[17], ECL_SYM("OBJECT",1281), VVtemp[47]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[19], ECL_SYM("OBJECT",1281), VVtemp[48]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[21], ECL_SYM("OBJECT",1281), VVtemp[49]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[10], VV[6], VVtemp[23], ECL_SYM("OBJECT",1281), VVtemp[50]) /*  DEF-INLINE */;
  cl_export(1, VV[11]);
  cl_export(1, VV[12]);
  ecl_cmp_defmacro(VV[61]);                       /*  AREF-PREFETCH-NTA */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[51]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[62]);                          /*  ROW-MAJOR-AREF-PREFETCH-NTA */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[12], VV[4], VVtemp[1], ECL_SYM("OBJECT",1281), VVtemp[52], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[4], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[53]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[54]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[55]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[56]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[57]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[58]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[15], ECL_SYM("OBJECT",1281), VVtemp[59]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[17], ECL_SYM("OBJECT",1281), VVtemp[60]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[19], ECL_SYM("OBJECT",1281), VVtemp[61]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[21], ECL_SYM("OBJECT",1281), VVtemp[62]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[12], VV[6], VVtemp[23], ECL_SYM("OBJECT",1281), VVtemp[63]) /*  DEF-INLINE */;
  cl_export(1, VV[13]);
  cl_export(1, VV[14]);
  ecl_cmp_defmacro(VV[63]);                       /*  AREF-CLFLUSH    */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[64]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[64]);                          /*  ROW-MAJOR-AREF-CLFLUSH */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[14], VV[4], VVtemp[1], ECL_SYM("OBJECT",1281), VVtemp[65], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[4], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[66]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[67]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[68]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[69]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[70]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[71]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[15], ECL_SYM("OBJECT",1281), VVtemp[72]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[17], ECL_SYM("OBJECT",1281), VVtemp[73]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[19], ECL_SYM("OBJECT",1281), VVtemp[74]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[21], ECL_SYM("OBJECT",1281), VVtemp[75]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[14], VV[6], VVtemp[23], ECL_SYM("OBJECT",1281), VVtemp[76]) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[15]);
  cl_export(1, VV[16]);
  ecl_cmp_defmacro(VV[65]);                       /*  AREF-SS         */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[77]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[66]);                          /*  ROW-MAJOR-AREF-SS */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[16], VV[4], VVtemp[1], VV[17], VVtemp[78], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[4], VVtemp[3], VV[17], VVtemp[79]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[5], VV[17], VVtemp[80]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[7], VV[17], VVtemp[81]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[9], VV[17], VVtemp[82]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[11], VV[17], VVtemp[83]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[13], VV[17], VVtemp[84]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[15], VV[17], VVtemp[85]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[17], VV[17], VVtemp[86]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[19], VV[17], VVtemp[87]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[21], VV[17], VVtemp[88]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[16], VV[6], VVtemp[23], VV[17], VVtemp[89]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC13aref_ss,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[15], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[90]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[67]);                          /*  ROW-MAJOR-ASET-SS */
  si_do_defsetf(VV[16], VV[18]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[18], VV[4], VVtemp[91], VV[17], VVtemp[92], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[4], VVtemp[93], VV[17], VVtemp[94]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[95], VV[17], VVtemp[96]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[97], VV[17], VVtemp[98]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[99], VV[17], VVtemp[100]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[101], VV[17], VVtemp[102]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[103], VV[17], VVtemp[104]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[105], VV[17], VVtemp[106]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[107], VV[17], VVtemp[108]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[109], VV[17], VVtemp[110]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[111], VV[17], VVtemp[112]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[18], VV[6], VVtemp[113], VV[17], VVtemp[114]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[19]);
  cl_export(1, VV[20]);
  ecl_cmp_defmacro(VV[68]);                       /*  AREF-PS         */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[115]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[69]);                          /*  ROW-MAJOR-AREF-PS */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[20], VV[4], VVtemp[1], VV[17], VVtemp[116], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[4], VVtemp[3], VV[17], VVtemp[117]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[5], VV[17], VVtemp[118]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[7], VV[17], VVtemp[119]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[9], VV[17], VVtemp[120]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[11], VV[17], VVtemp[121]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[13], VV[17], VVtemp[122]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[15], VV[17], VVtemp[123]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[17], VV[17], VVtemp[124]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[19], VV[17], VVtemp[125]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[21], VV[17], VVtemp[126]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[20], VV[6], VVtemp[23], VV[17], VVtemp[127]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC17aref_ps,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[19], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[128]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[70]);                          /*  ROW-MAJOR-ASET-PS */
  si_do_defsetf(VV[20], VV[21]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[21], VV[4], VVtemp[91], VV[17], VVtemp[129], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[4], VVtemp[93], VV[17], VVtemp[130]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[95], VV[17], VVtemp[131]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[97], VV[17], VVtemp[132]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[99], VV[17], VVtemp[133]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[101], VV[17], VVtemp[134]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[103], VV[17], VVtemp[135]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[105], VV[17], VVtemp[136]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[107], VV[17], VVtemp[137]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[109], VV[17], VVtemp[138]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[111], VV[17], VVtemp[139]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[21], VV[6], VVtemp[113], VV[17], VVtemp[140]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[22]);
  cl_export(1, VV[23]);
  ecl_cmp_defmacro(VV[71]);                       /*  AREF-APS        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[141]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[72]);                          /*  ROW-MAJOR-AREF-APS */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[23], VV[4], VVtemp[1], VV[17], VVtemp[142], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[4], VVtemp[3], VV[17], VVtemp[143]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[5], VV[17], VVtemp[144]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[7], VV[17], VVtemp[145]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[9], VV[17], VVtemp[146]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[11], VV[17], VVtemp[147]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[13], VV[17], VVtemp[148]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[15], VV[17], VVtemp[149]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[17], VV[17], VVtemp[150]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[19], VV[17], VVtemp[151]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[21], VV[17], VVtemp[152]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[23], VV[6], VVtemp[23], VV[17], VVtemp[153]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC21aref_aps,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[22], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[154]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[73]);                          /*  ROW-MAJOR-ASET-APS */
  si_do_defsetf(VV[23], VV[24]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[24], VV[4], VVtemp[91], VV[17], VVtemp[155], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[4], VVtemp[93], VV[17], VVtemp[156]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[95], VV[17], VVtemp[157]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[97], VV[17], VVtemp[158]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[99], VV[17], VVtemp[159]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[101], VV[17], VVtemp[160]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[103], VV[17], VVtemp[161]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[105], VV[17], VVtemp[162]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[107], VV[17], VVtemp[163]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[109], VV[17], VVtemp[164]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[111], VV[17], VVtemp[165]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[24], VV[6], VVtemp[113], VV[17], VVtemp[166]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[25]);
  cl_export(1, VV[26]);
  ecl_cmp_defmacro(VV[74]);                       /*  AREF-SPS        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[167]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[75]);                          /*  ROW-MAJOR-AREF-SPS */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[26], VV[4], VVtemp[1], VV[17], VVtemp[142], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[4], VVtemp[3], VV[17], VVtemp[143]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[5], VV[17], VVtemp[144]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[7], VV[17], VVtemp[145]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[9], VV[17], VVtemp[146]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[11], VV[17], VVtemp[147]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[13], VV[17], VVtemp[148]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[15], VV[17], VVtemp[149]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[17], VV[17], VVtemp[150]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[19], VV[17], VVtemp[151]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[21], VV[17], VVtemp[152]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[26], VV[6], VVtemp[23], VV[17], VVtemp[153]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC25aref_sps,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[25], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[168]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[76]);                          /*  ROW-MAJOR-ASET-SPS */
  si_do_defsetf(VV[26], VV[27]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[27], VV[4], VVtemp[91], VV[17], VVtemp[169], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[4], VVtemp[93], VV[17], VVtemp[170]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[95], VV[17], VVtemp[171]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[97], VV[17], VVtemp[172]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[99], VV[17], VVtemp[173]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[101], VV[17], VVtemp[174]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[103], VV[17], VVtemp[175]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[105], VV[17], VVtemp[176]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[107], VV[17], VVtemp[177]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[109], VV[17], VVtemp[178]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[111], VV[17], VVtemp[179]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[27], VV[6], VVtemp[113], VV[17], VVtemp[180]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[28]);
  cl_export(1, VV[29]);
  ecl_cmp_defmacro(VV[77]);                       /*  AREF-SD         */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[181]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[78]);                          /*  ROW-MAJOR-AREF-SD */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[29], VV[4], VVtemp[1], VV[30], VVtemp[182], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[4], VVtemp[3], VV[30], VVtemp[183]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[5], VV[30], VVtemp[184]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[7], VV[30], VVtemp[185]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[9], VV[30], VVtemp[186]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[11], VV[30], VVtemp[187]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[13], VV[30], VVtemp[188]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[15], VV[30], VVtemp[189]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[17], VV[30], VVtemp[190]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[19], VV[30], VVtemp[191]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[21], VV[30], VVtemp[192]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[29], VV[6], VVtemp[23], VV[30], VVtemp[193]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC29aref_sd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[28], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[194]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[79]);                          /*  ROW-MAJOR-ASET-SD */
  si_do_defsetf(VV[29], VV[31]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[31], VV[4], VVtemp[195], VV[30], VVtemp[196], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[4], VVtemp[197], VV[30], VVtemp[198]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[199], VV[30], VVtemp[200]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[201], VV[30], VVtemp[202]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[203], VV[30], VVtemp[204]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[205], VV[30], VVtemp[206]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[207], VV[30], VVtemp[208]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[209], VV[30], VVtemp[210]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[211], VV[30], VVtemp[212]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[213], VV[30], VVtemp[214]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[215], VV[30], VVtemp[216]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[31], VV[6], VVtemp[217], VV[30], VVtemp[218]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[32]);
  cl_export(1, VV[33]);
  ecl_cmp_defmacro(VV[80]);                       /*  AREF-PD         */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[219]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[81]);                          /*  ROW-MAJOR-AREF-PD */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[33], VV[4], VVtemp[1], VV[30], VVtemp[220], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[4], VVtemp[3], VV[30], VVtemp[221]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[5], VV[30], VVtemp[222]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[7], VV[30], VVtemp[223]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[9], VV[30], VVtemp[224]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[11], VV[30], VVtemp[225]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[13], VV[30], VVtemp[226]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[15], VV[30], VVtemp[227]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[17], VV[30], VVtemp[228]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[19], VV[30], VVtemp[229]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[21], VV[30], VVtemp[230]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[33], VV[6], VVtemp[23], VV[30], VVtemp[231]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC33aref_pd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[32], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[232]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[82]);                          /*  ROW-MAJOR-ASET-PD */
  si_do_defsetf(VV[33], VV[34]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[34], VV[4], VVtemp[195], VV[30], VVtemp[233], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[4], VVtemp[197], VV[30], VVtemp[234]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[199], VV[30], VVtemp[235]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[201], VV[30], VVtemp[236]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[203], VV[30], VVtemp[237]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[205], VV[30], VVtemp[238]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[207], VV[30], VVtemp[239]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[209], VV[30], VVtemp[240]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[211], VV[30], VVtemp[241]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[213], VV[30], VVtemp[242]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[215], VV[30], VVtemp[243]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[34], VV[6], VVtemp[217], VV[30], VVtemp[244]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[35]);
  cl_export(1, VV[36]);
  ecl_cmp_defmacro(VV[83]);                       /*  AREF-APD        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[245]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[84]);                          /*  ROW-MAJOR-AREF-APD */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[36], VV[4], VVtemp[1], VV[30], VVtemp[246], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[4], VVtemp[3], VV[30], VVtemp[247]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[5], VV[30], VVtemp[248]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[7], VV[30], VVtemp[249]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[9], VV[30], VVtemp[250]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[11], VV[30], VVtemp[251]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[13], VV[30], VVtemp[252]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[15], VV[30], VVtemp[253]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[17], VV[30], VVtemp[254]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[19], VV[30], VVtemp[255]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[21], VV[30], VVtemp[256]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[36], VV[6], VVtemp[23], VV[30], VVtemp[257]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC37aref_apd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[35], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[258]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[85]);                          /*  ROW-MAJOR-ASET-APD */
  si_do_defsetf(VV[36], VV[37]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[37], VV[4], VVtemp[195], VV[30], VVtemp[259], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[4], VVtemp[197], VV[30], VVtemp[260]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[199], VV[30], VVtemp[261]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[201], VV[30], VVtemp[262]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[203], VV[30], VVtemp[263]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[205], VV[30], VVtemp[264]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[207], VV[30], VVtemp[265]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[209], VV[30], VVtemp[266]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[211], VV[30], VVtemp[267]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[213], VV[30], VVtemp[268]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[215], VV[30], VVtemp[269]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[37], VV[6], VVtemp[217], VV[30], VVtemp[270]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[38]);
  cl_export(1, VV[39]);
  ecl_cmp_defmacro(VV[86]);                       /*  AREF-SPD        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[271]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[87]);                          /*  ROW-MAJOR-AREF-SPD */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[39], VV[4], VVtemp[1], VV[30], VVtemp[246], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[4], VVtemp[3], VV[30], VVtemp[247]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[5], VV[30], VVtemp[248]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[7], VV[30], VVtemp[249]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[9], VV[30], VVtemp[250]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[11], VV[30], VVtemp[251]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[13], VV[30], VVtemp[252]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[15], VV[30], VVtemp[253]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[17], VV[30], VVtemp[254]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[19], VV[30], VVtemp[255]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[21], VV[30], VVtemp[256]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[39], VV[6], VVtemp[23], VV[30], VVtemp[257]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC41aref_spd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[38], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[272]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[88]);                          /*  ROW-MAJOR-ASET-SPD */
  si_do_defsetf(VV[39], VV[40]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[40], VV[4], VVtemp[195], VV[30], VVtemp[273], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[4], VVtemp[197], VV[30], VVtemp[274]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[199], VV[30], VVtemp[275]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[201], VV[30], VVtemp[276]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[203], VV[30], VVtemp[277]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[205], VV[30], VVtemp[278]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[207], VV[30], VVtemp[279]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[209], VV[30], VVtemp[280]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[211], VV[30], VVtemp[281]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[213], VV[30], VVtemp[282]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[215], VV[30], VVtemp[283]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[40], VV[6], VVtemp[217], VV[30], VVtemp[284]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[41]);
  cl_export(1, VV[42]);
  ecl_cmp_defmacro(VV[89]);                       /*  AREF-SI64       */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[285]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[90]);                          /*  ROW-MAJOR-AREF-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[42], VV[4], VVtemp[1], VV[43], VVtemp[286], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[4], VVtemp[3], VV[43], VVtemp[287]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[5], VV[43], VVtemp[288]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[7], VV[43], VVtemp[289]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[9], VV[43], VVtemp[290]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[11], VV[43], VVtemp[291]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[13], VV[43], VVtemp[292]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[15], VV[43], VVtemp[293]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[17], VV[43], VVtemp[294]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[19], VV[43], VVtemp[295]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[21], VV[43], VVtemp[296]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[42], VV[6], VVtemp[23], VV[43], VVtemp[297]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC45aref_si64,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[41], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[298]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[91]);                          /*  ROW-MAJOR-ASET-SI64 */
  si_do_defsetf(VV[42], VV[44]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[44], VV[4], VVtemp[299], VV[43], VVtemp[300], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[4], VVtemp[301], VV[43], VVtemp[302]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[303], VV[43], VVtemp[304]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[305], VV[43], VVtemp[306]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[307], VV[43], VVtemp[308]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[309], VV[43], VVtemp[310]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[311], VV[43], VVtemp[312]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[313], VV[43], VVtemp[314]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[315], VV[43], VVtemp[316]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[317], VV[43], VVtemp[318]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[319], VV[43], VVtemp[320]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[44], VV[6], VVtemp[321], VV[43], VVtemp[322]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[45]);
  cl_export(1, VV[46]);
  ecl_cmp_defmacro(VV[92]);                       /*  AREF-PI         */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[323]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[93]);                          /*  ROW-MAJOR-AREF-PI */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[46], VV[4], VVtemp[1], VV[43], VVtemp[324], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[4], VVtemp[3], VV[43], VVtemp[325]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[5], VV[43], VVtemp[326]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[7], VV[43], VVtemp[327]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[9], VV[43], VVtemp[328]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[11], VV[43], VVtemp[329]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[13], VV[43], VVtemp[330]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[15], VV[43], VVtemp[331]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[17], VV[43], VVtemp[332]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[19], VV[43], VVtemp[333]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[21], VV[43], VVtemp[334]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[46], VV[6], VVtemp[23], VV[43], VVtemp[335]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC49aref_pi,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[45], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[336]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[94]);                          /*  ROW-MAJOR-ASET-PI */
  si_do_defsetf(VV[46], VV[47]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[47], VV[4], VVtemp[299], VV[43], VVtemp[337], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[4], VVtemp[301], VV[43], VVtemp[338]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[303], VV[43], VVtemp[339]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[305], VV[43], VVtemp[340]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[307], VV[43], VVtemp[341]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[309], VV[43], VVtemp[342]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[311], VV[43], VVtemp[343]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[313], VV[43], VVtemp[344]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[315], VV[43], VVtemp[345]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[317], VV[43], VVtemp[346]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[319], VV[43], VVtemp[347]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[47], VV[6], VVtemp[321], VV[43], VVtemp[348]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[48]);
  cl_export(1, VV[49]);
  ecl_cmp_defmacro(VV[95]);                       /*  AREF-API        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[349]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[96]);                          /*  ROW-MAJOR-AREF-API */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[49], VV[4], VVtemp[1], VV[43], VVtemp[350], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[4], VVtemp[3], VV[43], VVtemp[351]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[5], VV[43], VVtemp[352]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[7], VV[43], VVtemp[353]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[9], VV[43], VVtemp[354]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[11], VV[43], VVtemp[355]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[13], VV[43], VVtemp[356]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[15], VV[43], VVtemp[357]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[17], VV[43], VVtemp[358]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[19], VV[43], VVtemp[359]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[21], VV[43], VVtemp[360]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[49], VV[6], VVtemp[23], VV[43], VVtemp[361]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC53aref_api,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[48], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[362]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[97]);                          /*  ROW-MAJOR-ASET-API */
  si_do_defsetf(VV[49], VV[50]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[50], VV[4], VVtemp[299], VV[43], VVtemp[363], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[4], VVtemp[301], VV[43], VVtemp[364]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[303], VV[43], VVtemp[365]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[305], VV[43], VVtemp[366]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[307], VV[43], VVtemp[367]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[309], VV[43], VVtemp[368]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[311], VV[43], VVtemp[369]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[313], VV[43], VVtemp[370]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[315], VV[43], VVtemp[371]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[317], VV[43], VVtemp[372]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[319], VV[43], VVtemp[373]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[50], VV[6], VVtemp[321], VV[43], VVtemp[374]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[51]);
  cl_export(1, VV[52]);
  ecl_cmp_defmacro(VV[98]);                       /*  AREF-SPI        */
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[375]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[99]);                          /*  ROW-MAJOR-AREF-SPI */
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[52], VV[4], VVtemp[1], VV[43], VVtemp[350], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[4], VVtemp[3], VV[43], VVtemp[351]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[5], VV[43], VVtemp[352]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[7], VV[43], VVtemp[353]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[9], VV[43], VVtemp[354]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[11], VV[43], VVtemp[355]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[13], VV[43], VVtemp[356]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[15], VV[43], VVtemp[357]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[17], VV[43], VVtemp[358]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[19], VV[43], VVtemp[359]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[21], VV[43], VVtemp[360]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[52], VV[6], VVtemp[23], VV[43], VVtemp[361]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC57aref_spi,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_define_setf_method(VV[51], T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[376]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[100]);                         /*  ROW-MAJOR-ASET-SPI */
  si_do_defsetf(VV[52], VV[53]);
  ecl_function_dispatch(cl_env_copy,VV[56])(7, VV[53], VV[4], VVtemp[299], VV[43], VVtemp[377], VV[5], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[4], VVtemp[301], VV[43], VVtemp[378]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[303], VV[43], VVtemp[379]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[305], VV[43], VVtemp[380]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[307], VV[43], VVtemp[381]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[309], VV[43], VVtemp[382]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[311], VV[43], VVtemp[383]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[313], VV[43], VVtemp[384]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[315], VV[43], VVtemp[385]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[317], VV[43], VVtemp[386]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[319], VV[43], VVtemp[387]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[56])(5, VV[53], VV[6], VVtemp[321], VV[43], VVtemp[388]) /*  DEF-INLINE */;
 }
}
