/*      Compiler: ECL 16.0.0                                          */
/*      Source: EXT:CL-SIMD;SSE-INTRINSICS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-intrinsics.eclh"
/*      function definition for CPU-PREFETCH-T0                       */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L1cpu_prefetch_t0(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_prefetch((void*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset)),_MM_HINT_T0),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-PREFETCH-T1                       */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L2cpu_prefetch_t1(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_prefetch((void*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset)),_MM_HINT_T1),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-PREFETCH-T2                       */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L3cpu_prefetch_t2(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_prefetch((void*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset)),_MM_HINT_T2),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-PREFETCH-NTA                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L4cpu_prefetch_nta(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_prefetch((void*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset)),_MM_HINT_NTA),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-CLFLUSH                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L5cpu_clflush(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_clflush((void*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-MXCSR                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L6cpu_mxcsr()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_getcsr());
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for %SET-CPU-MXCSR                        */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L7_set_cpu_mxcsr(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum((_mm_setcsr(ecl_to_fixnum(v1arg0)),ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-LOAD-FENCE                        */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L8cpu_load_fence()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = (_mm_lfence(),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-STORE-FENCE                       */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L9cpu_store_fence()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = (_mm_sfence(),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-MEMORY-FENCE                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L10cpu_memory_fence()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = (_mm_mfence(),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CPU-PAUSE                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L11cpu_pause()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = (_mm_pause(),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L12set_ss(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_set_ss(ecl_to_float(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PS                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L13set1_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_set1_ps(ecl_to_float(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L14set_ps(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_set_ps(ecl_to_float(v1arg0),ecl_to_float(v2arg1),ecl_to_float(v3arg2),ecl_to_float(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PS                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L15setr_ps(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_setr_ps(ecl_to_float(v1arg0),ecl_to_float(v2arg1),ecl_to_float(v3arg2),ecl_to_float(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETZERO-PS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L16setzero_ps()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_setzero_ps());
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-SS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17mem_ref_ss(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack(_mm_load_ss((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-PS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L18mem_ref_ps(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack(_mm_loadu_ps((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-APS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19mem_ref_aps(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack(_mm_load_ps((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-SET-SS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L20mem_set_ss(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack((_mm_store_ss((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_float_sse_pack(v2arg0)),ecl_unbox_float_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-SS                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21mem_ref_ss(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[25], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-PS                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L22mem_set_ps(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack((_mm_storeu_ps((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_float_sse_pack(v2arg0)),ecl_unbox_float_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-PS                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23mem_ref_ps(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[26], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-APS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24mem_set_aps(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack((_mm_store_ps((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_float_sse_pack(v2arg0)),ecl_unbox_float_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-APS                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25mem_ref_aps(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[27], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for STREAM-PS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L26stream_ps(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_float_sse_pack((_mm_stream_ps((float*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_float_sse_pack(v2arg0)),ecl_unbox_float_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L27add_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_add_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L28add_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_add_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L29sub_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_sub_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L30sub_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_sub_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MUL-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L31mul_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_mul_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MUL-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L32mul_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_mul_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIV-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33div_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_div_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIV-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L34div_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_div_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35min_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_min_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L36min_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_min_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37max_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_max_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L38max_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_max_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SQRT-SS                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39sqrt_ss(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_sqrt_ss(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SQRT-PS                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40sqrt_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_sqrt_ps(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RSQRT-SS                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L41rsqrt_ss(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_rsqrt_ss(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RSQRT-PS                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L42rsqrt_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_rsqrt_ps(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RCP-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L43rcp_ss(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_rcp_ss(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for RCP-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L44rcp_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_rcp_ps(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for AND-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L45and_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_and_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ANDNOT-PS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46andnot_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_andnot_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OR-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L47or_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_or_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for XOR-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48xor_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L49__ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpeq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-PS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50__ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpeq_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L51__ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmplt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-PS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52__ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmplt_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L53___ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmple_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54___ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmple_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L55__ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpgt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-PS                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56__ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpgt_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L57___ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpge_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpge_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L59___ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpneq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpneq_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<-SS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L61___ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnlt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnlt_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<=-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L63____ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnle_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<=-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64____ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnle_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />-SS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L65___ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpngt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />-PS                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpngt_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />=-SS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L67____ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnge_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />=-PS                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68____ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpnge_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPORD-SS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L69cmpord_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpord_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPORD-PS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70cmpord_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpord_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPUNORD-SS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L71cmpunord_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpunord_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPUNORD-PS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72cmpunord_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cmpunord_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SS?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L73__ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comieq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SSU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74__ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomieq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SS?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75__ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comilt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SSU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76__ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomilt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SS?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77___ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comile_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SSU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78___ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomile_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SS?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79__ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comigt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SSU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80__ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomigt_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SS?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81___ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comige_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SSU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L82___ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomige_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SS?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L83___ss_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comineq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SSU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L84___ssu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomineq_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L85unpackhi_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_unpackhi_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L86unpacklo_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_unpacklo_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVE-SS                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L87move_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_move_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVEHL-PS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L88movehl_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_movehl_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVELH-PS                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L89movelh_ps(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_movelh_ps(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVEMASK-PS                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L90movemask_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_movemask_ps(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SHUFFLE-PS                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91shuffle_ps(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   cl_object v7chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v8;
   }
   v7chgp = ECL_NIL;
   if (Null(v3)) { goto L24; }
   si_dm_too_many_arguments(v1);
L24:;
   {
    cl_object v8oldv;
    v8oldv = v6arg2;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v8oldv, v2env, v7chgp) /*  EXPAND-CONSTANT */;
    v6arg2 = value0;
    {
     const int v9 = cl_env_copy->nvalues;
     cl_object v10;
     v10 = (v9<=1)? ECL_NIL : cl_env_copy->values[1];
     v7chgp = v10;
    }
    {
     cl_fixnum v9;
     v9 = 0;
     if (!(ECL_FIXNUMP(v6arg2))) { goto L33; }
     v9 = ecl_fixnum(v6arg2);
     if (!((v9)<=(255))) { goto L38; }
     if ((v9)>=(0)) { goto L26; }
     goto L30;
L38:;
     goto L30;
L33:;
     goto L30;
    }
L30:;
    if (ecl_eql(v8oldv,v6arg2)) { goto L41; }
    T0 = v6arg2;
    goto L40;
L41:;
    T0 = ECL_NIL;
L40:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[94], v8oldv, T0, VV[96]) /*  CMPERR */;
   }
L26:;
   if (Null(v7chgp)) { goto L43; }
   value0 = cl_list(4, VV[94], v4arg0, v5arg1, v6arg2);
   return value0;
L43:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CONVERT-PI32-TO-PS                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L92convert_pi32_to_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cvtepi32_ps(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PS-TO-PI32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L93convert_ps_to_pi32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtps_epi32(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-PS-TO-PI32                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L94truncate_ps_to_pi32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvttps_epi32(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SI32-TO-SS                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L95convert_si32_to_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cvtsi32_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_to_fixnum(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SS-TO-SI32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L96convert_ss_to_si32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvtss_si32(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-SS-TO-SI32                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L97truncate_ss_to_si32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvttss_si32(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SI64-TO-SS                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L98convert_si64_to_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cvtsi64_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_to_int64_t(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SS-TO-SI64                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L99convert_ss_to_si64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int64_t(_mm_cvtss_si64(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-SS-TO-SI64                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L100truncate_ss_to_si64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int64_t(_mm_cvttss_si64(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L101set_sd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_set_sd(ecl_to_double(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PD                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L102set1_pd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_set1_pd(ecl_to_double(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L103set_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_set_pd(ecl_to_double(v1arg0),ecl_to_double(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PD                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L104setr_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_setr_pd(ecl_to_double(v1arg0),ecl_to_double(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETZERO-PD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L105setzero_pd()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_setzero_pd());
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-SD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L106mem_ref_sd(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack(_mm_load_sd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-PD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L107mem_ref_pd(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack(_mm_loadu_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-APD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L108mem_ref_apd(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack(_mm_load_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOADH-PD                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L109loadh_pd(cl_narg narg, cl_object v1arg0, cl_object v2ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2ptr);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack(_mm_loadh_pd(ecl_unbox_double_sse_pack(v1arg0),(double*)(((char*)ecl_to_pointer(v2ptr)) + ecl_to_int(v3offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for LOADL-PD                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L110loadl_pd(cl_narg narg, cl_object v1arg0, cl_object v2ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2ptr);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack(_mm_loadl_pd(ecl_unbox_double_sse_pack(v1arg0),(double*)(((char*)ecl_to_pointer(v2ptr)) + ecl_to_int(v3offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-SET-SD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L111mem_set_sd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_store_sd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-SD                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112mem_ref_sd(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[118], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-PD                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L113mem_set_pd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_storeu_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-PD                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114mem_ref_pd(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[119], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-APD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L115mem_set_apd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_store_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-APD                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116mem_ref_apd(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[120], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for STOREH-PD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L117storeh_pd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_storeh_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STOREL-PD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L118storel_pd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_storel_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for STREAM-PD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L119stream_pd(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_double_sse_pack((_mm_stream_pd((double*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_double_sse_pack(v2arg0)),ecl_unbox_double_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L120add_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_add_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L121add_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_add_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L122sub_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_sub_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L123sub_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_sub_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MUL-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L124mul_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_mul_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MUL-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L125mul_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_mul_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIV-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L126div_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_div_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DIV-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L127div_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_div_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L128min_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_min_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L129min_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_min_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L130max_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_max_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L131max_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_max_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SQRT-SD                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L132sqrt_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_sqrt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SQRT-PD                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L133sqrt_pd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_sqrt_pd(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for AND-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L134and_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_and_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ANDNOT-PD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L135andnot_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_andnot_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OR-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L136or_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_or_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for XOR-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L137xor_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L138__sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpeq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-PD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L139__pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpeq_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L140__sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmplt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-PD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L141__pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmplt_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L142___sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmple_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L143___pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmple_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L144__sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpgt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-PD                                  */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L145__pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpgt_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L146___sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpge_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L147___pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpge_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L148___sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpneq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L149___pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpneq_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<-SD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L150___sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnlt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L151___pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnlt_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<=-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L152____sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnle_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /<=-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L153____pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnle_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />-SD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L154___sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpngt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />-PD                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L155___pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpngt_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />=-SD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L156____sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnge_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for />=-PD                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L157____pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpnge_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPORD-SD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L158cmpord_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpord_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPORD-PD                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L159cmpord_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpord_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPUNORD-SD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L160cmpunord_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpunord_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CMPUNORD-PD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L161cmpunord_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cmpunord_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SD?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L162__sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comieq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-SDU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L163__sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomieq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SD?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L164__sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comilt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-SDU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L165__sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomilt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SD?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L166___sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comile_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <=-SDU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L167___sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomile_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SD?                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L168__sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comigt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-SDU?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L169__sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomigt_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SD?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L170___sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comige_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >=-SDU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L171___sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomige_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SD?                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L172___sd_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_comineq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for /=-SDU?                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L173___sdu_(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_bool(_mm_ucomineq_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L174unpackhi_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_unpackhi_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L175unpacklo_pd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_unpacklo_pd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVE-SD                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L176move_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_move_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVEMASK-PD                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L177movemask_pd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_movemask_pd(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SHUFFLE-PD                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC178shuffle_pd(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   cl_object v7chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v8;
   }
   v7chgp = ECL_NIL;
   if (Null(v3)) { goto L24; }
   si_dm_too_many_arguments(v1);
L24:;
   {
    cl_object v8oldv;
    v8oldv = v6arg2;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v8oldv, v2env, v7chgp) /*  EXPAND-CONSTANT */;
    v6arg2 = value0;
    {
     const int v9 = cl_env_copy->nvalues;
     cl_object v10;
     v10 = (v9<=1)? ECL_NIL : cl_env_copy->values[1];
     v7chgp = v10;
    }
    {
     cl_fixnum v9;
     v9 = 0;
     if (!(ECL_FIXNUMP(v6arg2))) { goto L33; }
     v9 = ecl_fixnum(v6arg2);
     if (!((v9)<=(3))) { goto L38; }
     if ((v9)>=(0)) { goto L26; }
     goto L30;
L38:;
     goto L30;
L33:;
     goto L30;
    }
L30:;
    if (ecl_eql(v8oldv,v6arg2)) { goto L41; }
    T0 = v6arg2;
    goto L40;
L41:;
    T0 = ECL_NIL;
L40:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[182], v8oldv, T0, VV[183]) /*  CMPERR */;
   }
L26:;
   if (Null(v7chgp)) { goto L43; }
   value0 = cl_list(4, VV[182], v4arg0, v5arg1, v6arg2);
   return value0;
L43:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CONVERT-PS-TO-PD                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L179convert_ps_to_pd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cvtps_pd(ecl_unbox_float_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PD-TO-PS                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L180convert_pd_to_ps(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cvtpd_ps(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SS-TO-SD                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L181convert_ss_to_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cvtss_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_unbox_float_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SD-TO-SS                      */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L182convert_sd_to_ss(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_cvtsd_ss(ecl_unbox_float_sse_pack(v1arg0),ecl_unbox_double_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PI32-TO-PD                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L183convert_pi32_to_pd(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cvtepi32_pd(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PD-TO-PI32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L184convert_pd_to_pi32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtpd_epi32(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-PD-TO-PI32                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L185truncate_pd_to_pi32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvttpd_epi32(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SI32-TO-SD                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L186convert_si32_to_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cvtsi32_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_to_fixnum(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SD-TO-SI32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L187convert_sd_to_si32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvtsd_si32(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-SD-TO-SI32                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L188truncate_sd_to_si32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvttsd_si32(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SI64-TO-SD                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L189convert_si64_to_sd(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_cvtsi64_sd(ecl_unbox_double_sse_pack(v1arg0),ecl_to_int64_t(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SD-TO-SI64                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L190convert_sd_to_si64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int64_t(_mm_cvtsd_si64(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for TRUNCATE-SD-TO-SI64                   */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L191truncate_sd_to_si64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int64_t(_mm_cvttsd_si64(ecl_unbox_double_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PI8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L192set1_pi8(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi8(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L193set1_pi16(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi16(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PI32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L194set1_pi32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PI64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L195set1_pi64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_int64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PU32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L196set1_pu32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET1-PU64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L197set1_pu64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_uint64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PI8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L198set_pi8(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3, cl_object v5arg4, cl_object v6arg5, cl_object v7arg6, cl_object v8arg7, cl_object v9arg8, cl_object v10arg9, cl_object v11arg10, cl_object v12arg11, cl_object v13arg12, cl_object v14arg13, cl_object v15arg14, cl_object v16arg15)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi8(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3),ecl_to_fixnum(v5arg4),ecl_to_fixnum(v6arg5),ecl_to_fixnum(v7arg6),ecl_to_fixnum(v8arg7),ecl_to_fixnum(v9arg8),ecl_to_fixnum(v10arg9),ecl_to_fixnum(v11arg10),ecl_to_fixnum(v12arg11),ecl_to_fixnum(v13arg12),ecl_to_fixnum(v14arg13),ecl_to_fixnum(v15arg14),ecl_to_fixnum(v16arg15)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L199set_pi16(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3, cl_object v5arg4, cl_object v6arg5, cl_object v7arg6, cl_object v8arg7)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi16(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3),ecl_to_fixnum(v5arg4),ecl_to_fixnum(v6arg5),ecl_to_fixnum(v7arg6),ecl_to_fixnum(v8arg7)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L200set_pi32(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L201set_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(v1arg0),ecl_to_int64_t(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PU32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L202set_pu32(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SET-PU64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L203set_pu64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(v1arg0),ecl_to_uint64_t(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PI8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L204setr_pi8(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3, cl_object v5arg4, cl_object v6arg5, cl_object v7arg6, cl_object v8arg7, cl_object v9arg8, cl_object v10arg9, cl_object v11arg10, cl_object v12arg11, cl_object v13arg12, cl_object v14arg13, cl_object v15arg14, cl_object v16arg15)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_setr_epi8(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3),ecl_to_fixnum(v5arg4),ecl_to_fixnum(v6arg5),ecl_to_fixnum(v7arg6),ecl_to_fixnum(v8arg7),ecl_to_fixnum(v9arg8),ecl_to_fixnum(v10arg9),ecl_to_fixnum(v11arg10),ecl_to_fixnum(v12arg11),ecl_to_fixnum(v13arg12),ecl_to_fixnum(v14arg13),ecl_to_fixnum(v15arg14),ecl_to_fixnum(v16arg15)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L205setr_pi16(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3, cl_object v5arg4, cl_object v6arg5, cl_object v7arg6, cl_object v8arg7)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_setr_epi16(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3),ecl_to_fixnum(v5arg4),ecl_to_fixnum(v6arg5),ecl_to_fixnum(v7arg6),ecl_to_fixnum(v8arg7)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PI32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L206setr_pi32(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PI64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L207setr_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(v2arg1),ecl_to_int64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PU32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L208setr_pu32(cl_object v1arg0, cl_object v2arg1, cl_object v3arg2, cl_object v4arg3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(v1arg0),ecl_to_fixnum(v2arg1),ecl_to_fixnum(v3arg2),ecl_to_fixnum(v4arg3)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETR-PU64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L209setr_pu64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(v2arg1),ecl_to_uint64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SETZERO-PI                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L210setzero_pi()
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_setzero_si128());
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-PI                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L211mem_ref_pi(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-API                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L212mem_ref_api(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack(_mm_load_si128((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-REF-SI64                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L213mem_ref_si64(cl_narg narg, cl_object v1ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2offset;
  va_list args; va_start(args,v1ptr);
  {
   int i = 1;
   if (i >= narg) {
    v2offset = ecl_make_fixnum(0);
   } else {
    i++;
    v2offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v2offset))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MEM-SET-PI                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L214mem_set_pi(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack((_mm_storeu_si128((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_int_sse_pack(v2arg0)),ecl_unbox_int_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-PI                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC215mem_ref_pi(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[219], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-API                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L216mem_set_api(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack((_mm_store_si128((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_int_sse_pack(v2arg0)),ecl_unbox_int_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-API                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC217mem_ref_api(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[220], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for MEM-SET-SI64                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L218mem_set_si64(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack((_mm_storel_epi64((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_int_sse_pack(v2arg0)),ecl_unbox_int_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function MEM-REF-SI64                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC219mem_ref_si64(cl_narg narg, cl_object v1value, cl_object v2pointer, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2pointer);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = cl_list(4, VV[221], v2pointer, v1value, v3offset);
  return value0;
 }
}
/*      function definition for STREAM-PI                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L220stream_pi(cl_narg narg, cl_object v1ptr, cl_object v2arg0, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3offset;
  va_list args; va_start(args,v2arg0);
  {
   int i = 2;
   if (i >= narg) {
    v3offset = ecl_make_fixnum(0);
   } else {
    i++;
    v3offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = ecl_make_int_sse_pack((_mm_stream_si128((__m128i*)(((char*)ecl_to_pointer(v1ptr)) + ecl_to_int(v3offset)),ecl_unbox_int_sse_pack(v2arg0)),ecl_unbox_int_sse_pack(v2arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MASKMOVEU-PI                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L221maskmoveu_pi(cl_narg narg, cl_object v1arg0, cl_object v2arg1, cl_object v3ptr, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
 {
  cl_object v4offset;
  va_list args; va_start(args,v3ptr);
  {
   int i = 3;
   if (i >= narg) {
    v4offset = ecl_make_fixnum(0);
   } else {
    i++;
    v4offset = va_arg(args,cl_object);
   }
  }
  va_end(args);
  value0 = (_mm_maskmoveu_si128(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1),(char*)(((char*)ecl_to_pointer(v3ptr)) + ecl_to_int(v4offset))),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PI8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L222add_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_add_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L223add_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_add_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L224add_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_add_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L225add_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_add_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADDS-PI8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L226adds_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_adds_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADDS-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L227adds_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_adds_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADDS-PU8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L228adds_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_adds_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADDS-PU16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L229adds_pu16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_adds_epu16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for AVG-PU8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L230avg_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_avg_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for AVG-PU16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L231avg_pu16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_avg_epu16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MADD-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L232madd_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_madd_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-PU8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L233max_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_max_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAX-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L234max_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_max_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-PU8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L235min_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_min_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MIN-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L236min_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_min_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MULHI-PI16                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L237mulhi_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_mulhi_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MULHI-PU16                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L238mulhi_pu16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_mulhi_epu16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MULLO-PI16                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L239mullo_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_mullo_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MUL-PU32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L240mul_pu32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_mul_epu32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SAD-PU8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L241sad_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sad_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PI8                               */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L242sub_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sub_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L243sub_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sub_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L244sub_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sub_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUB-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L245sub_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sub_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUBS-PI8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L246subs_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_subs_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUBS-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L247subs_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_subs_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUBS-PU8                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L248subs_pu8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_subs_epu8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SUBS-PU16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L249subs_pu16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_subs_epu16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for AND-PI                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L250and_pi(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_and_si128(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ANDNOT-PI                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L251andnot_pi(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_andnot_si128(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for OR-PI                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L252or_pi(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_or_si128(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for XOR-PI                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L253xor_pi(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_xor_si128(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SLLI-PI                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC254slli_pi(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[256], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[256], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SLLI-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L255slli_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SLLI-PI32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L256slli_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SLLI-PI64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L257slli_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SLL-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L258sll_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SLL-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L259sll_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SLL-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L260sll_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRAI-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L261srai_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRAI-PI32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L262srai_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRA-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L263sra_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRA-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L264sra_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SRLI-PI                                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC265srli_pi(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[267], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[267], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for SRLI-PI16                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L266srli_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRLI-PI32                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L267srli_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRLI-PI64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L268srli_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(v1arg0),_mm_cvtsi32_si128(ecl_to_fixnum(v2arg1))));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRL-PI16                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L269srl_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRL-PI32                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L270srl_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for SRL-PI64                              */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L271srl_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-PI8                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L272__pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpeq_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-PI16                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L273__pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpeq_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for =-PI32                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L274__pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpeq_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-PI8                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L275__pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmplt_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-PI16                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L276__pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmplt_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for <-PI32                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L277__pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmplt_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-PI8                                 */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L278__pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpgt_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-PI16                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L279__pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpgt_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for >-PI32                                */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L280__pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cmpgt_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PACKS-PI16                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L281packs_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_packs_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PACKS-PI32                            */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L282packs_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_packs_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for PACKUS-PI16                           */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L283packus_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_packus_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function EXTRACT-PI16                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC284extract_pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[286], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[286], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function INSERT-PI16                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC285insert_pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6arg2;
   cl_object v7chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v8;
   }
   if (!(v3==ECL_NIL)) { goto L18; }
   si_dm_too_few_arguments(v1);
L18:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6arg2 = v8;
   }
   v7chgp = ECL_NIL;
   if (Null(v3)) { goto L24; }
   si_dm_too_many_arguments(v1);
L24:;
   {
    cl_object v8oldv;
    v8oldv = v6arg2;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v8oldv, v2env, v7chgp) /*  EXPAND-CONSTANT */;
    v6arg2 = value0;
    {
     const int v9 = cl_env_copy->nvalues;
     cl_object v10;
     v10 = (v9<=1)? ECL_NIL : cl_env_copy->values[1];
     v7chgp = v10;
    }
    {
     cl_fixnum v9;
     v9 = 0;
     if (!(ECL_FIXNUMP(v6arg2))) { goto L33; }
     v9 = ecl_fixnum(v6arg2);
     if (!((v9)<=(255))) { goto L38; }
     if ((v9)>=(0)) { goto L26; }
     goto L30;
L38:;
     goto L30;
L33:;
     goto L30;
    }
L30:;
    if (ecl_eql(v8oldv,v6arg2)) { goto L41; }
    T0 = v6arg2;
    goto L40;
L41:;
    T0 = ECL_NIL;
L40:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[287], v8oldv, T0, VV[96]) /*  CMPERR */;
   }
L26:;
   if (Null(v7chgp)) { goto L43; }
   value0 = cl_list(4, VV[287], v4arg0, v5arg1, v6arg2);
   return value0;
L43:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MOVEMASK-PI8                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L286movemask_pi8(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_movemask_epi8(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PI8                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L287unpackhi_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpackhi_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PI16                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L288unpackhi_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpackhi_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PI32                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L289unpackhi_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpackhi_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKHI-PI64                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L290unpackhi_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpackhi_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PI8                          */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L291unpacklo_pi8(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpacklo_epi8(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PI16                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L292unpacklo_pi16(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpacklo_epi16(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PI32                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L293unpacklo_pi32(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpacklo_epi32(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNPACKLO-PI64                         */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L294unpacklo_pi64(cl_object v1arg0, cl_object v2arg1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_unpacklo_epi64(ecl_unbox_int_sse_pack(v1arg0),ecl_unbox_int_sse_pack(v2arg1)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MOVE-PI64                             */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L295move_pi64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_move_epi64(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      local function SHUFFLE-PI32                                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC296shuffle_pi32(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[298], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[298], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function SHUFFLELO-PI16                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC297shufflelo_pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[299], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[299], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function SHUFFLEHI-PI16                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC298shufflehi_pi16(cl_object v1, cl_object v2env)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4arg0;
   cl_object v5arg1;
   cl_object v6chgp;
   T0 = ecl_car(v1);
   if (!((T0)==(ECL_SYM("FUNCALL",394)))) { goto L2; }
   T0 = ecl_caadr(v1);
   if (!((T0)==(ECL_SYM("FUNCTION",396)))) { goto L2; }
   v3 = ecl_cddr(v1);
   goto L1;
L2:;
   v3 = ecl_cdr(v1);
L1:;
   if (!(v3==ECL_NIL)) { goto L6; }
   si_dm_too_few_arguments(v1);
L6:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4arg0 = v7;
   }
   if (!(v3==ECL_NIL)) { goto L12; }
   si_dm_too_few_arguments(v1);
L12:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5arg1 = v7;
   }
   v6chgp = ECL_NIL;
   if (Null(v3)) { goto L18; }
   si_dm_too_many_arguments(v1);
L18:;
   {
    cl_object v7oldv;
    v7oldv = v5arg1;
    value0 = ecl_function_dispatch(cl_env_copy,VV[397])(3, v7oldv, v2env, v6chgp) /*  EXPAND-CONSTANT */;
    v5arg1 = value0;
    {
     const int v8 = cl_env_copy->nvalues;
     cl_object v9;
     v9 = (v8<=1)? ECL_NIL : cl_env_copy->values[1];
     v6chgp = v9;
    }
    {
     cl_fixnum v8;
     v8 = 0;
     if (!(ECL_FIXNUMP(v5arg1))) { goto L27; }
     v8 = ecl_fixnum(v5arg1);
     if (!((v8)<=(255))) { goto L32; }
     if ((v8)>=(0)) { goto L20; }
     goto L24;
L32:;
     goto L24;
L27:;
     goto L24;
    }
L24:;
    if (ecl_eql(v7oldv,v5arg1)) { goto L35; }
    T0 = v5arg1;
    goto L34;
L35:;
    T0 = ECL_NIL;
L34:;
    ecl_function_dispatch(cl_env_copy,VV[398])(5, VV[95], VV[300], v7oldv, T0, VV[96]) /*  CMPERR */;
   }
L20:;
   if (Null(v6chgp)) { goto L37; }
   value0 = cl_list(3, VV[300], v4arg0, v5arg1);
   return value0;
L37:;
   value0 = v1;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CONVERT-SI32-TO-PI                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L299convert_si32_to_pi(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SU32-TO-PI                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L300convert_su32_to_pi(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SI64-TO-PI                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L301convert_si64_to_pi(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_int64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-SU64-TO-PI                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L302convert_su64_to_pi(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_uint64_t(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PI-TO-SI32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L303convert_pi_to_si32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PI-TO-SU32                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L304convert_pi_to_su32(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_fixnum(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PI-TO-SI64                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L305convert_pi_to_si64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_int64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for CONVERT-PI-TO-SU64                    */
/*      optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L306convert_pi_to_su64(cl_object v1arg0)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  value0 = ecl_make_uint64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(v1arg0)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "ext/sse-intrinsics.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecltMB6TNSZ7DJr9_X0DwJJ21(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-INTRINSICS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecltMB6TNSZ7DJr9_X0DwJJ21@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  cl_export(1, VV[0]);
  si_putprop(VV[0], VVtemp[0], VV[1]);
  si_putprop(VV[0], VVtemp[1], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[2]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[309]);                         /*  CPU-PREFETCH-T0 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[0], VV[3], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[4], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[0], VV[3], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[6]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[0], VV[3], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[8]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[0], VV[5], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[10]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[0], VV[5], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[12]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[0], VV[5], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[14]) /*  DEF-INLINE */;
  cl_export(1, VV[6]);
  si_putprop(VV[6], VVtemp[0], VV[1]);
  si_putprop(VV[6], VVtemp[15], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[16]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[311]);                         /*  CPU-PREFETCH-T1 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[6], VV[3], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[17], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[6], VV[3], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[18]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[6], VV[3], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[19]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[6], VV[5], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[20]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[6], VV[5], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[21]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[6], VV[5], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[22]) /*  DEF-INLINE */;
  cl_export(1, VV[7]);
  si_putprop(VV[7], VVtemp[0], VV[1]);
  si_putprop(VV[7], VVtemp[23], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[24]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[312]);                         /*  CPU-PREFETCH-T2 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[7], VV[3], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[25], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[7], VV[3], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[26]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[7], VV[3], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[27]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[7], VV[5], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[28]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[7], VV[5], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[29]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[7], VV[5], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[30]) /*  DEF-INLINE */;
  cl_export(1, VV[8]);
  si_putprop(VV[8], VVtemp[0], VV[1]);
  si_putprop(VV[8], VVtemp[31], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[32]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[313]);                         /*  CPU-PREFETCH-NTA */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[8], VV[3], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[33], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[8], VV[3], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[34]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[8], VV[3], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[35]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[8], VV[5], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[36]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[8], VV[5], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[37]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[8], VV[5], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[38]) /*  DEF-INLINE */;
  cl_export(1, VV[9]);
  si_putprop(VV[9], VVtemp[39], VV[1]);
  si_putprop(VV[9], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[41]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[314]);                         /*  CPU-CLFLUSH     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[9], VV[3], VVtemp[3], ECL_SYM("OBJECT",1281), VVtemp[42], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[9], VV[3], VVtemp[5], ECL_SYM("OBJECT",1281), VVtemp[43]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[9], VV[3], VVtemp[7], ECL_SYM("OBJECT",1281), VVtemp[44]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[9], VV[5], VVtemp[9], ECL_SYM("OBJECT",1281), VVtemp[45]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[9], VV[5], VVtemp[11], ECL_SYM("OBJECT",1281), VVtemp[46]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[9], VV[5], VVtemp[13], ECL_SYM("OBJECT",1281), VVtemp[47]) /*  DEF-INLINE */;
  cl_export(1, VV[10]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[48]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[315]);                         /*  CPU-MXCSR       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[10], VV[3], ECL_NIL, ECL_SYM("FIXNUM",1371), VVtemp[49], VV[4], ECL_T) /*  DEF-INLINE */;
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[50]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[316]);                         /*  %SET-CPU-MXCSR  */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[11], VV[3], VVtemp[51], ECL_SYM("FIXNUM",1371), VVtemp[52], VV[4], ECL_T) /*  DEF-INLINE */;
  si_do_defsetf(VV[10], VV[11]);
  cl_export(1, VV[12]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[53]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[317]);                         /*  CPU-LOAD-FENCE  */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[12], VV[3], ECL_NIL, ECL_SYM("OBJECT",1281), VVtemp[54], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[13]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[55]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[318]);                         /*  CPU-STORE-FENCE */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[13], VV[3], ECL_NIL, ECL_SYM("OBJECT",1281), VVtemp[56], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[14]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[57]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[319]);                         /*  CPU-MEMORY-FENCE */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[14], VV[3], ECL_NIL, ECL_SYM("OBJECT",1281), VVtemp[58], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[15]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[59]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[320]);                         /*  CPU-PAUSE       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[15], VV[3], ECL_NIL, ECL_SYM("OBJECT",1281), VVtemp[60], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[16]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[61]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[321]);                         /*  SET-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[16], VV[3], VVtemp[62], VV[17], VVtemp[63], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[18]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[64]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[322]);                         /*  SET1-PS         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[18], VV[3], VVtemp[62], VV[17], VVtemp[65], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[19]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[66]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[323]);                         /*  SET-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[19], VV[3], VVtemp[67], VV[17], VVtemp[68], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[20]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[69]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[324]);                         /*  SETR-PS         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[20], VV[3], VVtemp[67], VV[17], VVtemp[70], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[21]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[71]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[325]);                         /*  SETZERO-PS      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[21], VV[3], ECL_NIL, VV[17], VVtemp[72], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[22]);
  si_putprop(VV[22], VVtemp[73], VV[1]);
  si_putprop(VV[22], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[74]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[326]);                         /*  MEM-REF-SS      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[22], VV[3], VVtemp[3], VV[17], VVtemp[75], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[22], VV[3], VVtemp[5], VV[17], VVtemp[76]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[22], VV[3], VVtemp[7], VV[17], VVtemp[77]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[22], VV[5], VVtemp[9], VV[17], VVtemp[78]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[22], VV[5], VVtemp[11], VV[17], VVtemp[79]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[22], VV[5], VVtemp[13], VV[17], VVtemp[80]) /*  DEF-INLINE */;
  cl_export(1, VV[23]);
  si_putprop(VV[23], VVtemp[81], VV[1]);
  si_putprop(VV[23], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[82]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[327]);                         /*  MEM-REF-PS      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[23], VV[3], VVtemp[3], VV[17], VVtemp[83], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[23], VV[3], VVtemp[5], VV[17], VVtemp[84]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[23], VV[3], VVtemp[7], VV[17], VVtemp[85]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[23], VV[5], VVtemp[9], VV[17], VVtemp[86]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[23], VV[5], VVtemp[11], VV[17], VVtemp[87]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[23], VV[5], VVtemp[13], VV[17], VVtemp[88]) /*  DEF-INLINE */;
  cl_export(1, VV[24]);
  si_putprop(VV[24], VVtemp[89], VV[1]);
  si_putprop(VV[24], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[90]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[328]);                         /*  MEM-REF-APS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[24], VV[3], VVtemp[3], VV[17], VVtemp[91], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[24], VV[3], VVtemp[5], VV[17], VVtemp[92]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[24], VV[3], VVtemp[7], VV[17], VVtemp[93]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[24], VV[5], VVtemp[9], VV[17], VVtemp[94]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[24], VV[5], VVtemp[11], VV[17], VVtemp[95]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[24], VV[5], VVtemp[13], VV[17], VVtemp[96]) /*  DEF-INLINE */;
 {
  cl_object T0;
  si_putprop(VV[25], VVtemp[97], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[98]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[329]);                         /*  MEM-SET-SS      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[25], VV[3], VVtemp[99], VV[17], VVtemp[100], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[25], VV[3], VVtemp[101], VV[17], VVtemp[102]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[25], VV[3], VVtemp[103], VV[17], VVtemp[104]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[25], VV[5], VVtemp[105], VV[17], VVtemp[106]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[25], VV[5], VVtemp[107], VV[17], VVtemp[108]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[25], VV[5], VVtemp[109], VV[17], VVtemp[110]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC21mem_ref_ss,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[22], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[26], VVtemp[111], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[112]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[330]);                         /*  MEM-SET-PS      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[26], VV[3], VVtemp[99], VV[17], VVtemp[113], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[26], VV[3], VVtemp[101], VV[17], VVtemp[114]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[26], VV[3], VVtemp[103], VV[17], VVtemp[115]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[26], VV[5], VVtemp[105], VV[17], VVtemp[116]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[26], VV[5], VVtemp[107], VV[17], VVtemp[117]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[26], VV[5], VVtemp[109], VV[17], VVtemp[118]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC23mem_ref_ps,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[23], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[27], VVtemp[119], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[120]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[331]);                         /*  MEM-SET-APS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[27], VV[3], VVtemp[99], VV[17], VVtemp[121], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[27], VV[3], VVtemp[101], VV[17], VVtemp[122]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[27], VV[3], VVtemp[103], VV[17], VVtemp[123]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[27], VV[5], VVtemp[105], VV[17], VVtemp[124]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[27], VV[5], VVtemp[107], VV[17], VVtemp[125]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[27], VV[5], VVtemp[109], VV[17], VVtemp[126]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC25mem_ref_aps,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[24], T0);
 }
  cl_export(1, VV[28]);
  si_putprop(VV[28], VVtemp[127], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[128]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[332]);                         /*  STREAM-PS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[28], VV[3], VVtemp[99], VV[17], VVtemp[129], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[28], VV[3], VVtemp[101], VV[17], VVtemp[130]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[28], VV[3], VVtemp[103], VV[17], VVtemp[131]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[28], VV[5], VVtemp[105], VV[17], VVtemp[132]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[28], VV[5], VVtemp[107], VV[17], VVtemp[133]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[28], VV[5], VVtemp[109], VV[17], VVtemp[134]) /*  DEF-INLINE */;
  cl_export(1, VV[29]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[135]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[333]);                         /*  ADD-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[29], VV[3], VVtemp[136], VV[17], VVtemp[137], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[30]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[138]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[334]);                         /*  ADD-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[30], VV[3], VVtemp[136], VV[17], VVtemp[139], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[31]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[140]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[335]);                         /*  SUB-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[31], VV[3], VVtemp[136], VV[17], VVtemp[141], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[32]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[142]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[336]);                         /*  SUB-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[32], VV[3], VVtemp[136], VV[17], VVtemp[143], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[33]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[144]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[337]);                         /*  MUL-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[33], VV[3], VVtemp[136], VV[17], VVtemp[145], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[34]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[146]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[338]);                         /*  MUL-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[34], VV[3], VVtemp[136], VV[17], VVtemp[147], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[35]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[148]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[339]);                         /*  DIV-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[35], VV[3], VVtemp[136], VV[17], VVtemp[149], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[36]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[150]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[340]);                         /*  DIV-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[36], VV[3], VVtemp[136], VV[17], VVtemp[151], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[37]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[152]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[341]);                         /*  MIN-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[37], VV[3], VVtemp[136], VV[17], VVtemp[153], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[38]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[154]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[342]);                         /*  MIN-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[38], VV[3], VVtemp[136], VV[17], VVtemp[155], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[39]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[156]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[343]);                         /*  MAX-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[39], VV[3], VVtemp[136], VV[17], VVtemp[157], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[40]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[158]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[344]);                         /*  MAX-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[40], VV[3], VVtemp[136], VV[17], VVtemp[159], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[41]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[160]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[345]);                         /*  SQRT-SS         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[41], VV[3], VVtemp[161], VV[17], VVtemp[162], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[42]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[163]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[346]);                         /*  SQRT-PS         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[42], VV[3], VVtemp[161], VV[17], VVtemp[164], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[43]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[165]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[347]);                         /*  RSQRT-SS        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[43], VV[3], VVtemp[161], VV[17], VVtemp[166], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[44]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[167]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[348]);                         /*  RSQRT-PS        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[44], VV[3], VVtemp[161], VV[17], VVtemp[168], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[45]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[169]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[349]);                         /*  RCP-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[45], VV[3], VVtemp[161], VV[17], VVtemp[170], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[46]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[171]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[350]);                         /*  RCP-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[46], VV[3], VVtemp[161], VV[17], VVtemp[172], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[47]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[173]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[351]);                         /*  AND-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[47], VV[3], VVtemp[136], VV[17], VVtemp[174], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[48]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[175]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[352]);                         /*  ANDNOT-PS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[48], VV[3], VVtemp[136], VV[17], VVtemp[176], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[49]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[177]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[353]);                         /*  OR-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[49], VV[3], VVtemp[136], VV[17], VVtemp[178], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[50]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[179]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[354]);                         /*  XOR-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[50], VV[3], VVtemp[136], VV[17], VVtemp[180], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[51]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[181]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[355]);                         /*  =-SS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[51], VV[3], VVtemp[136], VV[17], VVtemp[182], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[52]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[183]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[356]);                         /*  =-PS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[52], VV[3], VVtemp[136], VV[17], VVtemp[184], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[53]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[185]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[357]);                         /*  <-SS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[53], VV[3], VVtemp[136], VV[17], VVtemp[186], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[54]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[187]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[358]);                         /*  <-PS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[54], VV[3], VVtemp[136], VV[17], VVtemp[188], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[55]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[189]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[359]);                         /*  <=-SS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[55], VV[3], VVtemp[136], VV[17], VVtemp[190], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[56]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[191]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[360]);                         /*  <=-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[56], VV[3], VVtemp[136], VV[17], VVtemp[192], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[57]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[193]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[361]);                         /*  >-SS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[57], VV[3], VVtemp[136], VV[17], VVtemp[194], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[58]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[195]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[362]);                         /*  >-PS            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[58], VV[3], VVtemp[136], VV[17], VVtemp[196], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[59]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[197]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[363]);                         /*  >=-SS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[59], VV[3], VVtemp[136], VV[17], VVtemp[198], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[60]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[199]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[364]);                         /*  >=-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[60], VV[3], VVtemp[136], VV[17], VVtemp[200], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[61]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[201]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[365]);                         /*  /=-SS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[61], VV[3], VVtemp[136], VV[17], VVtemp[202], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[62]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[203]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[366]);                         /*  /=-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[62], VV[3], VVtemp[136], VV[17], VVtemp[204], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[63]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[205]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[367]);                         /*  /<-SS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[63], VV[3], VVtemp[136], VV[17], VVtemp[206], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[64]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[207]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[368]);                         /*  /<-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[64], VV[3], VVtemp[136], VV[17], VVtemp[208], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[65]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[209]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[369]);                         /*  /<=-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[65], VV[3], VVtemp[136], VV[17], VVtemp[210], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[66]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[211]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[370]);                         /*  /<=-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[66], VV[3], VVtemp[136], VV[17], VVtemp[212], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[67]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[213]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[371]);                         /*  />-SS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[67], VV[3], VVtemp[136], VV[17], VVtemp[214], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[68]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[215]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[372]);                         /*  />-PS           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[68], VV[3], VVtemp[136], VV[17], VVtemp[216], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[69]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[217]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[373]);                         /*  />=-SS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[69], VV[3], VVtemp[136], VV[17], VVtemp[218], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[70]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[219]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[374]);                         /*  />=-PS          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[70], VV[3], VVtemp[136], VV[17], VVtemp[220], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[71]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[221]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[375]);                         /*  CMPORD-SS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[71], VV[3], VVtemp[136], VV[17], VVtemp[222], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[72]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[223]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[376]);                         /*  CMPORD-PS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[72], VV[3], VVtemp[136], VV[17], VVtemp[224], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[73]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[225]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[377]);                         /*  CMPUNORD-SS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[73], VV[3], VVtemp[136], VV[17], VVtemp[226], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[74]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[227]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[378]);                         /*  CMPUNORD-PS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[74], VV[3], VVtemp[136], VV[17], VVtemp[228], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[75]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[229]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[379]);                         /*  =-SS?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[75], VV[3], VVtemp[136], VV[76], VVtemp[230], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[77]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[231]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[380]);                         /*  =-SSU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[77], VV[3], VVtemp[136], VV[76], VVtemp[232], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[78]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[233]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[381]);                         /*  <-SS?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[78], VV[3], VVtemp[136], VV[76], VVtemp[234], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[79]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[235]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[382]);                         /*  <-SSU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[79], VV[3], VVtemp[136], VV[76], VVtemp[236], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[80]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[237]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[383]);                         /*  <=-SS?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[80], VV[3], VVtemp[136], VV[76], VVtemp[238], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[81]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[239]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[384]);                         /*  <=-SSU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[81], VV[3], VVtemp[136], VV[76], VVtemp[240], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[82]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[241]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[385]);                         /*  >-SS?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[82], VV[3], VVtemp[136], VV[76], VVtemp[242], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[83]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[243]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[386]);                         /*  >-SSU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[83], VV[3], VVtemp[136], VV[76], VVtemp[244], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[84]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[245]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[387]);                         /*  >=-SS?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[84], VV[3], VVtemp[136], VV[76], VVtemp[246], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[85]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[247]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[388]);                         /*  >=-SSU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[85], VV[3], VVtemp[136], VV[76], VVtemp[248], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[86]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[249]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[389]);                         /*  /=-SS?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[86], VV[3], VVtemp[136], VV[76], VVtemp[250], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[87]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[251]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[390]);                         /*  /=-SSU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[87], VV[3], VVtemp[136], VV[76], VVtemp[252], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[88]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[253]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[391]);                         /*  UNPACKHI-PS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[88], VV[3], VVtemp[136], VV[17], VVtemp[254], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[89]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[255]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[392]);                         /*  UNPACKLO-PS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[89], VV[3], VVtemp[136], VV[17], VVtemp[256], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[90]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[257]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[393]);                         /*  MOVE-SS         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[90], VV[3], VVtemp[136], VV[17], VVtemp[258], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[91]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[259]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[394]);                         /*  MOVEHL-PS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[91], VV[3], VVtemp[136], VV[17], VVtemp[260], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[92]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[261]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[395]);                         /*  MOVELH-PS       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[92], VV[3], VVtemp[136], VV[17], VVtemp[262], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[93]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[263]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[396]);                         /*  MOVEMASK-PS     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[93], VV[3], VVtemp[161], ECL_SYM("FIXNUM",1371), VVtemp[264], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[94]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC91shuffle_ps,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[94], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[265]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[94], VV[3], VVtemp[266], VV[17], VVtemp[267], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[97]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[268]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[399]);                         /*  CONVERT-PI32-TO-PS */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[97], VV[3], VVtemp[269], VV[17], VVtemp[270], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[98]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[271]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[400]);                         /*  CONVERT-PS-TO-PI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[98], VV[3], VVtemp[161], VV[99], VVtemp[272], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[100]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[273]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[401]);                         /*  TRUNCATE-PS-TO-PI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[100], VV[3], VVtemp[161], VV[99], VVtemp[274], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[101]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[275]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[402]);                         /*  CONVERT-SI32-TO-SS */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[101], VV[3], VVtemp[276], VV[17], VVtemp[277], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[102]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[278]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[403]);                         /*  CONVERT-SS-TO-SI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[102], VV[3], VVtemp[161], ECL_SYM("FIXNUM",1371), VVtemp[279], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[103]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[280]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[404]);                         /*  TRUNCATE-SS-TO-SI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[103], VV[3], VVtemp[161], ECL_SYM("FIXNUM",1371), VVtemp[281], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[104]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[282]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[405]);                         /*  CONVERT-SI64-TO-SS */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[104], VV[3], VVtemp[283], VV[17], VVtemp[284], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[105]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[285]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[406]);                         /*  CONVERT-SS-TO-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[105], VV[3], VVtemp[161], ECL_SYM("INT64-T",1377), VVtemp[286], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[106]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[287]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[407]);                         /*  TRUNCATE-SS-TO-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[106], VV[3], VVtemp[161], ECL_SYM("INT64-T",1377), VVtemp[288], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[107]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[289]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[408]);                         /*  SET-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[107], VV[3], VVtemp[62], VV[108], VVtemp[290], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[109]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[291]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[409]);                         /*  SET1-PD         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[109], VV[3], VVtemp[62], VV[108], VVtemp[292], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[110]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[293]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[410]);                         /*  SET-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[110], VV[3], VVtemp[294], VV[108], VVtemp[295], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[111]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[296]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[411]);                         /*  SETR-PD         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[111], VV[3], VVtemp[294], VV[108], VVtemp[297], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[112]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[298]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[412]);                         /*  SETZERO-PD      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[112], VV[3], ECL_NIL, VV[108], VVtemp[299], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[113]);
  si_putprop(VV[113], VVtemp[300], VV[1]);
  si_putprop(VV[113], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[301]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[413]);                         /*  MEM-REF-SD      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[113], VV[3], VVtemp[3], VV[108], VVtemp[302], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[113], VV[3], VVtemp[5], VV[108], VVtemp[303]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[113], VV[3], VVtemp[7], VV[108], VVtemp[304]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[113], VV[5], VVtemp[9], VV[108], VVtemp[305]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[113], VV[5], VVtemp[11], VV[108], VVtemp[306]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[113], VV[5], VVtemp[13], VV[108], VVtemp[307]) /*  DEF-INLINE */;
  cl_export(1, VV[114]);
  si_putprop(VV[114], VVtemp[308], VV[1]);
  si_putprop(VV[114], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[309]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[414]);                         /*  MEM-REF-PD      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[114], VV[3], VVtemp[3], VV[108], VVtemp[310], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[114], VV[3], VVtemp[5], VV[108], VVtemp[311]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[114], VV[3], VVtemp[7], VV[108], VVtemp[312]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[114], VV[5], VVtemp[9], VV[108], VVtemp[313]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[114], VV[5], VVtemp[11], VV[108], VVtemp[314]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[114], VV[5], VVtemp[13], VV[108], VVtemp[315]) /*  DEF-INLINE */;
  cl_export(1, VV[115]);
  si_putprop(VV[115], VVtemp[316], VV[1]);
  si_putprop(VV[115], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[317]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[415]);                         /*  MEM-REF-APD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[115], VV[3], VVtemp[3], VV[108], VVtemp[318], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[115], VV[3], VVtemp[5], VV[108], VVtemp[319]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[115], VV[3], VVtemp[7], VV[108], VVtemp[320]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[115], VV[5], VVtemp[9], VV[108], VVtemp[321]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[115], VV[5], VVtemp[11], VV[108], VVtemp[322]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[115], VV[5], VVtemp[13], VV[108], VVtemp[323]) /*  DEF-INLINE */;
  cl_export(1, VV[116]);
  si_putprop(VV[116], VVtemp[324], VV[1]);
  si_putprop(VV[116], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[325]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[416]);                         /*  LOADH-PD        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[116], VV[3], VVtemp[326], VV[108], VVtemp[327], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[116], VV[3], VVtemp[328], VV[108], VVtemp[329]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[116], VV[3], VVtemp[330], VV[108], VVtemp[331]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[116], VV[5], VVtemp[332], VV[108], VVtemp[333]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[116], VV[5], VVtemp[334], VV[108], VVtemp[335]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[116], VV[5], VVtemp[336], VV[108], VVtemp[337]) /*  DEF-INLINE */;
  cl_export(1, VV[117]);
  si_putprop(VV[117], VVtemp[338], VV[1]);
  si_putprop(VV[117], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[339]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[417]);                         /*  LOADL-PD        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[117], VV[3], VVtemp[326], VV[108], VVtemp[340], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[117], VV[3], VVtemp[328], VV[108], VVtemp[341]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[117], VV[3], VVtemp[330], VV[108], VVtemp[342]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[117], VV[5], VVtemp[332], VV[108], VVtemp[343]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[117], VV[5], VVtemp[334], VV[108], VVtemp[344]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[117], VV[5], VVtemp[336], VV[108], VVtemp[345]) /*  DEF-INLINE */;
 {
  cl_object T0;
  si_putprop(VV[118], VVtemp[346], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[347]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[418]);                         /*  MEM-SET-SD      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[118], VV[3], VVtemp[348], VV[108], VVtemp[349], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[118], VV[3], VVtemp[350], VV[108], VVtemp[351]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[118], VV[3], VVtemp[352], VV[108], VVtemp[353]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[118], VV[5], VVtemp[354], VV[108], VVtemp[355]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[118], VV[5], VVtemp[356], VV[108], VVtemp[357]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[118], VV[5], VVtemp[358], VV[108], VVtemp[359]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC112mem_ref_sd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[113], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[119], VVtemp[360], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[361]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[419]);                         /*  MEM-SET-PD      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[119], VV[3], VVtemp[348], VV[108], VVtemp[362], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[119], VV[3], VVtemp[350], VV[108], VVtemp[363]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[119], VV[3], VVtemp[352], VV[108], VVtemp[364]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[119], VV[5], VVtemp[354], VV[108], VVtemp[365]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[119], VV[5], VVtemp[356], VV[108], VVtemp[366]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[119], VV[5], VVtemp[358], VV[108], VVtemp[367]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC114mem_ref_pd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[114], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[120], VVtemp[368], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[369]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[420]);                         /*  MEM-SET-APD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[120], VV[3], VVtemp[348], VV[108], VVtemp[370], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[120], VV[3], VVtemp[350], VV[108], VVtemp[371]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[120], VV[3], VVtemp[352], VV[108], VVtemp[372]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[120], VV[5], VVtemp[354], VV[108], VVtemp[373]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[120], VV[5], VVtemp[356], VV[108], VVtemp[374]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[120], VV[5], VVtemp[358], VV[108], VVtemp[375]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC116mem_ref_apd,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[115], T0);
 }
  cl_export(1, VV[121]);
  si_putprop(VV[121], VVtemp[376], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[377]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[421]);                         /*  STOREH-PD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[121], VV[3], VVtemp[348], VV[108], VVtemp[378], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[121], VV[3], VVtemp[350], VV[108], VVtemp[379]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[121], VV[3], VVtemp[352], VV[108], VVtemp[380]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[121], VV[5], VVtemp[354], VV[108], VVtemp[381]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[121], VV[5], VVtemp[356], VV[108], VVtemp[382]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[121], VV[5], VVtemp[358], VV[108], VVtemp[383]) /*  DEF-INLINE */;
  cl_export(1, VV[122]);
  si_putprop(VV[122], VVtemp[384], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[385]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[422]);                         /*  STOREL-PD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[122], VV[3], VVtemp[348], VV[108], VVtemp[386], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[122], VV[3], VVtemp[350], VV[108], VVtemp[387]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[122], VV[3], VVtemp[352], VV[108], VVtemp[388]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[122], VV[5], VVtemp[354], VV[108], VVtemp[389]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[122], VV[5], VVtemp[356], VV[108], VVtemp[390]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[122], VV[5], VVtemp[358], VV[108], VVtemp[391]) /*  DEF-INLINE */;
  cl_export(1, VV[123]);
  si_putprop(VV[123], VVtemp[392], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[393]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[423]);                         /*  STREAM-PD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[123], VV[3], VVtemp[348], VV[108], VVtemp[394], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[123], VV[3], VVtemp[350], VV[108], VVtemp[395]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[123], VV[3], VVtemp[352], VV[108], VVtemp[396]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[123], VV[5], VVtemp[354], VV[108], VVtemp[397]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[123], VV[5], VVtemp[356], VV[108], VVtemp[398]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[123], VV[5], VVtemp[358], VV[108], VVtemp[399]) /*  DEF-INLINE */;
  cl_export(1, VV[124]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[400]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[424]);                         /*  ADD-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[124], VV[3], VVtemp[401], VV[108], VVtemp[402], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[125]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[403]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[425]);                         /*  ADD-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[125], VV[3], VVtemp[401], VV[108], VVtemp[404], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[126]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[405]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[426]);                         /*  SUB-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[126], VV[3], VVtemp[401], VV[108], VVtemp[406], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[127]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[407]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[427]);                         /*  SUB-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[127], VV[3], VVtemp[401], VV[108], VVtemp[408], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[128]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[409]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[428]);                         /*  MUL-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[128], VV[3], VVtemp[401], VV[108], VVtemp[410], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[129]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[411]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[429]);                         /*  MUL-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[129], VV[3], VVtemp[401], VV[108], VVtemp[412], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[130]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[413]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[430]);                         /*  DIV-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[130], VV[3], VVtemp[401], VV[108], VVtemp[414], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[131]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[415]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[431]);                         /*  DIV-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[131], VV[3], VVtemp[401], VV[108], VVtemp[416], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[132]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[417]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[432]);                         /*  MIN-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[132], VV[3], VVtemp[401], VV[108], VVtemp[418], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[133]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[419]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[433]);                         /*  MIN-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[133], VV[3], VVtemp[401], VV[108], VVtemp[420], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[134]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[421]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[434]);                         /*  MAX-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[134], VV[3], VVtemp[401], VV[108], VVtemp[422], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[135]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[423]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[435]);                         /*  MAX-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[135], VV[3], VVtemp[401], VV[108], VVtemp[424], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[136]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[425]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[436]);                         /*  SQRT-SD         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[136], VV[3], VVtemp[401], VV[108], VVtemp[426], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[137]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[427]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[437]);                         /*  SQRT-PD         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[137], VV[3], VVtemp[428], VV[108], VVtemp[429], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[138]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[430]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[438]);                         /*  AND-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[138], VV[3], VVtemp[401], VV[108], VVtemp[431], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[139]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[432]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[439]);                         /*  ANDNOT-PD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[139], VV[3], VVtemp[401], VV[108], VVtemp[433], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[140]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[434]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[440]);                         /*  OR-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[140], VV[3], VVtemp[401], VV[108], VVtemp[435], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[141]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[436]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[441]);                         /*  XOR-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[141], VV[3], VVtemp[401], VV[108], VVtemp[437], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[142]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[438]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[442]);                         /*  =-SD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[142], VV[3], VVtemp[401], VV[108], VVtemp[439], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[143]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[440]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[443]);                         /*  =-PD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[143], VV[3], VVtemp[401], VV[108], VVtemp[441], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[144]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[442]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[444]);                         /*  <-SD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[144], VV[3], VVtemp[401], VV[108], VVtemp[443], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[145]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[444]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[445]);                         /*  <-PD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[145], VV[3], VVtemp[401], VV[108], VVtemp[445], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[146]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[446]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[446]);                         /*  <=-SD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[146], VV[3], VVtemp[401], VV[108], VVtemp[447], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[147]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[448]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[447]);                         /*  <=-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[147], VV[3], VVtemp[401], VV[108], VVtemp[449], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[148]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[450]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[448]);                         /*  >-SD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[148], VV[3], VVtemp[401], VV[108], VVtemp[451], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[149]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[452]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[449]);                         /*  >-PD            */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[149], VV[3], VVtemp[401], VV[108], VVtemp[453], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[150]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[454]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[450]);                         /*  >=-SD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[150], VV[3], VVtemp[401], VV[108], VVtemp[455], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[151]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[456]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[451]);                         /*  >=-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[151], VV[3], VVtemp[401], VV[108], VVtemp[457], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[152]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[458]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[452]);                         /*  /=-SD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[152], VV[3], VVtemp[401], VV[108], VVtemp[459], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[153]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[460]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[453]);                         /*  /=-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[153], VV[3], VVtemp[401], VV[108], VVtemp[461], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[154]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[462]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[454]);                         /*  /<-SD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[154], VV[3], VVtemp[401], VV[108], VVtemp[463], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[155]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[464]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[455]);                         /*  /<-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[155], VV[3], VVtemp[401], VV[108], VVtemp[465], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[156]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[466]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[456]);                         /*  /<=-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[156], VV[3], VVtemp[401], VV[108], VVtemp[467], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[157]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[468]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[457]);                         /*  /<=-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[157], VV[3], VVtemp[401], VV[108], VVtemp[469], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[158]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[470]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[458]);                         /*  />-SD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[158], VV[3], VVtemp[401], VV[108], VVtemp[471], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[159]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[472]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[459]);                         /*  />-PD           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[159], VV[3], VVtemp[401], VV[108], VVtemp[473], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[160]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[474]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[460]);                         /*  />=-SD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[160], VV[3], VVtemp[401], VV[108], VVtemp[475], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[161]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[476]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[461]);                         /*  />=-PD          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[161], VV[3], VVtemp[401], VV[108], VVtemp[477], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[162]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[478]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[462]);                         /*  CMPORD-SD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[162], VV[3], VVtemp[401], VV[108], VVtemp[479], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[163]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[480]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[463]);                         /*  CMPORD-PD       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[163], VV[3], VVtemp[401], VV[108], VVtemp[481], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[164]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[482]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[464]);                         /*  CMPUNORD-SD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[164], VV[3], VVtemp[401], VV[108], VVtemp[483], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[165]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[484]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[465]);                         /*  CMPUNORD-PD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[165], VV[3], VVtemp[401], VV[108], VVtemp[485], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[166]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[486]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[466]);                         /*  =-SD?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[166], VV[3], VVtemp[401], VV[76], VVtemp[487], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[167]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[488]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[467]);                         /*  =-SDU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[167], VV[3], VVtemp[401], VV[76], VVtemp[489], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[168]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[490]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[468]);                         /*  <-SD?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[168], VV[3], VVtemp[401], VV[76], VVtemp[491], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[169]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[492]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[469]);                         /*  <-SDU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[169], VV[3], VVtemp[401], VV[76], VVtemp[493], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[170]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[494]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[470]);                         /*  <=-SD?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[170], VV[3], VVtemp[401], VV[76], VVtemp[495], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[171]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[496]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[471]);                         /*  <=-SDU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[171], VV[3], VVtemp[401], VV[76], VVtemp[497], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[172]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[498]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[472]);                         /*  >-SD?           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[172], VV[3], VVtemp[401], VV[76], VVtemp[499], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[173]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[500]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[473]);                         /*  >-SDU?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[173], VV[3], VVtemp[401], VV[76], VVtemp[501], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[174]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[502]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[474]);                         /*  >=-SD?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[174], VV[3], VVtemp[401], VV[76], VVtemp[503], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[175]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[504]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[475]);                         /*  >=-SDU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[175], VV[3], VVtemp[401], VV[76], VVtemp[505], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[176]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[506]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[476]);                         /*  /=-SD?          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[176], VV[3], VVtemp[401], VV[76], VVtemp[507], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[177]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[508]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[477]);                         /*  /=-SDU?         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[177], VV[3], VVtemp[401], VV[76], VVtemp[509], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[178]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[510]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[478]);                         /*  UNPACKHI-PD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[178], VV[3], VVtemp[401], VV[108], VVtemp[511], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[179]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[512]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[479]);                         /*  UNPACKLO-PD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[179], VV[3], VVtemp[401], VV[108], VVtemp[513], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[180]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[514]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[480]);                         /*  MOVE-SD         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[180], VV[3], VVtemp[401], VV[108], VVtemp[515], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[181]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[516]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[481]);                         /*  MOVEMASK-PD     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[181], VV[3], VVtemp[428], ECL_SYM("FIXNUM",1371), VVtemp[517], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[182]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC178shuffle_pd,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[182], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[518]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[182], VV[3], VVtemp[519], VV[108], VVtemp[520], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[184]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[521]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[482]);                         /*  CONVERT-PS-TO-PD */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[184], VV[3], VVtemp[161], VV[108], VVtemp[522], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[185]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[523]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[483]);                         /*  CONVERT-PD-TO-PS */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[185], VV[3], VVtemp[428], VV[17], VVtemp[524], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[186]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[525]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[484]);                         /*  CONVERT-SS-TO-SD */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[186], VV[3], VVtemp[526], VV[108], VVtemp[527], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[187]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[528]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[485]);                         /*  CONVERT-SD-TO-SS */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[187], VV[3], VVtemp[529], VV[17], VVtemp[530], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[188]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[531]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[486]);                         /*  CONVERT-PI32-TO-PD */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[188], VV[3], VVtemp[269], VV[108], VVtemp[532], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[189]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[533]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[487]);                         /*  CONVERT-PD-TO-PI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[189], VV[3], VVtemp[428], VV[99], VVtemp[534], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[190]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[535]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[488]);                         /*  TRUNCATE-PD-TO-PI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[190], VV[3], VVtemp[428], VV[99], VVtemp[536], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[191]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[537]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[489]);                         /*  CONVERT-SI32-TO-SD */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[191], VV[3], VVtemp[538], VV[108], VVtemp[539], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[192]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[540]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[490]);                         /*  CONVERT-SD-TO-SI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[192], VV[3], VVtemp[428], ECL_SYM("FIXNUM",1371), VVtemp[541], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[193]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[542]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[491]);                         /*  TRUNCATE-SD-TO-SI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[193], VV[3], VVtemp[428], ECL_SYM("FIXNUM",1371), VVtemp[543], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[194]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[544]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[492]);                         /*  CONVERT-SI64-TO-SD */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[194], VV[3], VVtemp[545], VV[108], VVtemp[546], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[195]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[547]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[493]);                         /*  CONVERT-SD-TO-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[195], VV[3], VVtemp[428], ECL_SYM("INT64-T",1377), VVtemp[548], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[196]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[549]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[494]);                         /*  TRUNCATE-SD-TO-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[196], VV[3], VVtemp[428], ECL_SYM("INT64-T",1377), VVtemp[550], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[197]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[551]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[495]);                         /*  SET1-PI8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[197], VV[3], VVtemp[51], VV[99], VVtemp[552], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[198]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[553]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[496]);                         /*  SET1-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[198], VV[3], VVtemp[51], VV[99], VVtemp[554], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[199]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[555]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[497]);                         /*  SET1-PI32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[199], VV[3], VVtemp[51], VV[99], VVtemp[556], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[200]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[557]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[498]);                         /*  SET1-PI64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[200], VV[3], VVtemp[558], VV[99], VVtemp[559], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[201]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[560]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[499]);                         /*  SET1-PU32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[201], VV[3], VVtemp[51], VV[99], VVtemp[556], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[202]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[561]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[500]);                         /*  SET1-PU64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[202], VV[3], VVtemp[562], VV[99], VVtemp[559], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[203]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[563]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[501]);                         /*  SET-PI8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[203], VV[3], VVtemp[564], VV[99], VVtemp[565], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[204]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[566]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[502]);                         /*  SET-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[204], VV[3], VVtemp[567], VV[99], VVtemp[568], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[205]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[569]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[503]);                         /*  SET-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[205], VV[3], VVtemp[570], VV[99], VVtemp[571], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[206]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[572]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[504]);                         /*  SET-PI64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[206], VV[3], VVtemp[573], VV[99], VVtemp[574], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[207]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[575]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[505]);                         /*  SET-PU32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[207], VV[3], VVtemp[570], VV[99], VVtemp[571], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[208]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[576]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[506]);                         /*  SET-PU64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[208], VV[3], VVtemp[577], VV[99], VVtemp[574], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[209]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[578]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[507]);                         /*  SETR-PI8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[209], VV[3], VVtemp[564], VV[99], VVtemp[579], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[210]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[580]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[508]);                         /*  SETR-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[210], VV[3], VVtemp[567], VV[99], VVtemp[581], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[211]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[582]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[509]);                         /*  SETR-PI32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[211], VV[3], VVtemp[570], VV[99], VVtemp[583], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[212]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[584]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[510]);                         /*  SETR-PI64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[212], VV[3], VVtemp[573], VV[99], VVtemp[585], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[213]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[586]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[511]);                         /*  SETR-PU32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[213], VV[3], VVtemp[570], VV[99], VVtemp[583], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[214]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[587]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[512]);                         /*  SETR-PU64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[214], VV[3], VVtemp[577], VV[99], VVtemp[585], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[215]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[588]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[513]);                         /*  SETZERO-PI      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[215], VV[3], ECL_NIL, VV[99], VVtemp[589], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[216]);
  si_putprop(VV[216], VVtemp[590], VV[1]);
  si_putprop(VV[216], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[591]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[514]);                         /*  MEM-REF-PI      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[216], VV[3], VVtemp[3], VV[99], VVtemp[592], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[216], VV[3], VVtemp[5], VV[99], VVtemp[593]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[216], VV[3], VVtemp[7], VV[99], VVtemp[594]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[216], VV[5], VVtemp[9], VV[99], VVtemp[595]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[216], VV[5], VVtemp[11], VV[99], VVtemp[596]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[216], VV[5], VVtemp[13], VV[99], VVtemp[597]) /*  DEF-INLINE */;
  cl_export(1, VV[217]);
  si_putprop(VV[217], VVtemp[598], VV[1]);
  si_putprop(VV[217], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[599]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[515]);                         /*  MEM-REF-API     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[217], VV[3], VVtemp[3], VV[99], VVtemp[600], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[217], VV[3], VVtemp[5], VV[99], VVtemp[601]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[217], VV[3], VVtemp[7], VV[99], VVtemp[602]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[217], VV[5], VVtemp[9], VV[99], VVtemp[603]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[217], VV[5], VVtemp[11], VV[99], VVtemp[604]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[217], VV[5], VVtemp[13], VV[99], VVtemp[605]) /*  DEF-INLINE */;
  cl_export(1, VV[218]);
  si_putprop(VV[218], VVtemp[606], VV[1]);
  si_putprop(VV[218], VVtemp[40], VV[2]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[607]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[516]);                         /*  MEM-REF-SI64    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[218], VV[3], VVtemp[3], VV[99], VVtemp[608], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[218], VV[3], VVtemp[5], VV[99], VVtemp[609]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[218], VV[3], VVtemp[7], VV[99], VVtemp[610]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[218], VV[5], VVtemp[9], VV[99], VVtemp[611]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[218], VV[5], VVtemp[11], VV[99], VVtemp[612]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[218], VV[5], VVtemp[13], VV[99], VVtemp[613]) /*  DEF-INLINE */;
 {
  cl_object T0;
  si_putprop(VV[219], VVtemp[614], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[615]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[517]);                         /*  MEM-SET-PI      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[219], VV[3], VVtemp[616], VV[99], VVtemp[617], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[219], VV[3], VVtemp[618], VV[99], VVtemp[619]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[219], VV[3], VVtemp[620], VV[99], VVtemp[621]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[219], VV[5], VVtemp[622], VV[99], VVtemp[623]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[219], VV[5], VVtemp[624], VV[99], VVtemp[625]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[219], VV[5], VVtemp[626], VV[99], VVtemp[627]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC215mem_ref_pi,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[216], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[220], VVtemp[628], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[629]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[518]);                         /*  MEM-SET-API     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[220], VV[3], VVtemp[616], VV[99], VVtemp[630], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[220], VV[3], VVtemp[618], VV[99], VVtemp[631]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[220], VV[3], VVtemp[620], VV[99], VVtemp[632]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[220], VV[5], VVtemp[622], VV[99], VVtemp[633]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[220], VV[5], VVtemp[624], VV[99], VVtemp[634]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[220], VV[5], VVtemp[626], VV[99], VVtemp[635]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC217mem_ref_api,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[217], T0);
 }
 {
  cl_object T0;
  si_putprop(VV[221], VVtemp[636], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[637]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[519]);                         /*  MEM-SET-SI64    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[221], VV[3], VVtemp[616], VV[99], VVtemp[638], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[221], VV[3], VVtemp[618], VV[99], VVtemp[639]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[221], VV[3], VVtemp[620], VV[99], VVtemp[640]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[221], VV[5], VVtemp[622], VV[99], VVtemp[641]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[221], VV[5], VVtemp[624], VV[99], VVtemp[642]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[221], VV[5], VVtemp[626], VV[99], VVtemp[643]) /*  DEF-INLINE */;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC219mem_ref_si64,ECL_NIL,Cblock);
   T0 = v1;
  }
  si_do_defsetf(VV[218], T0);
 }
  cl_export(1, VV[222]);
  si_putprop(VV[222], VVtemp[644], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[645]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[520]);                         /*  STREAM-PI       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[222], VV[3], VVtemp[616], VV[99], VVtemp[646], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[222], VV[3], VVtemp[618], VV[99], VVtemp[647]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[222], VV[3], VVtemp[620], VV[99], VVtemp[648]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[222], VV[5], VVtemp[622], VV[99], VVtemp[649]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[222], VV[5], VVtemp[624], VV[99], VVtemp[650]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[222], VV[5], VVtemp[626], VV[99], VVtemp[651]) /*  DEF-INLINE */;
  cl_export(1, VV[223]);
  si_putprop(VV[223], VVtemp[652], VV[1]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[653]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[521]);                         /*  MASKMOVEU-PI    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[223], VV[3], VVtemp[654], ECL_SYM("OBJECT",1281), VVtemp[655], VV[4], ECL_T) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[223], VV[3], VVtemp[656], ECL_SYM("OBJECT",1281), VVtemp[657]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[223], VV[3], VVtemp[658], ECL_SYM("OBJECT",1281), VVtemp[659]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[223], VV[5], VVtemp[660], ECL_SYM("OBJECT",1281), VVtemp[661]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[223], VV[5], VVtemp[662], ECL_SYM("OBJECT",1281), VVtemp[663]) /*  DEF-INLINE */;
  ecl_function_dispatch(cl_env_copy,VV[310])(5, VV[223], VV[5], VVtemp[664], ECL_SYM("OBJECT",1281), VVtemp[665]) /*  DEF-INLINE */;
  cl_export(1, VV[224]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[666]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[522]);                         /*  ADD-PI8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[224], VV[3], VVtemp[667], VV[99], VVtemp[668], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[225]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[669]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[523]);                         /*  ADD-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[225], VV[3], VVtemp[667], VV[99], VVtemp[670], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[226]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[671]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[524]);                         /*  ADD-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[226], VV[3], VVtemp[667], VV[99], VVtemp[672], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[227]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[673]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[525]);                         /*  ADD-PI64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[227], VV[3], VVtemp[667], VV[99], VVtemp[674], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[228]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[675]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[526]);                         /*  ADDS-PI8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[228], VV[3], VVtemp[667], VV[99], VVtemp[676], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[229]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[677]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[527]);                         /*  ADDS-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[229], VV[3], VVtemp[667], VV[99], VVtemp[678], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[230]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[679]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[528]);                         /*  ADDS-PU8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[230], VV[3], VVtemp[667], VV[99], VVtemp[680], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[231]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[681]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[529]);                         /*  ADDS-PU16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[231], VV[3], VVtemp[667], VV[99], VVtemp[682], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[232]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[683]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[530]);                         /*  AVG-PU8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[232], VV[3], VVtemp[667], VV[99], VVtemp[684], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[233]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[685]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[531]);                         /*  AVG-PU16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[233], VV[3], VVtemp[667], VV[99], VVtemp[686], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[234]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[687]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[532]);                         /*  MADD-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[234], VV[3], VVtemp[667], VV[99], VVtemp[688], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[235]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[689]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[533]);                         /*  MAX-PU8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[235], VV[3], VVtemp[667], VV[99], VVtemp[690], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[236]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[691]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[534]);                         /*  MAX-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[236], VV[3], VVtemp[667], VV[99], VVtemp[692], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[237]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[693]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[535]);                         /*  MIN-PU8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[237], VV[3], VVtemp[667], VV[99], VVtemp[694], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[238]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[695]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[536]);                         /*  MIN-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[238], VV[3], VVtemp[667], VV[99], VVtemp[696], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[239]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[697]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[537]);                         /*  MULHI-PI16      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[239], VV[3], VVtemp[667], VV[99], VVtemp[698], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[240]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[699]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[538]);                         /*  MULHI-PU16      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[240], VV[3], VVtemp[667], VV[99], VVtemp[700], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[241]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[701]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[539]);                         /*  MULLO-PI16      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[241], VV[3], VVtemp[667], VV[99], VVtemp[702], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[242]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[703]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[540]);                         /*  MUL-PU32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[242], VV[3], VVtemp[667], VV[99], VVtemp[704], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[243]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[705]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[541]);                         /*  SAD-PU8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[243], VV[3], VVtemp[667], VV[99], VVtemp[706], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[244]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[707]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[542]);                         /*  SUB-PI8         */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[244], VV[3], VVtemp[667], VV[99], VVtemp[708], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[245]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[709]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[543]);                         /*  SUB-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[245], VV[3], VVtemp[667], VV[99], VVtemp[710], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[246]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[711]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[544]);                         /*  SUB-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[246], VV[3], VVtemp[667], VV[99], VVtemp[712], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[247]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[713]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[545]);                         /*  SUB-PI64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[247], VV[3], VVtemp[667], VV[99], VVtemp[714], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[248]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[715]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[546]);                         /*  SUBS-PI8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[248], VV[3], VVtemp[667], VV[99], VVtemp[716], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[249]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[717]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[547]);                         /*  SUBS-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[249], VV[3], VVtemp[667], VV[99], VVtemp[718], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[250]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[719]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[548]);                         /*  SUBS-PU8        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[250], VV[3], VVtemp[667], VV[99], VVtemp[720], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[251]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[721]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[549]);                         /*  SUBS-PU16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[251], VV[3], VVtemp[667], VV[99], VVtemp[722], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[252]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[723]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[550]);                         /*  AND-PI          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[252], VV[3], VVtemp[667], VV[99], VVtemp[724], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[253]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[725]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[551]);                         /*  ANDNOT-PI       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[253], VV[3], VVtemp[667], VV[99], VVtemp[726], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[254]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[727]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[552]);                         /*  OR-PI           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[254], VV[3], VVtemp[667], VV[99], VVtemp[728], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[255]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[729]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[553]);                         /*  XOR-PI          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[255], VV[3], VVtemp[667], VV[99], VVtemp[730], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[256]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC254slli_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[256], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[731]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[256], VV[3], VVtemp[732], VV[99], VVtemp[733], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[257]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[734]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[554]);                         /*  SLLI-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[257], VV[3], VVtemp[732], VV[99], VVtemp[735], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[258]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[736]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[555]);                         /*  SLLI-PI32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[258], VV[3], VVtemp[732], VV[99], VVtemp[737], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[259]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[738]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[556]);                         /*  SLLI-PI64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[259], VV[3], VVtemp[732], VV[99], VVtemp[739], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[260]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[740]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[557]);                         /*  SLL-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[260], VV[3], VVtemp[667], VV[99], VVtemp[741], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[261]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[742]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[558]);                         /*  SLL-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[261], VV[3], VVtemp[667], VV[99], VVtemp[743], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[262]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[744]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[559]);                         /*  SLL-PI64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[262], VV[3], VVtemp[667], VV[99], VVtemp[745], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[263]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[746]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[560]);                         /*  SRAI-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[263], VV[3], VVtemp[732], VV[99], VVtemp[747], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[264]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[748]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[561]);                         /*  SRAI-PI32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[264], VV[3], VVtemp[732], VV[99], VVtemp[749], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[265]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[750]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[562]);                         /*  SRA-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[265], VV[3], VVtemp[667], VV[99], VVtemp[751], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[266]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[752]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[563]);                         /*  SRA-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[266], VV[3], VVtemp[667], VV[99], VVtemp[753], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[267]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC265srli_pi,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[267], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[754]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[267], VV[3], VVtemp[732], VV[99], VVtemp[755], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[268]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[756]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[564]);                         /*  SRLI-PI16       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[268], VV[3], VVtemp[732], VV[99], VVtemp[757], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[269]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[758]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[565]);                         /*  SRLI-PI32       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[269], VV[3], VVtemp[732], VV[99], VVtemp[759], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[270]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[760]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[566]);                         /*  SRLI-PI64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[270], VV[3], VVtemp[732], VV[99], VVtemp[761], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[271]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[762]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[567]);                         /*  SRL-PI16        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[271], VV[3], VVtemp[667], VV[99], VVtemp[763], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[272]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[764]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[568]);                         /*  SRL-PI32        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[272], VV[3], VVtemp[667], VV[99], VVtemp[765], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[273]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[766]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[569]);                         /*  SRL-PI64        */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[273], VV[3], VVtemp[667], VV[99], VVtemp[767], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[274]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[768]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[570]);                         /*  =-PI8           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[274], VV[3], VVtemp[667], VV[99], VVtemp[769], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[275]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[770]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[571]);                         /*  =-PI16          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[275], VV[3], VVtemp[667], VV[99], VVtemp[771], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[276]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[772]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[572]);                         /*  =-PI32          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[276], VV[3], VVtemp[667], VV[99], VVtemp[773], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[277]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[774]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[573]);                         /*  <-PI8           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[277], VV[3], VVtemp[667], VV[99], VVtemp[775], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[278]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[776]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[574]);                         /*  <-PI16          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[278], VV[3], VVtemp[667], VV[99], VVtemp[777], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[279]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[778]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[575]);                         /*  <-PI32          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[279], VV[3], VVtemp[667], VV[99], VVtemp[779], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[280]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[780]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[576]);                         /*  >-PI8           */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[280], VV[3], VVtemp[667], VV[99], VVtemp[781], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[281]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[782]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[577]);                         /*  >-PI16          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[281], VV[3], VVtemp[667], VV[99], VVtemp[783], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[282]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[784]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[578]);                         /*  >-PI32          */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[282], VV[3], VVtemp[667], VV[99], VVtemp[785], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[283]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[786]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[579]);                         /*  PACKS-PI16      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[283], VV[3], VVtemp[667], VV[99], VVtemp[787], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[284]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[788]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[580]);                         /*  PACKS-PI32      */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[284], VV[3], VVtemp[667], VV[99], VVtemp[789], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[285]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[790]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[581]);                         /*  PACKUS-PI16     */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[285], VV[3], VVtemp[667], VV[99], VVtemp[791], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[286]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC284extract_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[286], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[792]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[286], VV[3], VVtemp[732], ECL_SYM("FIXNUM",1371), VVtemp[793], VV[4], ECL_T) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[287]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC285insert_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[287], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[794]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[287], VV[3], VVtemp[795], VV[99], VVtemp[796], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[288]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[797]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[582]);                         /*  MOVEMASK-PI8    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[288], VV[3], VVtemp[269], ECL_SYM("FIXNUM",1371), VVtemp[798], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[289]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[799]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[583]);                         /*  UNPACKHI-PI8    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[289], VV[3], VVtemp[667], VV[99], VVtemp[800], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[290]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[801]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[584]);                         /*  UNPACKHI-PI16   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[290], VV[3], VVtemp[667], VV[99], VVtemp[802], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[291]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[803]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[585]);                         /*  UNPACKHI-PI32   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[291], VV[3], VVtemp[667], VV[99], VVtemp[804], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[292]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[805]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[586]);                         /*  UNPACKHI-PI64   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[292], VV[3], VVtemp[667], VV[99], VVtemp[806], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[293]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[807]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[587]);                         /*  UNPACKLO-PI8    */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[293], VV[3], VVtemp[667], VV[99], VVtemp[808], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[294]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[809]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[588]);                         /*  UNPACKLO-PI16   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[294], VV[3], VVtemp[667], VV[99], VVtemp[810], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[295]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[811]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[589]);                         /*  UNPACKLO-PI32   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[295], VV[3], VVtemp[667], VV[99], VVtemp[812], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[296]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[813]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[590]);                         /*  UNPACKLO-PI64   */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[296], VV[3], VVtemp[667], VV[99], VVtemp[814], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[297]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[815]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[591]);                         /*  MOVE-PI64       */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[297], VV[3], VVtemp[269], VV[99], VVtemp[816], VV[4], ECL_T) /*  DEF-INLINE */;
 {
  cl_object T0;
  cl_export(1, VV[298]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC296shuffle_pi32,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[298], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[817]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[298], VV[3], VVtemp[732], VV[99], VVtemp[818], VV[4], ECL_T) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[299]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC297shufflelo_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[299], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[819]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[299], VV[3], VVtemp[732], VV[99], VVtemp[820], VV[4], ECL_T) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
  cl_export(1, VV[300]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun((cl_objectfn_fixed)LC298shufflehi_pi16,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(VV[300], ECL_SYM("COMPILER-MACRO",238), T0);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[821]) /*  PROCLAIM */;
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[300], VV[3], VVtemp[732], VV[99], VVtemp[822], VV[4], ECL_T) /*  DEF-INLINE */;
 }
  cl_export(1, VV[301]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[823]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[592]);                         /*  CONVERT-SI32-TO-PI */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[301], VV[3], VVtemp[51], VV[99], VVtemp[824], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[302]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[825]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[593]);                         /*  CONVERT-SU32-TO-PI */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[302], VV[3], VVtemp[51], VV[99], VVtemp[824], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[303]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[826]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[594]);                         /*  CONVERT-SI64-TO-PI */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[303], VV[3], VVtemp[558], VV[99], VVtemp[827], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[304]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[828]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[595]);                         /*  CONVERT-SU64-TO-PI */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[304], VV[3], VVtemp[562], VV[99], VVtemp[827], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[305]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[829]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[596]);                         /*  CONVERT-PI-TO-SI32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[305], VV[3], VVtemp[269], ECL_SYM("FIXNUM",1371), VVtemp[830], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[306]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[831]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[597]);                         /*  CONVERT-PI-TO-SU32 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[306], VV[3], VVtemp[269], ECL_SYM("FIXNUM",1371), VVtemp[830], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[307]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[832]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[598]);                         /*  CONVERT-PI-TO-SI64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[307], VV[3], VVtemp[269], ECL_SYM("INT64-T",1377), VVtemp[833], VV[4], ECL_T) /*  DEF-INLINE */;
  cl_export(1, VV[308]);
  (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[834]) /*  PROCLAIM */;
  ecl_cmp_defun(VV[599]);                         /*  CONVERT-PI-TO-SU64 */
  ecl_function_dispatch(cl_env_copy,VV[310])(7, VV[308], VV[3], VVtemp[269], ECL_SYM("UINT64-T",1389), VVtemp[833], VV[4], ECL_T) /*  DEF-INLINE */;
}
